IDM Desktop

About the IBM FileNet Integrated Document Management Desktop User's Help

This Help explains how to:
  • Work with library documents using the three IDM Desktop applications – IBM FileNet Neighborhood, IDM Viewer, and IDM Find.
  • Work with library documents from within Microsoft Word, Microsoft Excel, Microsoft PowerPoint, and Microsoft Outlook. This requires that you install application integration.
Some Help topics include a Quick Steps procedure with a synopsis of the steps you need to follow.

You should read the detailed procedure at least once and use the quick steps procedure as a reminder thereafter.

Questions
What's the best way to find something in Help?
Is there a list of All Help and other documentation?
Is there context-sensitive Help?
Where can I find Help updates?
How can I ask a question or report an error?
How do I print Help?


About documentation

IDM Desktop documentation includes:

  • IDM Desktop Help provides definitions and procedures for working with folders, documents, annotations, and searches in the IBM FileNet Neighborhood, the IDM Viewer, IDM Find application, and integrated applications. It also includes reference information such as a glossary, a list of the formats supported by the Viewer, property details, and keyboard shortcuts.

  • IDM Desktop Administrator's Help covers administrative topics, Setup, and the IDM Configure application. You use IDM Configure to add libraries and set preferences.

  • If you have installed support for IS libraries, you will have IS Print/Fax Monitor Help (PrintQ Help) which explains how to view and cancel pending print jobs.

  • If you have installed support for IS libraries, you will have Queue Maintenance Help (QMaint) which describes how to create, modify, and delete queues.

  • Trace Logging Help covers the Trace application along with Log Spy and Log Viewer. Log Spy and Log Viewer display the output of Trace.

  • If you have installed the Developer files, you can find programming information in the IDM Toolkit Help system. The Developer files also include sample code.

  • The readme file (readme.htm in the IBM\IDM folder) contains late-breaking information, describes known problems, and provides information on unsupported features, compatibility, and certification.


Whats new in 403 release?

What's new in the 4.0.3 release?

This section explains on new features and enhancements and deprecations in IDM Desktop 4.0.3:

New features and enhancement

  • CHM (compiled html) Help format provided with IDM Desktop 4.0.3

  • IDM Desktop 4.0.3 supports MS Outlook 2007

  • Support for TIFF LZW and TIFF JPEG compression

  • IDM Viewer supports use of system time, enabling different time zones

  • Searching 'closed' documents in IDM Find

  • Enabling mouse to provide context menu

  • IDM support PDF/A & JPEG 2000

  • Common Logging support

CHM (compiled html) Help format provided with IDM Desktop 4.0.3

CHM help files are provided with IDM Desktop 4.0.3 instead of HLP for Windows Vista and Windows 7 users.

IDM support for MS Outlook 2007 and Outlook 2010

IDM Outlook Integration is available for Outlook 2007, and 2010. This Integration is available through menu items in the main Outlook window (Explorer regions) and in the editors (Inspector regions). With this support Outlook helps customers use Outlook 2007 and 2010 as part of MS Office Integration.

Support for TIFF LZW and TIFF JPEG compression

With the support of TIFF LZW and TIFF JPEG, annotations can be applied and these images can be part of multi-page TIFF image format.

IDM Viewer supports use of system time, enabling different time zones

This feature provides an option in IDM Viewer by which user can change Time Zone setting or IDM Viewer can pick it automatically from user’s machine settings. This is applicable for Outlook documents only.

Searching 'closed' documents in IDM Find

User can search the closed documents as a default option for any of queries performed in the search criteria. This feature is applicable for search performed against Image Services.

IDM Find application is launched with preferences set for the “Closed Documents” as default for any of the search query submitted to Image Services, by this user can only get the documents, which are closed as result for the submitted query. If the preference for "Closed Documents” is not set then “Open Documents” will be enabled for any of the query posted.

Enabling mouse to provide context menu

Mouse is enabled for spin control that helps users to use mouse in IDM Find rather than just the keyboard. User can use mouse to copy and paste the document ID value [F_DOCNUMBER] in key conditions.

IDM support for PDF/A & JPEG 2000

PDF/A & JPEG 2000 file formats are supported for viewing in IDM Desktop 4.0.3.

Common Logging support

The logging infrastructure used by the product stores logged information in a proprietary (product-specific) format. Log R1 Adapter provides a data conversion utility (adapter) that can reformat the logged data into the CBE format upon request.

Deprecations in 4.0.3 release

Lotus Notes integration has been deprecated from 4.0.3 onwards. Users cannot integrate Lotus Notes with IDM Desktop 4.0.3.

Supported software/tool in 4.0.3 release

See the IDM 4.0.3 readme for supported software/tools.


What's new in the 4.0.2 release?

New features and changes in 4.0.2 include:

  • IDM Desktop is integrated with MS Office 2007. If you have IDM 4.0.2 integrated with MS Office 2003 and want to upgrade to MS Office 2007, then after upgrading MS Office 2007 you need to re-install IDM 4.0.2 for correct functionality.


What's new in the 4.0.1 release?

The 4.0.1 release of IDM Desktop includes the following changes and features:

  • CS user rights are validated based on the value of the "Add Folder" property for the user when attempting to create a folder in the CS library. An error message is displayed in case a user does not have appropriate rights. An Admin user can create a folder in CS library even if there are no rights assigned to this user for adding a folder.
  • IDM Find application displays the document id in positive value even if the document id exceeds the 2,147,483,647 value.

Toolkit

  • See the IDM Toolkit Help for information on changes in the objects, controls, and programmers' documentation.


Welcome to IDM Desktop

Introducing IDM Desktop

With IDM Desktop, you can work with documents stored in an online library. IDM Desktop is integrated with Windows so you already know a lot about how to use it. Application integration adds IBM FileNet commands to Microsoft Office application. You can also connect to libraries via an Internet connection.

Click here to continue the introduction.


The applications

Applications

Click on an application for a brief introduction. Click the Back button to return to this topic.

IBM FileNet Neighborhood

IDM Find

IDM Viewer

Click here to continue the introduction.


Web client

IDM Desktop 4.0.2 includes Web client capability for access to libraries through a Web server running IBM FileNet Web Services 4.0.2. Using a supported browser to access IBM FileNet Web Services, you can connect to a library and then add, retrieve, and display IBM FileNet library documents.

You access a Web application using a URL or a shortcut provided to you by your system administrator. To get Help, click a library, then click the Help button in the Logon dialog.

Click here to continue the introduction.


Operations

Tasks

C lick on an operation to jump to an introductory topic. Click the Back button to return here.

Adding documents to a library

Viewing documents

Opening documents

Adding annotations to documents

Printing and faxing documents

Creating new versions of CS documents

Finding documents

Operations from integrated applications

Click here to continue the introduction.


Objects and their properties

Things you work with

Click on an object to jump to an introductory topic. Click the Back button to return to this topic.

Libraries

Folders

Documents

Compound documents

Annotations

External documents

Stored searches and search templates

Desktop shortcuts

Security

Properties

Click here to continue the introduction.


Options and shortcuts

Click on a topic to jump to a description. Click the Back button to return here.

Preferences

Viewer customization

Desktop shortcuts

Stored searches and search templates

Operations from integrated applications

This ends the introduction.


About logging on and logging off

Logging on and logging off

To work with library documents, you must first log on to the library. If your system is not configured for automatic logon as part of your normal Windows logon process, then IDM Desktop prompts you to log on when you try to open a library or add a document.

If you log on to a CS library automatically, the Select Group dialog may appear when you open the library, allowing you to choose a group for this session.

Your logged-on status is shared by all IDM Desktop applications.

You can use the IDM Viewer to display local files without logging on.

When you finish a work session, you should close all IDM Desktop applications so you do not tie up system resources.


 Log on to IBM FileNet libraries

  1. Double-click a library in the IBM FileNet Neighborhood.
  2. If prompted, enter your user name and password, then press Enter or click OK.
  3. If the Select Group dialog opens, you can choose a group name from the pulldown menu before pressing Enter.

Where can I log on?

The quick procedure logs you on to the library and opens it. If you are not logged on to a library when you need to use it, you will encounter the Logon dialog. Some of the places you can log on from appear below.

  • The IBM FileNet Neighborhood, when you open the library.
  • IDM Viewer. From the File, Open menu option select a library.
  • IDM Find. From Simple Find or Advanced Find, select a library in the Look in drop-down.
  • A desktop shortcut. Double-click the shortcut.
  • Integrated applications such as Microsoft Word. From the File menu, select the IBM FileNet Open menu option, then select a library.
Depending on the library types selected during installation, you can log on to either a single IS or CS library, or to more than one library of the same or a different type.

To log on to one or more libraries
  1. When the logon dialog box displays, enter your IBM FileNet user name in the User name field.
  2. If you have a password, enter it in the Password field. Asterisks hide your password as you type it. Correct errors by backspacing over the asterisks. If you do not have a password, skip this field.
  3. Do either of the following:

If logging on to an IS library, click OK to submit the logon request.

If logging on to a CS library, you can check or uncheck the Show Select Group dialog check box. If you leave it checked, the Select Group dialog appears. Select the group name for this session from the pulldown menu and click OK.

Notes

You can log on to any number of different libraries but only once as a specific user per library.

For IS libraries, document class definitions do not change during the work session. For CS libraries, you see only the document classes and definitions that existed when you logged on.

For CS libraries, the Show Select Group dialog check box is checked by default if configured in your preferences. You can also choose a default logon group in your preferences for each CS library. You can modify these preferences in the Select Group dialog or in IDM Configure.

Tips

To find out if you are logged on, in the IBM FileNet Neighborhood, right click the library. If you see a Logon command, you are not logged on.

You can use the IDM Viewer to display local files without logging on to a library.

See also
Welcome to IDM Desktop


Modify group logon settings

Modify group logon settings (CS)

In the Select Group dialog, you can choose a default logon group and turn off display of the Select Group dialog in the future. For those who log on automatically, this dialog appears only if enabled in your preferences. When logging on manually, you choose to display it with a check box on the Logon dialog.

To choose a default logon group
  1. Display the Select Group dialog by logging on to a CS library.

If you log on manually, make sure the box (Show Select Group dialog) at the bottom of the Logon window is checked before clicking OK.

If you use autologon, you must first log off and then log on again. Right click the library and choose the Logoff and Logon options from the shortcut menu. You must also have the Show Select Group dialog preference enabled.

  2. Select the group you want as a default from the pull down menu.

  3. Check the Use as default box.

  4. Click OK to log on.

To turn off display of the Select Logon dialog
  1. Display the Select Group dialog by logging on to a CS library.

If you log on manually, make sure the box (Show Select Group dialog) at the bottom of the Logon window is checked before clicking OK.

If you use autologon, you must first log off and then log on again. Right click the library and choose the Logoff and Logon options from the shortcut menu. You must also have the Show Select Group dialog preference enabled.

  2. Select the group for which you want to turn off the display.

  3. Check the Do not show this dialog again box.
  4. Click OK to log on to the library.

Note

Alternatively, you can use IDM Configure to change these settings.


 Change your password

  1. Right click a library and display its properties.
  2. Using the Change Password tab, enter the requested passwords.

You can change your logon password for an IBM FileNet IS library using the quick procedure above or by entering a new password when the library prompts you. The IS library prompts you to change your password when it is in the grace period, when it will expire with your next logon, or when it has expired.

To change your password for a CS library, you select Change Password from the library shortcut menu, as explained in the following procedure.

An IS password has 6 to 16 characters (only the first 8 characters are checked); a CS password has 1 to 32 characters.

To change your IS or CS password using the library shortcut menu

  1. In the IBM FileNet Neighborhood, right-click a logged on IBM FileNet library.

  2. Select Properties.

  3. Select Change Password.

  4. In the Old Password field, enter the password to be changed.

  5. In the New Password field, enter the new password.

  6. In the Confirm New Password field, reenter the new password.

  7. Click Apply, then click OK.

Note

If you are running 3.5 or later IS libraries, you can change your password without being logged on to a library.

If more than one user is logged on with the same user name, the password can be changed.

To change your IS password when you are prompted (the password is still in the grace period)

  1. At the message prompt select Yes.

  2. In the Current password field, enter your current password.

  3. In the New password field, enter your new password.

  4. In the Confirm password field, retype your new password.

  5. Click OK.

Tip

To change your IS password when the password will expire with the next logon or when it has expired (only the Change Password dialog displays), start from step 2 above.

See also
Logon restrictions


 Log on as a member of a different CS group

You can specify a group name when you log on to a CS library or accept the default group name. You may want to enter a nondefault group name to gain a different set of access rights. For example, let’s say you are in the Engineering and Documentation groups.

Your default logon might be Documentation, which gives you Author or Owner access rights to all the writers’ source and output documentation files. But you might want to log on in the Engineering group one day to gain greater access to Engineering design documents or internal specifications.

Once you are logged on you cannot change the group name in the active session.

To change groups if you do not use autologon

  1. Close all IDM Desktop applications.

  2. Right-click the library and choose Logoff.

  3. Right-click the library and choose Logon.

  4. Make sure the Show Select Group dialog box is checked.

  5. When the Select Group dialog appears, select the new group from the pull down and click OK.

Autologon and default group

The default group specified for a CS library is for the currently logged-in user on the current PC. If you log on to the same library on a different PC, you can have a different preference value that logs you in using a different group.

If the preference to show the Select Group dialog is set, you can change groups without rebooting.

To change groups if you use autologon and the preference, Show Select Group dialog

  1. Close all IDM Desktop applications.

  2. Right click the library and choose Logoff.

  3. Right-click the library and choose Logon.

  4. When the Select Group dialog appears, select the new group from the pull down and click OK.


Log off

To log off when you logged on via Windows Explorer

  1. Exit from any IDM Desktop and integrated applications you have open.

  2. Open Windows Explorer.

  3. Select the IBM FileNet Neighborhood icon.

  4. Right-click an IBM FileNet library you are logged on to and click Logoff on the shortcut menu. (Repeat for each library you are logged on to.)

  5. Exit the Windows Explorer.

Notes

You are automatically logged off when you exit Windows or when you log on again to Windows as a different user.

Although you can log off from IBM FileNet Neighborhood at any time, the logoff does not take effect until you also exit from IDM Viewer, IDM Find, and any other integrated applications attached to the logon session.


 IBM FileNet Neighborhood

The IBM FileNet Neighborhood is an Explorer for the folders in IBM FileNet libraries.

The IBM FileNet Neighborhood icon appears on your Windows desktop, as shown below.

As with any Explorer window, you can view large or small icons, a list of items, or a detailed list. You can customize the detailed list to show the properties you want to see.

You work with library folders and documents much like you work with Windows documents.

Questions
What do the icons and icon symbols mean?
How do I customize the IBM FileNet Neighborhood?
How can I open IBM FileNet Neighborhood as a two-pane Explorer window?
How can I find a document that isn't filed in any folder?
I don't have an IBM FileNet Neighborhood icon on my desktop? Why not?
How do I create a folder?


Browse a library's folder tree

Navigating through a library's folder tree is called browsing. You cannot browse to a document unless it is filed in a folder.

  1. Double-click the IBM FileNet Neighborhood icon on the Windows desktop.
  2. Log on if necessary.
  3. Double-click on a folder to open it. Click [image] to move up one level.

A folder or document is visible to you if you have read access rights.
A folder, document, or search is visible to you if you have Viewer access rights.
To browse a library's folder tree
  1. Double-click the IBM FileNet Neighborhood to see your preferred libraries.

  1. Optionally, double-click the Entire IBM FileNet Network icon to see your network libraries.

  2. Double-click a library and log on if necessary. This will show you the top level folders.

  3. Double click on a folder to open it and navigate down the folder tree. Click the Up button [image] or press BACKSPACE to move up.

Tips

Right-click and choose Explore to open the IBM FileNet Neighborhood as a two-pane Explorer window.

Click the + sign to the left of a folder to open it; click the – sign to close it.

Customize the IBM FileNet Neighborhood to list the properties of interest to you.

To save time, create a shortcut to the libraries you use most often. You can put this in a folder, on your desktop, and send it to other users. To create and use shortcuts, you must install IDM Desktop with Windows integration.

You can log on to and browse any number of libraries at the same time by starting multiple instances of IBM FileNet Neighborhood.

The IBM FileNet Neighborhood's title bar shows the path to the open item.

Notes

Documents added to IS libraries display the generic IBM FileNet icon except that documents added to IS libraries 3.4.x or later display the registered application icon if there is one.

See also
Log on to IBM FileNet libraries
Icon glossary
Customize the IBM FileNet Neighborhood


Select folders, documents, and stored searches

Select folders, documents, and searches

To select a folder, document, or search

4 In the IBM FileNet Neighborhood or search results, right-click on a folder, document, or search and select a command.

To select multiple folders, documents, or searches

  1. Left-click the first item, then hold down Ctrl while clicking additional items. You can select a set of contiguous items by clicking the first one, then clicking the last one while holding down Shift.

  2. Right-click any selected document and choose a command.

Notes

The shortcut menu enables the valid commands for the last item selected. An error occurs if you choose a command that is invalid for a selected item or a command that requires a single selection. An error occurs, for example, if you don't have sufficient access rights to perform the operation on a selected item.

For a list of procedures that support multiple selections, see Multiple selections summary .


Customize the IBM FileNet Neighborhood

  1. Display a detail view of the library you want to customize.

  2. Right-click in the right side of the window and select Options.

  3. Add, edit, delete, and format properties in the Options dialog.

You can customize the IBM FileNet Neighborhood (which also applies to Simple Find and Advanced Find search results, and the Details view in the Open dialog box) for each library you work with. The customization and preference information for each library is stored locally on your PC.

To customize the IBM FileNet Neighborhood
  1. In the IBM FileNet Neighborhood, log on to the library for which you want to set up property columns.
  2. Display the window in Details view.

Right-click in a blank part of the window (right pane of an Explorer view), and choose Details from the View layout.

The first time you display the Details view, you see the default settings. You can restore the default settings at any time (see step 5).

  3. Right-click in the IBM FileNet Neighborhood window (right pane of Explorer view) and select Options.

The customization you set up will apply to the library shown in the drop-down Library list. You can select another library. The Logon dialog appears if you need to log on.

  4. In the List View Options dialog, you can:
Add a property column

  1. Click the Add button.

  2. Choose a property from the property list. By default, the property list includes all folder and document properties. Click the Filter button to limit the property list to the folder properties and/or the properties associated with selected document classes.

  3. In the Column Label field, enter a meaningful heading for the property column.

  4. Set the width in pixels. (You may find it easier to adjust column widths by dragging the column dividers in the IBM FileNet Neighborhood.)

  5. Set the column alignment.

  6. Click the Add button.

Edit a property column

4 To modify a property column, click the Edit button. You can select a different property, change the column label, adjust the width, or reset the alignment. For the first column, you can edit only the column label (see Note below).

Delete a property column

4 Select the column, then click the Delete button. You cannot delete the first property column.

Re-order the property columns

4 You cannot move the Main Column Label. Select any other column you want to move, then click the up or down arrow to move it.

Restore a library’s default property column settings

4 Click the Use Default button. (The Use Default button is unavailable unless you have custom settings for the selected library.)

Display document state information

4 To display a small sticky note icon to indicate that an IS document has one or more annotations, select Show Annotations.

4 To display a check mark to indicate that a CS document is checked out, select Show Checked out Status.

  5. Click Apply to save and continue without closing the dialog. Click OK to save and exit when you finish.

Notes

The F_PAGES property column displays the number of files in a document, not the number of pages. For example, it displays 1 for the number of pages in a multi-page TIFF document.

The first column displays a fixed property column called Main Column Label, and the default heading for this column is the label "Name." This column displays the main property for folders, IS documents, and CS documents. For any folder, it displays the folder name. For IS documents, the Name column displays the document ID. For CS documents, the Name column displays the document title. You cannot move or delete this column. You can change the column label to provide another column heading but remember that the heading applies to both folders and documents.

Multivalue custom properties are excluded from list view column headings.

Tip
You can use filtering (see Add a property column in step 5 above) to list the property fields in a document class.


Customize default (double-click) action

 Customize the default (double-click) action

By default when you double-click a document in an IS library, IDM View (or an alternate viewer you’ve configured) displays the document. Double-clicking a document in a CS library opens the document in its registered application.

Using IDM Configure, you can choose a default from several alternatives on the shortcut menu.

IS Library |
IDM View | Opens the document in IDM View or an alternate viewer configured for the file extension.
Open | Opens the document in its registered application.
Preview | Shows a miniature view or a scrollable portion of the first page of the document for supported file formats.
Properties | Displays the document’s properties (General tab).
CS Library |
Open | Opens the document in its registered application.
IDM View | Opens the document in IDM View or an alternate viewer configured for the file extension.
Checkout | Checks out the document to your local disk.
Checkout and Open | Checks out the document and opens it in its registered application for editing.
Copy to | Copies the document to
Copy and Open | Copies the document to
Preview (might be removed) | Shows a miniature view or a scrollable portion of the first page of the document for supported file formats.
Properties | Displays the document’s properties (General tab).


 Refresh the Explorer display

When you make changes in the IBM FileNet Neighborhood, for example you rename a folder, drag and drop a file, copy a folder, or make changes to the environment icon font, you may need to refresh the display to see the changes that were made.

Select Refresh from the View menu or press F5.


 About libraries

IBM FileNet document management systems are called libraries. You can use IDM Desktop to access both IS [image] and CS [image] libraries.

A preferred library is a library added using IDM Configure. You can access preferred libraries from any IDM Desktop application.

Additional IS libraries, called network libraries, may appear in the Entire IBM FileNet Network. You can access a library in the Entire IBM FileNet Network from the IBM FileNet Neighborhood (or any other Explorer window).

Using IDM Configure, you can set some per-library preferences. For example, you can enable autologon for specific libraries.

Questions
What are the differences between an IS and a CS library?
How do I add a library?
How do I remove a library?
What's the fastest way to access a library?
What is a network library?


Set up a default library

Set a default library

When you start IDM Find, the default library appears in the Look in box. You can search this library or choose another library from the pulldown menu.

If you search most often in another library, you can make that library the default.

To set a default library
  1. Right-click a library.
  2. Select Set as Default.

Notes

The default library's shortcut menu has a check mark by the Set as Default command.

Use IDM Configure to add a library, remove a library, change a library's label (your name for the library).


Add a network library to preferred libraries

You can select network libraries from the Entire IBM FileNet Network, which is available in the IBM FileNet Neighborhood and the IDM Viewer. However, IDM Find's Look in menu does not include network libraries. To search in a network libary, you must first make it a preferred library so you can select it in IDM Find. To add any other preferred library, use IDM Configure.

To add a network library to preferred libraries

  1. In the IBM FileNet Neighborhood, double-click Entire IBM FileNet Network to see the network libraries.

  2. Right-click a network library.

  3. Select Add to Neighborhood.


Remove a preferred library

To remove a preferred library

  1. Right-click a library.

  2. Choose Remove from Neighborhood.

Notes

The Remove from Neighborhood command is not available if you are logged on.

You cannot remove the default library. ( Set another library as the default if you need to remove the current default.)

You cannot remove the last library.


 View or modify library properties
If you are logged on to an IS library, you can change your own password and view but not modify the properties on the General property page.
If you are logged on to a CS library, you can view its properties and change your password. You can modify the list of users who can add root level folders to the CS library if you have Admin access rights.

To view or modify library properties

  1. Right click a library and select Properties to display the library property pages.

  2. Enter or select new properties.

  3. Click on the Apply button or the OK button to save the modified properties.

Click on the appropriate button below for details on library properties.
IS library
General properties
CS library
General properties
Security properties
Change password properties
Checked out documents
See also
Change your password
View the checkout list
Modify list of users who can create root level folders


Create desktop shortcuts

A fast way to access a library, folder, document, or search is to use a desktop shortcut.

To create a desktop shortcut

4 Right-click a library, document, stored search, search template, or folder, and then click Create Shortcut.

After creating a shortcut, you can right-click the shortcut to choose commands. You can also view or modify the shortcut properties.

Tips

You can drag and drop files to shortcuts. For example, to file a document in a folder, you can drag the file to the folder or to the folder's shortcut.

A CS document shortcut represents the current version if you create it from the document icon. It represents a specific version if you create it from the Versions tab of the properties dialog.

You can create shortcuts and send them to other users. To use a shortcut, you must be running IDM Desktop Version 3.0 or later with Windows integration installed.

See also
E-mail a document shortcut
E-mail a stored search shortcut


Set up taskbar shortcuts

You can turn on toolbars that appear on the taskbar or desktop. For example, if you turn on the Quick Launch toolbar, you can quickly launch IBM FileNet programs, including IBM FileNet Neighborhood.

To set up taskbar shortcuts

  1. Right-click an empty area of the taskbar, point to Toolbars, and make sure Quick Launch is selected.

  2. Drag any program to the Quick Launch toolbar.

  3. Drag the vertical bar to move or resize toolbars.

Tips

See the Windows help text for more information about toolbars.

Look in the Program Files\IBM\IDM directory for IBM FileNet programs:

IDM Find (fndapp.exe)

IDM View (IDMView.exe)

You can drag the IBM FileNet Neighborhood icon to the Quick Launch area and answer yes to the prompt asking if you want to create a shortcut to the item.

Drag items to any position within the group.


Rename a shortcut

To rename a shortcut

  1. Right-click the shortcut and choose Rename.

  2. Enter the new name.


Delete a shortcut

To delete a shortcut
  • Right-click the shortcut and choose Delete.

Note

Uninstalling IDM Desktop does not delete shortcuts.


Overview of viewing documents and files

 Viewing documents and files

You have many viewing options. To begin, you can:
  • Choose which program displays your document.
  • Choose between two window styles when using IDM View.

While documents are displayed in IDM View, you can:

  • Zoom in and out, scale, rotate, adjust brightness, and reverse colors (not all of these are available with all file formats).
  • Arrange windows and icons for optimum visibility.
  • Split windows so you can see two or four parts of one page (not available with all formats).
  • See properties of the document.

Questions
How do I control which program displays a document?
What do the two window styles look like?
What kinds of files does the Viewer support?
What happens when I retrieve a document?
How do I make the document larger or smaller?
How do I rotate the document?
How can I see all documents in one window?


Select a viewer

There are several ways to view documents in a library: In IBM FileNet Neighborhood, right-click a document to see these options:

  • IDM View usually opens a document in the IDM viewer, unless you set a preference to open documents with certain file extensions in alternate viewers.

  • Open usually opens a document in its registered application. If there is none, you’ll see the Windows Open With dialog instead.

Usually, one of these choices is bold, indicating the default action had you double-clicked the file.

  • You can also view documents in an integrated application (Microsoft Office).

Note

If the alternate viewer is not available, IDM View will display the document instead.

FNI Files

If you use .fni files (text files that link to a document on a library), you can access either the text or the document referenced by the .fni file.

4 To see the text that points to another document, select IDM View from the .fni file’s shortcut menu.
4 To see the document that the .fni file links to, select Open from its shortcut menu.
4 To view the text of an .fni file that resides on your desktop (instead of a library), use Notepad.


Window style

One viewer window

By default, when you open multiple documents in IDM View, they all appear in one window. You can arrange the documents within the window or minimize them. Commands you select from menus and toolbars apply to the selected document.

Multiple viewer windows

Alternatively, you can set the window style option in your viewer preferences to display each document in a separate window. Each window has its own menus and toolbars. Even though each document is represented separately in the Windows taskbar, only one instance of IDM View is actually running.


Search for documents in the Viewer Open dialog box

You can search for documents in the Viewer's Open dialog box. When you find a document using the Open dialog, you can then open it in the Viewer, create a desktop shortcut, or access the document's properties. You must perform all other operations on the document (copy, open, file in a folder, etc.), from IBM FileNet Neighborhood or Find.

You can navigate to, but not search for, stored searches and stored search templates in the Open dialog box. You can search for stored searches and search templates using Advanced Find.

To search for documents using the Open dialog

  1. In Viewer, choose Open from the File menu.

  2. Open a library (double-click it) and log on if necessary.

    • You can browse to a folder, document, or search in the folder tree.

      • Open a folder to limit the search to that folder (but not its subfolders).

      • To search an entire library, do not open any folder.

      • Click the List, Details, Properties, or Preview button to select a view. In Details view, you can click any column title to sort the list according to the values in that column. Details view shows the property columns set up for the IBM FileNet Neighborhood. See an illustration of Preview view .

      • Click the Advanced button to start IDM Find so you can enter more complex criteria. After results appear in the Open dialog window, IDM Find quits.

      • Click the Local Drives button to search on your local disk. You can choose a file type category and, in the case of image files, edit the list of extensions that appear in the file name field.

  3. Enter search criteria in the boxes at the bottom of the dialog box:

    • To search for IS documents, enter the document ID. If you don't know the document ID, you can open a folder and select a document class. (For performance reasons, we do not recommend searching on document class alone.)

    • To search for CS documents, you can enter all or part of the document title. You can include wildcards (? replaces one character; * replaces zero or more characters). Use the Contains box to enter words and phrases contained in an indexed document. In addition you can:

  • Click the Commands and Settings button [image] and choose Filter by File Name and Type. Now, instead of searching on title and content, you can search on file name and file type. (Enter a wildcard like *.tif in the File name box.)

  • Select a document, click the Commands and Settings button, then choose Display Versions from the menu. This lists all versions in the selected document. Either Open the document, turn off Display Versions, or Cancel out of the Open dialog.

  4. Click Find Now to execute the search. Click New Search to clear the current search criteria and start again.


Viewer supported formats

When you right-click a document and select IDM View from the shortcut menu, the system first looks at your preferences for instructions on how to view that document. If you chose an alternate viewer, that program opens instead of IDM View. Otherwise, the viewer opens and displays the file using a sequence of checks for file type and any other preferences. See the topic on Viewer rendering logic for a diagram of this process.

The IDM Viewer supports IBM FileNet proprietary formats and some industry-standard formats such as TIFF and JPEG files. We call these IBM FileNet imaging formats. For other document types, the viewer may use other technologies such as Outside In or Internet Explorer plug-ins. See Document formats supported by the Viewer for a list of file formats supported by these various technologies.

If Adobe Acrobat (Reader or full product) is installed, the Viewer displays PDF files using the Adobe Acrobat plug-in. Otherwise, Outside In renders the PDF file. In addition, you must have Adobe Acrobat installed to view Report Manager documents in the Viewer. You can download the free Adobe Acrobat from the Adobe Web site.


Display a document in the Viewer

Display a document or file in the Viewer

When IDM View displays a document that uses one of the IBM FileNet image formats, all of the toolbars shown below are available. Only a few of the tools are available for other file formats. You can control toolbars display by selecting Toolbars from the View menu.


Save a page or a document

  1. With the page or document displayed, choose Save As from the File menu.
  2. Indicate where to save the file and click Save.

From the IDM Viewer or the registered application, you can save a document or an IBM FileNet image page to the local file system. You save the displayed page of an image in native format or the displayed document in Outside In-supported or multipage TIFF format.

To save a page or a document

  1. From the IBM FileNet Neighborhood, open an image or a document in the IDM Viewer or the registered application, for example, Microsoft Word.

  2. Do one of the following:

    • From the IDM Viewer, display the image page you want or open a document.

    • From the registered application, open a document.

  3. From the File menu select Save As.

  4. Specify the location on the file system to save the file to.

  5. Click Save.

IBM FileNet images added to IS libraries prior to 3.4.0 are saved with the extension .fob. Starting with 3.4.0, IS documents are saved with the extension of the registered application. CS documents have the extension of their registered application.

Tip

To view documents with an extension of .fob using a program other than the Viewer, change the file extension from .fob to .tif.


Arrange windows and icons

If you view multiple documents within one viewer window, you can arrange them for easy access by cascading or tiling them. If you minimize a window, it appears as a shortened title bar at the bottom of the IDM Viewer window.

If each document appears in a separate window, each of which has its own menus and toolbars, just size and arrange the separate windows as needed.

To arrange open windows

From the Window menu, choose:

Cascade
Tile horizontally
Tile Vertically

Regardless of which window style you use, you can split a document window into two or four panes. To do this, you must be viewing one of the IBM FileNet imaging formats (including .tif, .bmp and .jpg). Here is a window split into four panes:

To split a window into panes

4 Drag the split bar from the top of the vertical scroll bar, or from the left of the horizontal scroll bar to the position you want.

While split into panes, you can drag the separator to change the amount of space given to a pane. If you have split the window both directions, you can drag the intersection of the separators. See the cursor (four-headed arrow) in the sample window above.

To return to a single pane

4 Double-click the split bar or drag it to a window edge.

Tips

You can also select or clear Split Horizontally or Split Vertically on the Window menu.

The Zoom tools and Rotation tools change the image in all panes.

To organize the minimized document windows at the bottom of the window

4 Click Arrange Icons on the Window menu.


Paging between documents and document pages

There are two navigators you can use to move from page to page in a multipage document. One of these, the Page Navigator in the lower left corner of the window, also moves to the first and last pages of the document. The Page Navigator works only with documents in the IBM FileNet imaging formats.

In addition, there is a Doc Navigator that displays as a toolbar in the upper left part of the window (unless you have changed its position). This toolbar includes buttons to move between documents when you have more than one open in the Viewer window. The next and previous document buttons on the Doc Navigator, move between any type of document.

To use the Page Navigator

  1. Turn the Page Navigator on and off by choosing View, Page Navigator.

  2. Display a multipage document.

  3. Click the first, previous, next, or last page buttons as shown below:

  4. To jump to any page, select the page number (e.g., 3 of 4), replace it with the page number you want to jump to, and press Enter.
To use the Doc Navigator toolbar

  1. From the View menu of the IDM Viewer, select Toolbars.

  2. Select the Toolbars tab.

  3. Select Doc Navigator.

  4. Click OK.

  5. Click the buttons as shown below:

Tip

You can also use Go to on the Edit menu to go to any page of any document or the keyboard shortcut CTRL + TAB to switch between displayed documents.


Local caching

What happens when I retrieve a document?

The actions that occur when you retrieve a document depend on which command you use (IDM View or Open), the type of library you are working with (CS or IS), and your preference settings. The following describes default actions and locations for files. See Preferences summary for changes you can make to these defaults.

CS Libraries

Open

On CS libraries, Open is the default if you double-click a document. This command opens a copy of the document in its registered application. By default, the copy will reside in My Documents, though you can configure a different folder.

IDM View

This command opens a copy of the document in the IDM Viewer. There is a copy of the file in cache (usually in the IBM\Idm\Cache folder).

Checkout

By default a copy of the document resides in My Documents. You can configure a different folder as the default location.

IS Libraries

On an IS library, both the Open and IDM View commands place a copy of the document (and usually an additional document) in cache. You do not check documents out of IS libraries.

Note

IDM Viewer does not support viewing or printing more than 200 documents at a time.

See also
About cache


About cache

When you view an IBM FileNet document, by default the document is retrieved to the workstation’s local cache, a directory on a hard disk, or on a RAM drive. Using IDM Configure’s Additional Preferences, you can configure how the local cache is used. These options are available in the Directories and Files, Local Caching category:

  • Specify the location of local cache.

  • Automatically delete documents in cache when you log off from all libraries or keep the documents in cache for faster retrieval the next time you log on and view them.

  • Maximum size of cache in megabytes

  • Maximum size of cache in number of documents

When the cache is full, documents that have not been viewed recently are deleted. For CS, only viewed documents are copied to the local cache. For IS, documents may also be copied to the local cache prior to viewing because you have prefetching enabled.

In the Directories and Files, Checkouts and Copies category of these IDM Configure preferences, you indicate default locations for checked out and copied documents.

Direct Access

Instead of moving all documents to cache, you can choose to view documents directly on the library. This can make viewing a large file faster, since it is not necessary to copy the entire file to your cache before you begin viewing it. The option in IDM Configure is a preference for each library.

Report Manager documents

Report Manager documents are transferred in segments and are not prefetched. A segment is a fixed amount of data, typically consisting of several pages. A cache error indicates that you have insufficient cache for a segment.

Notes

Direct Access works only with View and Open commands.

Direct Access does not work with compound documents.

If Direct Access fails for any reason such as not being configured correctly, the operation will proceed in the default manner described above (Local caching).

If you are not sure whether Direct Access is working on your system, you can check the cache (C:\Program Files\IBM\IDM\Cache or similar) to see if the file resides there. If so, then Direct Access was not used.


Overview of Outside In capabilities

After the Viewer determines that a file is not an IBM FileNet imaging format, it checks to see if it can be displayed by the Outside In libraries. When a file is displayed by Outside In, IBM FileNet imaging options become unavailable in the Viewer: annotations, thumbnails and all color adjustment features.

The way you page through a document also changes based on the file type. Some documents have a page navigator at the bottom of the window, while others require you to scroll through the pages using the scrollbar or the Page Up and Page Down keys.

A mouse thumbwheel is inactive while using Outside In.

See also
Document formats supported by the viewer
Viewer rendering logic


Overview of viewing IBM FileNet imaging formats

When you display a library document or a local file in the IDM Viewer, you use standard Microsoft Windows techniques to manipulate the window and the window contents.

  • Use the scrollbars to scroll to parts of the document that don't fit in the window.

  • Drag the window borders to resize the window.

  • Drag the split bar from the top of the vertical scrollbar or the left of the horizontal scrollbar to view two parts of an image.

  • Click the Maximize button [image] at the top of the window to expand the window to full-screen size.

When you load a document in the IDM Viewer, IDM Desktop checks its format and displays it if the document is in a supported format. For BMP, JPEG, TIFF, and other IBM FileNet imaging formats, the IDM Viewer provides tools to copy all or part of an image to the Windows clipboard, magnify, rotate, display annotations, and adjust the appearance of the image. The Viewer can also display any file supported by Outside In.

See also
Document formats supported by the Viewer
Viewer rendering logic


Adjust the zoom level

Fitting the image in the window

You can customize how an image displays initially in the Viewer window. See Customize zoom levels . To change the way the image fits in the window, choose one of the following from the View menu. For each option, the image size changes to fit the window as you resize the window.

 | Whole Page | Scales the image to fit in the window in both directions while maintaining aspect ratio.
 | Page Width | Scales the image to fit the width of the window while maintaining aspect ratio.
 | Page Length | Scales the image to fit the height of the window while maintaining the aspect ratio.
(no toolbar icon) | Stretch to Fit | Sizes an image to fit in the window without maintaining aspect ratio.

To adjust the zoom levels

There are many ways to adjust the zoom level to some percentage of the original (normal) size. When you use any of the following techniques, the image does not maintain the relationship to the window described above. Resizing the window has no effect on the size of the image.

  • Select Zoom In (by 10%), Zoom Out (by 10%), or Zoom Normal (100%) from the View menu. These choices correspond to the buttons on the toolbar.

  • Select Zoom Custom from the View menu and select a percentage. To define the percentages you want to see on this menu, see Customize zoom levels .

  • Right-click the displayed page and select Zoom In, Zoom Out, Zoom Normal, or Zoom Custom.

  • Press the + and – keys on the numeric keypad to zoom in or out using the percentages configured on the View menu. Once you have zoomed in all the way, pressing + has no further effect. Once you have zoomed out all the way, pressing – has no further effect.

  • Select a zoom level percentage from the Custom Zoom drop-down list on the IDM Viewer toolbar. You can also type in a percentage and press Enter.

See also
Magnify or reduce your view of a document


Rotate a document or a page

To rotate a document

4 Click one of the rotation buttons on the standard toolbar to rotate the displayed document to the left, right, or upside-down.

Each click rotates 90 [image] to the left (counterclockwise)
Each click rotates 90 [image] to the right (clockwise)
Each click rotates 180

You can rotate individual pages of a document or set rotation for the window, which applies to all pages.

To rotate one page of a document

  1. On the Image menu, click Rotate Page

  2. Choose the type of rotation you want:

  • Rotate left to rotate the page 90 [image] to the left (counterclockwise)

  • Rotate right to rotate the page 90 [image] to the right (clockwise)

  • Upside-down to rotate the page 180

The page remains rotated until you close the document or change the rotation.

To specify a default orientation

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Orientation.

  3. Choose the type of rotation you want:

  • Rotate left to rotate the page 90 [image] to the left (counterclockwise)

  • Rotate right to rotate the page 90 [image] to the right (clockwise)

  • Upside-down to rotate the page 180

Tip

Annotations remain in the same orientation as the document was when added to the library and they rotate with a document. To add a short "text" annotation with an independent orientation, you can use the stamp annotation and orient it as needed to read both the text in the document and the annotation.


Adjust the brightness

Typically, an image is scanned at 200 or 400 dpi and displayed at 100 dpi. This means an image must be scaled down for display, discarding some of the saved pixels. The Viewer must scale the image to display it at the lower screen resolution. You can adjust the scaling formula to produce a lighter or darker image.

To adjust the brightness

4 On the Image menu, choose Normal, Darker, Lighter or Enhance. Enhance will display the image in shades of gray.
4 Display the Miscellaneous toolbar and click the appropriate button.

To specify default brightness

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Brightness, then select a brightness setting.

Note

Brightness settings have no effect if you are displaying all image pixels.


Change image colors

To switch the colors in the image to their complementary colors

4 Click Invert on the Image menu.

Normal | Inverted
Normal | Inverted

To specify a default complementary color display

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Invert.

For example, black displays as white, and violet displays as yellow.

To display a color image in black and white

4 Select Display as Black & White from the Image menu.

Normal
Display as Black & White

Note

The Invert and Display as Black & White commands are toggles. To return an image to its original color, choose Invert or Display as Black & White from the Image menu again.

A color image that is displayed as black and white will print in color.


Set the background color

You can set a background color for black and white images. Essentially this makes the document look as if it were printed on colored paper.

To set the background color

  1. Click Background on the Image menu.

  2. Choose a color from the color palette.

Setting the background color is a window setting and does not change the saved image.

To specify a default background color

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Background color.


Show or hide thumbnails

You can display a small image, called a thumbnail, for each page of the displayed document. Thumbnails appear in a pane on the left side of the viewing window. These thumbnail images may be helpful in locating a particular page of a document.

To show or hide thumbnail images

4 Click Thumbnails on the View menu or click the toggle thumbnail button [image].

To specify the default to show thumbnails

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Thumbnails.

The default setting takes effect for the displayed document.

Note

Thumbnails are available only for IBM FileNet imaging formats. Using them could take longer to display the images.

Tip

Click a thumbnail to display that page.


Copy all or part of an image to the clipboard

You can copy all or part of an image to the Windows clipboard and then paste the image, in bitmap format, into the open document of any Windows application that supports the pasting of bitmaps. This feature works only with IBM FileNet imaging formats.

To copy an image to the clipboard

  1. Display an image in the IDM Viewer.

  2. On the displayed image, do either of the following:

  • Copy the entire image to the clipboard by selecting Copy from the Edit menu.

  • Click and drag to select a rectangular area, then select Copy from the Edit menu.

When the entire image is copied, the annotations also can be copied. When a part of the image is copied, the annotations cannot be copied.

See also

How IS documents display and print


Magnify or reduce your view of a document

Magnifier

The magnifier offers a direct way to zoom an image area you want to see in more detail.

Click Magnifier Window then drag a rectangle around the area you want to magnify. The area will be displayed in the Magnifier window.

The Magnifier window displays the selected area at 200%, but you can adjust the area using the Zoom In or Zoom Out options on the Magnifier’s Zoom menu. The Magnifier window sizes itself to accommodate the selection but only up to the screen size. Therefore, the software (Windows) may reduce the size of the selected area as necessary to fit in a full-screen window.

If you do not want the shape of the magnifier window to change when rotating the image, select the Maintain Magnifier Size check box in the Viewer (Tools/Customize/Display Defaults). This will naturally highlight a different part of the image that has rotated under the static selection. This setting stays in effect for all Magnifier windows until you change it.

When the magnifier window is active, you can click in the main window to change what is magnified. You can also drag the square box in the main image around to magnify different areas.


Navigator

The Navigator is a separate window that makes it easy to select the area you want to see in a large image. You could do the same thing by scrolling the document’s window, but the navigator box is much faster. The Navigator works with IBM FileNet imaging formats, including TIFF and JPEG.

To use the Navigator

  1. From the View menu, select Show Navigator or click the Navigator button to open the window.

  2. Position the Navigator window so that you are not covering up the larger image.

  3. Drag the selector box to the area you want to see in the larger window.

  4. When finished, close the window by clicking the X in the upper right corner.

Notes

You can resize the Navigator window, but not the selection box (directly).

As you zoom in or out on the main image, the size of the selection box changes to correspond with the part of the image that is visible in the Viewer window.


Search for document text displayed in the Viewer

You can search for text in the displayed document if the document contains text data and is rendered by Outside In.

To search for text in the displayed document

  1. Display a document in the IDM Viewer.

  2. From the Edit menu, select Find or press F4.

  3. Enter the text (one or more words including spaces) you want to search for.

  4. Click Find.

  5. Press Shift + F4 to search for the next occurrence of the text; press Ctrl F4 to search for the previous occurrence of the text.

Tips

You can also select Find Next and Find Previous from the Edit menu.

You can search backward for any text that occurs prior to the location of the cursor: press F4, enter the text, click Backward then click Find.

You can select Match Case to search for uppercase or lowercase text.

Note

Text that is found resets the cursor to the highlighted text. The search engine does not cycle back to the beginning of the document after presenting the End of Document message. If you need to search for additional text that occurs prior to the last found text, reset the cursor by clicking at the beginning of the document.


Overview of Viewer customization

In the IDM Viewer, you can set zoom levels, rotation, brightness, and many other settings. You can make changes as needed or save the settings as defaults that will be in effect whenever you start the Viewer.

To create a customized working environment, you can also remove whole menus, remove one or more commands from menus, modify toolbars, and define keyboard shortcuts.

Defaults and other custom settings are saved in the registry. They are not included in a preferences file.

In addition to customizing the IDM Viewer, you may wish to run the IDM Configure application to set preferences for prefetching and caching.

If you find yourself choosing a command over and over, consider making that command a default. For example, if you show annotations every time you view a document, you can set up the Viewer to show annotations by default. You can set defaults for the following:

  • Viewer toolbars

  • Viewer display options

  • Viewer shortcut keys

The following topics cover options on customizing the Viewer.

Viewer window, menu, and toolbar options

Show or hide menus and commands: Show or hide any menu or command.

Customize toolbars: Specify the toolbars to be displayed in the Viewer, customize their appearance, and create new toolbars.

Add a custom tool: Add a command that launches another application from the Viewer.

Display the Page Navigator: Specify whether to display the Page Navigator bar for easy navigation through multipage documents.

Modify keyboard shortcuts

Viewer display options

Adjust the zoom level: Specify how pages will be displayed within the viewing window —whole page, fit the height, fit the width, or stretch to fit.

Rotate a document or page: Specify a default rotation.

Adjust the brightness: Specify how the Viewer displays black and white images: darker, normal, lighter, or enhanced (scale to gray).

Change image colors: Specify whether to switch the colors in the images to their complementary colors or to display color images as black and white.

Set the background color: Specify a default background color.

Show or hide thumbnails: Specify whether to display thumbnails.

Show or hide annotations: Specify whether to display annotations on documents.

Show or hide document shortcut menus: Specify whether to enable or disable shortcut menus for the displayed document.


Customize zoom levels

To customize zoom levels on the View menu

  1. Select Zoom Custom on the View menu.

  2. Select Settings and enter a percentage in one or more boxes. You can also change the number by clicking the small triangles to the right of the number.

The numbers you select become the new defaults on the View, Custom menu.

To specify a default display size

This procedure sets the size of the image when first displayed.

  1. On the Tools menu, choose Customize.

  2. Select the Display Defaults tab.

  3. In the Zoom field, select one of the following:

Custom | 100%. Large images may not fit, so you’ll need to scroll or adjust the window size to see all of it.
Page Width | Fit the image inside the window so that its width is entirely visible (no horizontal scroll bar). For tall images, you may need to scroll vertically.
Page Length | Fit the image inside the window so that its height is entirely visible (no vertical scroll bar). For wide images, you may need to scroll horizontally.
Whole Page | Fit the image inside the window so that all of it is visible (no scroll bars in either direction).
Stretch to Fit | Fits the image inside the window without maintaining the aspect ratio. As you resize the window, the image stretches or shrinks to fit it in both directions.


Customize toolbars

You can customize existing toolbars and add new toolbars to the IDM Viewer. You can:

Show or hide a toolbar.

Drag toolbars to different locations inside and outside the Viewer window.

Change the shape of a toolbar.

Add, remove, or rearrange buttons on a toolbar.

Add a new toolbar that you name and place buttons on it.

Toggle between standard and cool look buttons.

Toggle between standard and large buttons.

Enable or disable ToolTips.

Your changes take effect immediately and apply to all documents and files open in the Viewer. It is not necessary to have an image or document displayed in the Viewer to change defaults. Your changes remain in effect until you change them again.

The default font option in IDM viewer will be applicable to documents rendered by OutsideIn only.

To show or hide a toolbar

  1. Click Toolbars on the View menu.

  2. Select the check box of a toolbar you want to display, or clear the check box of a toolbar you want to hide.

Drag and reshape toolbars

  • Point to an empty area of a toolbar (above, below, or in between buttons) and drag the toolbar anyplace inside the Viewer window or outside of it.

  • When the cursor changes to a double-ended arrow at the edge of a toolbar, drag the edge to reshape the toolbar. For example, at the far right end of a horizontal toolbar, drag to the left as far as you can to change it to a vertical toolbar (or stop halfway there to make it look more square).

  • To put a toolbar back in the Viewer window, drag it across the window’s border.

To add, remove, or rearrange buttons on a toolbar

  1. From the View menu, select Toolbars.

  2. If necessary, enable at least one toolbar by selecting its check box.

  3. From the Commands tab, select a toolbar category. The toolbar category contains the buttons for a particular toolbar.

  4. Click a button and drag it to any toolbar (the actual toolbar—not the name in the Categories list).

When dragging a button, point to the spot in the toolbar where the button should appear. You can rearrange buttons on a toolbar by dragging them to a different position. If the button gets in the wrong toolbar, remove it and try again.

  5. If desired, move buttons on a toolbar by dragging them to a new position.

  6. If desired, remove a button by dragging it from the toolbar to anyplace within the Commands tab.

  7. Click OK.

To add and populate a new toolbar

This procedure creates a new toolbar in which you can add buttons from other existing toolbars. It does not provide a way to create new buttons. You might use this to consolidate the buttons you use most frequently from other toolbars and then turn off the unused toolbars.

  1. From the View menu, select Toolbars.

  2. Select the Toolbars tab.

  3. Click the New button.

  4. Enter a name for the toolbar and click OK.

  5. Drag the new toolbar to the place where you want it.

It’s in the upper left corner of the window. Initially, it’s as wide as one button.

  6. Click the Commands tab.

  7. Select one of the toolbar categories with buttons you want to place on the new toolbar.

  8. Drag the desired buttons to the new toolbar.

  9. Click OK.

To toggle between standard and Cool Look buttons

  1. From the View menu, select Toolbars.

  2. Select the Toolbars tab.

  3. Enable at least one toolbar.

  4. Select Cool Look. (If you don’t know what they look like, try it.)

  5. Click OK.

To toggle between standard and large buttons

  1. From the View menu, select Toolbars.

  2. Select the Toolbars tab.

  3. Select Large Buttons for large buttons; clear the check box to see small buttons.

  4. Click OK.

To disable ToolTips

ToolTips are the names of button that display when your cursor hovers over a button.

  1. On the View menu, select Toolbars.

  2. Select the Toolbars tab.

  3. Clear Show ToolTips.

  4. Click OK.

Tips

Click Reset to restore all defaults.

Edit the name of a new toolbar by selecting View/Toolbars/Toolbars, then highlighting the toolbar on the list and entering the name of the new toolbar in the text box.

Hold down Alt to move buttons around on toolbars, including moving them to different toolbars, without opening the Customize dialog box.

To close a toolbar without opening the customize dialog box, drag it outside the Viewer window and click the close button in the upper right corner.


Add a custom tool

You can add a command to launch an application from the Tools menu. For example, you can launch a bitmap editor to use when copying all or part of an image from the viewer.

If you enter an argument, you can pass information to the application. For example, you might specify a file name to open in the application. If you include an argument, you should also specify the working directory for the argument. For example, include the path to the file you want to open.

To add a tool

  1. Select Add Tool from the Tools menu.

  2. Click the Add button.

  3. Enter a label for the tool in the Menu Text field.

  4. In the Command field, enter a path to the program executable or click on the browse button to browse for it.

  5. Enter arguments or parameters, if any, in the Arguments field.

  6. Specify a path in the Initial Directory field.

  7. Click OK.

  8. Test the new command. It’s at the bottom of the Tools menu.

To arrange or delete a custom tool

  • Select an item from the Menu Contents list and select the Move up or Move Down buttons to arrange the order that the items appear in the Tools menu. Use the Remove button to remove an item from the Menu Contents list.


Show or hide the status bar

The status bar at the bottom of the window displays a brief description of the toolbar button or menu command as the pointer hovers over it.

To show or hide the status bar

4 Select Status Bar on the View menu.


Show or hide menus and menu options

Show or hide menus and commands

You can show or hide any IDM Viewer menu or command on a menu.

To show or hide an IDM Viewer menu

  1. On the Tools menu, click Customize, then select the Menu tab.

  2. In the Main Menu Bar Items box, select the menus you want to show. Clear the check box to hide a menu.

  3. Click Apply to save changes and continue working in this dialog box, or click OK to save the changes and close the dialog box.

To show or hide a command on an IDM Viewer menu

  1. On the Tools menu, click Customize, then select the Menu tab.

  2. Click on a menu in the Main Menu Bar Items box to the left.

  3. In the Menu Entries box to the right, select the check box for any option you want to show. Clear the check box for any option you want to hide on that menu.

  4. Click Apply to save changes and continue working in this dialog box, or click OK to save the changes and close the dialog box.

Notes

Hiding a menu option does not disable the equivalent command on the shortcut menu, nor does it disable shortcut keys (key commands). You can, however, disable the entire shortcut menu and remove individual shortcut keys.

You cannot remove or move menu separator lines.

Tips

You can always restore hidden menus and menu commands, even if you remove the Tools menu or the Customize command. Press CTRL + T to display the Customize dialog.

CAUTION

Be careful that you do not remove both the Ctrl + T shortcut key and the Tools menu.

To quickly re-enable all menus, click the Enable All button beneath the Main Menu Bar Items. To quickly re-enable all commands within a menu, select the menu and click the Enable All button under the Menu entries box on the right. This enables only the commands in that menu. You need to select each menu and enable its commands one at a time.


Show or hide the Page Navigator bar

Display the Page Navigator

If you frequently view multi-page documents, you can use the Page Navigator to jump to various pages, as described in Paging between documents and document pages . You can turn the Page Navigator on or off by default using the following procedure.

To specify a default for the Page Navigator

  1. On the Tools menu, choose Customize.

  2. On the Display Defaults tab, choose Page Navigator.

Note

While navigating a multi-page JPEG document, IDM Viewer may fail to refresh display after a certain number of pages. The number of pages correctly displayed depends on a combination of factors like image size, resolution and machine configurations.


Modify keyboard shortcuts

You can define the keyboard shortcuts you want to use in the IDM Viewer. In most cases, this means changing existing keyboard shortcuts to shortcuts you find easier to remember. You can also remove existing keyboard shortcuts.

To create keyboard shortcuts

  1. From the Tools menu, select Customize Shortcuts.

  2. In Select a command, highlight a command.

  3. Click Create Shortcut.

  4. On the keyboard, press the key or keys you want to use to execute the command.

  5. Click OK, then click OK again.

To remove keyboard shortcuts

  1. From the Tools menu, select Customize Shortcuts.

  2. In Select a command, highlight a command.

  3. In Assigned shortcuts, highlight the existing keyboard shortcut.

  4. Click Remove.

Tip

Click Reset All to return all shortcuts to their defaults.


Show or hide document shortcut menus in the Viewer

By default, you can right-click on a document page in the Viewer to display the shortcut menu. You can enable or disable this feature.

To show or hide shortcut menus for displayed documents

  1. From the Tools menu, select Customize.

  2. Select Display Defaults.

  3. Clear Enable Context Menu to disable the context (shortcut) menus; select the check box to enable the menus.

  4. Click OK.

See also
IS document shortcut menu
CS document shortcut menu


View COLD documents

COLD documents contain formatted text. Some COLD documents display the text superimposed on a background image. By default, IDM Viewer displays these pages so you can work with them like you work with images. Selecting COLD Text from the View menu hides the background image and suppresses text formatting. The COLD text appears in a dialog box using the Windows system font.

You can copy text to the Windows clipboard then paste it into a document in another Windows application.

To view COLD text and copy it to the clipboard

  1. Display a COLD document in IDM Viewer.

  2. From the View menu, select COLD Text.

  3. Highlight the text you want to copy.

  4. Click Copy to Clipboard.

For pages that have a background image, you can either show or hide the background.

To show or hide a background image

4 Click Background image on the Image menu.


Viewing multipage tiff images

View multipage TIFF images

Multipage TIFF images display like any other IBM FileNet imaging format, but they can only be printed to a local printer. Other IBM FileNet imaging formats can be printed to an IBM FileNet Fax/Printer as well as a local printer.

You must use enhanced mode to display TIFF G3 images in a multipage TIFF document. The Viewer automatically switches to enhanced mode when the zoom level is over 100%.

Properties of multipage TIFF images show "1" for the number of pages.


Documents archived with WFD

Documents archived with IBM FileNet’s WorkForce Desktop Archive application are not supported by the Viewer. Attempts to display this type of document return an error.


Viewing Report Manager documents

View Report Manager documents

If your site is using Report Manager, you have the ability to retrieve and display cross-cataloged Report Manager documents using IDM Desktop. The Report Manager administrator decides which documents to cross-catalog and how to associate Report Manager data with document properties in the library.

Cross-cataloging inserts Report Manager document data into the library’s property database. Cross-cataloging then runs continuously to synchronize the Report Manager and library databases. The documents themselves stay in their storage location on the Report Manager server or on optical disks.

As an IDM Desktop user, you can:

  • View text-type Report Manager reports in the IDM Viewer.

  • Search for text in indexed, text-type Report Manager reports in the IDM Viewer.

  • View Report Manager PDF statements and PDF reports in the IDM Viewer using the Adobe Acrobat plug-in.

The following features are unavailable or do not apply when displaying a Report Manager document in the Viewer: annotations, data mining, administrative functions, and font and background selection.

Adobe Acrobat must be installed on your machine to display Report Manager PDF reports and statements. You must have the full Adobe Acrobat product installed. The free Acrobat Reader is not sufficient. It is not necessary to have Adobe Acrobat to display Report Manager text-type reports.

Display a Report Manager document in the IDM Viewer

  1. Use IDM Find to locate a Report Manager document.

  2. Right-click on the document and choose IDM View.

About magnifying text in a Report Manager document

The Magnifier enlarges selected text in a Report Manager document 200 percent. The accuracy of the results depends on the fonts and font sizes installed on your computer. If an exact font is not installed on the local computer, Windows determines the best font to use. When Windows determines the best font, the magnified area may not exactly match the area you selected. Also, if the document has a bitmap (overlay) the bitmap scales precisely to 200 percent, but the font size may be smaller. Bitmaps are used as forms to supply header, column, and row information such as "Name", or "Amount". So, if the font is not scaled proportionally to the bitmap form, the data can appear to be offset from a specific column or row when magnified.


Search for text in RM report

Search for text in Report Manager text-type report

You can search for text while displaying an indexed Report Manager text-type report in the IDM Viewer. Because a report can be very long, a text search is limited to the first 10,000 pages.

  1. Display a Report Manager text-type report in the IDM Viewer (see procedure above).

  2. From the IDM Viewer’s Edit menu, choose Find.

  3. In the Report Manager Find dialog, enter:

  • The search string, which can have one or more words.

  • The number of pages to search. This is the number of pages the software will download and search at one time. You must have local cache large enough to accommodate these pages.

  • Match case, if you want the search to be case-sensitive. By default, searches are not case-sensitive.

  4. Click Find to begin the search.

  5. The software will display the first page that contains the search string and highlight all instances. Choose:

  6. Find Next to display the next page that contains the search string.

  7. Find Previous to display the previous page that contains the search string.


Save Report Manager pages

You can save the displayed page, a range of pages, or a complete Report Manager document to a local file.

Because a Report Manager document can be very long, be sure you have sufficient cache space to hold the number of pages you intend to print. If a cache error occurs, increase your cache size using the "Maximum cache size" preference.

Save the current page

  1. Display a Report Manager text-type report in the IDM Viewer (see procedure above).

  2. Display the page you want to save.

  3. From the IDM Viewer’s File menu, choose Save As to save the page.

  4. Select a folder and enter a file name. By default, a text-type document is saved to a .txt file and a PDF document is saved as .pdf. If you change the file name, the software will not supply an extension.

  5. Click Save.

Save current page, range of pages, or all pages

  1. Display a Report Manager text-type report in the IDM Viewer (see procedure above).

  2. From the IDM Viewer’s File menu, choose Save All. Select the desired option, and, if printing a range of page, the starting and ending page numbers.

  3. If you are saving more than one page, a status dialog shows the progress and offers a Cancel button.

  4. Select a folder and enter a file name. By default, the software supplies .txt as the extension for a text-type document .pdf for a PDF document. If you change the file name, the software does not supply an extension.

  5. Click Save.

NOTE

The Save All command appears only for Report Manager documents.


IDM Find

You use IDM Find to locate documents. To do this you specify criteria in a search. Executing a search, queries a library and returns a list of the items that meet your search criteria. From the search results list, you can select items to open, file, copy, etc.

When composing a search, you can enter various kinds of search conditions.

  • A property condition consists of a property, an operator, and a value. For example, you might use a Name property to construct the condition "Name=William."
  • A content condition searches for words and phrases contained in indexed CS documents.

IDM Find toggles between Simple Find and Advanced Find. Use Advanced Find to enter more complex criteria and to format the results lists.

Note

To avoid confusion when performing searches:

  • Set the date format on your computer to show 4-digit years.

  • Use 4-digit years when entering dates in search criteria.

Use the Regional Settings control panel, Date tab, to set the date format.

Questions
What are document properties?
What is content searching?
If I have the document ID, do I need other criteria?
Can I format the search results?
Can I save a search to execute again?
Can I save search results in a file?
What are stored searches and search templates?
Can I search for stored searches and search templates?
Can I find a document that satisfies either of two conditions?
I don't see IBM FileNet Documents on my Start>Search menu.


Ways to start IDM Find

You can start IDM Find in the following ways:

  • From the Windows Start menu, select Programs, IBM FileNet IDM, Find.

  • In the IBM FileNet Neighborhood, right-click a library, then click Find.

  • From the Viewer's File menu, select Open, then click Advanced.

  • In the Open dialog of an integrated application, click on the Advanced button.

Tips

To repeat the last search, select Last Search from Find's File menu.

Find's File menu remembers your last 10 stored searches and search templates.


Search using Simple Find

Use Simple Find to search for documents using a limited set of conditions. All conditions must be met.

To search using Simple Find

  1. Start Find . If the application starts in Advanced Find, click the Simple Find button.

  2. From the Look in drop-down list, select the library to search in. Log on if necessary.

  3. To search in a folder rather than the entire library, click Browse and navigate to the folder. If you are searching in an IS library, you can select Include subfolders to extend the search to all subfolders below the selected folder.

  4. Enter the search criteria and, optionally, set the maximum number of documents to return. Use the list below to find information on the various conditions. The table below lists the conditions you can enter in Simple Find.

Condition | IS | CS
Document ID |  |
Document class |  |
Folder |  |
Subfolders of the selected folder |  |
Added between (earliest and latest dates) |  |
Title contains |  |
Document contains |  |
Added by user |  |
All versions in property search |  |
  5. Click Find Now to execute the search. The search results will show the property columns configured for the IBM FileNet Neighborhood.
Tips

  • Click New Search to start a new search.

  • Searching stops after finding the number of documents in the Maximum Returned field.

  • Use Find Count to count the documents that match the search criteria. If the count exceeds the maximum, you can click Advanced to add more search conditions. If you want to see all matches, you can raise the Maximum Returned to a number larger than the count. You cannot use Find Count in conjunction with content searches.

  • You can enable the Find More preference to control the number of matches returned at one time.

See also
Customize the IBM FileNet Neighborhood
Control the number of matches


Search using Advanced Find

Search for documents using Advanced Find

You can search an IS library using any combination of the following conditions: a folder (with or without subfolders), a key condition, and up to 20 property conditions. You can limit a search to open or closed documents.

You can search a CS library using any combination of the following conditions: a folder, up to 15 property conditions (of current versions or all versions), up to 5 content search conditions, and a security filter.

To search using Advanced Find

  1. Start Find . If the application starts in Simple Find, click the Advanced button.

  2. From the Look in drop-down list, select the library to search in, and log on if necessary.

  3. Enter one or more of the following search conditions. Use the buttons below to jump to detailed information on the various conditions and options.

For both IS and CS library searches, you can...

Select a folder [image].

Select document classes [image] to filter the properties.
Enter property conditions.
Link property conditions using ANDs and ORs.

For CS, you can ...

Enter content search conditions (words and phrases).
Click [image] to search the properties of all versions.
Set security filters.
Link content search conditions using ANDs and ORs.

For IS, you can ...

Enter a key condition to optimize database searching.

Limit the search to open or closed documents.

Extend the search to all subfolders below the selected folder by selecting Include IS Subfolders from the Options menu.

  4. Optionally, you can click the Results tab and set the maximum number of documents to return.

  5. Optionally, you can format the search results .

  6. Click Find Now to execute the search.

Note

If you execute a CS search that has no conditions, Find displays a warning but allows you to execute the search anyway. The search then retrieves all documents until reaching the maximum number of matches.

Tip

You can use Find Count to discover how many documents the search will find. If the count exceeds the maximum, you may wish to increase the maximum or add conditions to limit the number of documents returned. Find Count is disabled and cannot be used with content search conditions.

See also
Control the number of matches


Advanced Find Window

Advanced Find window (CS)

Click on parts of the window to display a Popup message about the item.


Advanced Find window (IS)

Click on parts of the window to display a Popup message about the item.


Search Closed documents in Find window (IS)

You can search closed documents in IS library.


Search for searches using Advanced Find

You can search a CS library for searches (stored searches, search templates, and custom searches) using the following criteria: a folder, and up to approximately 18 property conditions.

To search a CS library for searches

  1. Start Find . If the application starts in Simple Find, click the Advanced button.

  2. From the Look in drop-down list, select the CS library to search in, and log on if necessary.

  3. Click [image] to search for searches. (Click the button again to search for documents, but see the note below.)

  4. Enter the search conditions. You can:

Select a folder [image].

Enter up to approximately 18 property conditions.

Link property conditions using ANDs and ORs.

  5. Optionally, you can click the Results tab and set the maximum number of searches to return. If the search returns more searches than the maximum, you can increase the maximum or add conditions.

  6. Optionally, you can format the search results .

  7. Click Find Now to execute the search.

Note

You cannot use the same query for both documents and searches. When you click the button to switch from one search type to another, you see the prompt to save changes before modifying the search.


Folder

Folder condition

To include a CS folder in a search

  1. In Advanced Find, click the Select Folder button [image] to the right of the Look in drop-down list.

  2. Navigate to the folder you want (click + to open a libraries and folders, click - to close them), select it, and click OK.

A CS search is limited to the selected folder and does not extend to subfolders.

To include an IS folder in a search

  1. In Advanced Find, click the Select Folder button [image] to the right of the Look in drop-down list.

  2. You can select or enter a folder name in the Browse Folders dialog box. IS folder names are case-sensitive. You can:

    • Navigate to a folder. Click + to open libraries and folders, and click - to close them.

    • Enter a folder's name in the Named field.

    • Enter the first part of a folder name followed by the * wildcard. For example, enter /myfiles/2000/projects/* to list the subfolders in the projects folder. Or, enter /Pro* to list top-level folders with names that begin with "Pro".

  3. Click Active Folders, Closed folders, or both. If you select Active Folders, the search results will not include Closed folders that contain only other Closed folders. It will, however, include any Closed folders that contain Active folders. The reverse is true when you search for Closed folders.

  4. When the folder name you want appears in the Named field, click OK.

  5. Select Include subfolders to search the folder and all folders below it in the folder tree. Note that you can also choose to include subfolders from the main Find window by clicking the Include IS Subfolders icon [image].


Document classes

Document classes filter and search conditions

By default, the property list includes the properties of all document classes. If this is a long list, you can filter it to show only the properties of document classes that are of interest to you.

To filter the property list

4 In Advanced Find, click the Filter by Document Classes button [image] and select one or more document classes.
The property list will show only the properties associated with the selected document classes. It does not create a search condition.

To create a search condition using the document class property

4 To limit a search to the documents in a document class, enter one of the following property conditions:

For CS DocType=<document class>

For IS F_DOCCLASSNAME=<document class>

Note for IS users

To improve search times, especially when searching a large IS database, include a key condition or a folder name in the search conditions.

See also
Property conditions


Property conditions

A property condition consists of a property, an operator, and a value. For example, to find documents added after a certain date, you would select the CS property "Date Added" or the IS property F_ENTRYDATE, the operator "is after", and enter or select the date. Such a condition looks like this in the grid view:

In Advanced Find and in the Search Template Designer, you can:

  • Enter up to approximately 20 property conditions when searching an IS library.

  • Enter up to approximately 23 property conditions when searching a CS 5.2 and up to approximately 60 property conditions when searching a CS 5.3 library. The maximum number of property conditions depends on the complexity of the conditions.

  • Connect property conditions using ANDs and ORs .

  • Enter property conditions in one of three views : grid, text, grid with text.

To enter a property condition

You enter property conditions one row at a time. You must have a complete and valid condition in a row before you can start another row. You cannot skip a row.

  1. In Advanced Find or in the Search Template Designer, click in the Property field to display the list of document properties. Click on a property to select it.

  2. Click in the Operator field then click an operator from the drop-down list.

  3. Click in the Value field. Select a value if a drop-down list appears. Otherwise, type in a value.

  • CS text values are case-insensitive in MS SQL but case sensitive in Oracle. You can enter up to 80 characters in CS 5.2 library and 254 characters in CS 5.3 library.

  • An IS text value can be case-sensitive or case-insensitive, depending on the property field definition.

  • You can select a date from the popup calendar control or type in a date.

  4. To enter another property condition, click in the Property field of the next row.
To delete a property condition
  1. Click on the gray square that begins the condition to select the condition.
  2. Click the Delete button [image] on the toolbar.

Tips for document searches

If the list of properties is too long, click [image] to select one or more document classes. The list will include only the properties associated with the selected document classes.

For CS searches, the Protected? property is No for external documents and Yes for all other documents. The Protected? property remains on the property list regardless of document class filtering.

To search by document class, create an IS search condition using the F_DOCCLASSNAME property or a CS search condition using the DocType property.


Tips on using the grid view

Grid view and text view

When using Advanced Find or the Search Template Designer, you can enter property values in grid view, text view, or grid view with text view displayed. You can switch between views at any time.

Grid view

  • You must select a property, select an operator, and select or enter a value, in that order, in each row.

  • You cannot skip rows.

  • You select properties and operators from a drop-down list.

  • For date properties, you can select a date value from a calendar.

  • For properties that have a drop-down of values, you can select a value from the list.

  • To select a row, click in its gray square at the far left. Drag to select additional rows above or below it.

  • To delete one or more search conditions, highlight the conditions and click [image] (delete).

  • Select any two or more adjacent rows then click on AND or OR .

Text view

  • You type in a SQL-like query string.

  • Use SQL-style operators rather than text. For example, use ">=" rather than "greater than or equal to."

  • Put single quotation marks around text values, dates, and menu values. Do not put quotation marks around numeric values.

  • You can use parentheses as you wish. The system evaluates the most deeply nested tests first.

  • You can use ANDs and ORs as you wish. The system evaluates ANDs before ORs.

  • Spaces and new lines have no effect on evaluation. A word that does not fit on the current line wraps to the next line automatically. In addition, you can press Enter to start a new line at any point.

  • For CS libraries, property names display in text view, while property labels display in grid view. For example, the grid view condition [ Added by User ] [ is equal ] [ tmoran ] is translated into the SQL expression "idmDocOwner='tmoran'" in grid view.

Grid view with text view displayed

As you enter criteria in grid view, the text view area shows the equivalent SQL-like criteria. This can be helpful in learning to write conditions in text view.


Tips on searching on dates

Date conditions

When you create search conditions in Advanced Find for properties that require date values, such as Creation Date or Archive Date, select the calendar drop-down, which includes the date in the format configured for your PC.

The equal operator is not available for date searches on CS libraries. To search a CS library for a specific date, use the less than or equal to and greater than or equal to search operators to restrict the date range to the single date.


Tips on using the AND and OR Boolean operators

AND and OR operators

All conditions in a search are ANDed and must be met with the exception of ORed property conditions and content search conditions.

  • If two conditions are ANDed, both conditions must be met.

  • If two or more conditions are ORed, at least one condition must be met.

An OR finds a match if any of the ORed conditions are true. For example, you might enter the following search conditions:

You can think of this as executing three searches in one. This search will find all of the following:

  • Documents in the folder added by AWong

  • Documents in the folder added by BBall

  • Documents in the folder added by GDale

If these three property conditions were ANDed, the search would find no documents.

Tips for using AND and OR

You can group two or more contiguous conditions with AND or OR.

To create an AND group, highlight the lines in the grid (click the box at the far left) and click AND.

To create an OR group, highlight the lines in the grid (click the box at the far left) and click OR.

To change the default from AND to OR, select Default to OR from the Options menu. The default you select remains in effect until you change it back using Default to AND.

You can nest groups of conditions within groups by highlighting a subgroup and selecting AND or OR.


Search for words or phrases (CS)

Content search conditions (CS)

In Advanced Find and the Search Template Designer, you can enter up to approximately five content search conditions to find CS documents containing specified words and phrases. A content search condition is ANDed with all other conditions and all these conditions must be met. Documents must have been indexed to be found with a content search.
Indexing and content searching ignore all of the following:

  • Common words (such as "an," "the," and "of") along with any additional words defined by the system administrator. For example, in a bank, the system administrator might define "account," "loan," and "balance" as common words.

  • Case (Smith, smith, and SMITH are the same). For CS 5.3/5.4 the search engine performs a case sensitive search when the mixed case is used. When the search cases are entered completely in lower case or completely in upper case then the search engine looks for all mixed-case variations. Search cases with mixed case automatically become case-sensitive. For example, a query on "Apple" behaves as if you had specified <case>Apple (which would find only the precise string Apple), while a query on "apple" or "APPLE" finds all of the following APPLE, Apple, apple.

  • White space (spaces, tabs, and carriage returns).

To search for words or phrases

  1. In Advanced Find or the Search Template Designer, enter a word, words, or a phrase in the Words or Phrases field. For CS 5.2, you can enter up to 32 characters but no more than 15 words; for CS 5.3, you can enter up to 32 characters but no more than 25 words. You can use the asterisk (*) and question mark (?) wildcards for CS 5.2 only, where the * represents zero or more characters in a word and the question mark represents one character in a word.

    • To find a word or an exact phrase, select Words in order and set the Range to 0. This finds the exact sequence of words, skipping over common words and white space.

    • To find words that appear in sequence with possible intervening words, select Words in order and set the Range. For a CS 5.2 library, the range is the number of characters in the intervening words, skipping over common words and white space. For a CS 5.3 library, the range is the number of words, again skipping over common words and white space.

    • To find words that can come in any order, select Words any order, and set the range to the number of characters allowed between the words, not counting common words and space.

  2. To enter another content search condition, tab to the next Words or Phrases field.

  3. Connect conditions with AND and OR as you wish.

Note

Find Count is disabled when you enter one or more content search conditions.

See also
Content searching examples


All versions

All versions (CS properties)

In a CS search, you can search the properties of all versions or limit the search to current versions. This does not affect content searching, which searches the content of all indexed versions.

To search the properties of all versions

4 In Simple Find, select All Versions in Property Search.

4 In Advanced Find, click [image].


Security filters (CS)

You can set a security filter for CS library searches. A security filter limits the search to documents for which you have a certain access right.

To set security filters for searches

  1. In Advanced Find or Search Template Designer, select the Results Options tab.

  2. Select the Secure check box.

  3. From the Domain drop-down list, select one of the following:

Active Group–the group you entered or selected when you logged on.

All Groups–all groups you belong to.

Default–the default group set in your user profile. You are logged on a member of this group unless you select another group when you log on or a preference sets your group name.

  4. From the Access dropdown list, select the access right (Viewer, Author, Owner, or Admin).
See also
CS security concepts


Key condition (IS)

A key condition consists of a key property, an operator, and a value. A key property has unique values or few duplicate values, such as account numbers and social security numbers, and is optimized in the database for rapid retrieval. When searching a large IS database, include a folder name or a key condition to make the search efficient and fast.

You can include a key condition in Advanced Find and in the Search Template Designer. A key condition must be met (it is ANDed with other conditions).

To enter a key condition

  1. In Advanced Find or in the Search Template Designer, click the Key Condition field to list the key properties, then click a property.

  2. Click in the Operator field to list the available operators, then click a search condition operator .

  3. Click in the Value field, then enter or select a value. If the system stores a list of values, you can select from the list.


Open or closed condition (IS)

By default, Advanced Find returns open IS documents. You can limit a search to open documents or closed documents, or search for both.

To limit a search to open or closed IS documents

  1. In Advanced Find or the Search Template Designer, click the Results tab.

  2. Select Open, Closed, or both.

See also
IS document properties on the General tab (for information on how documents are closed)


Content searching examples

How to use wildcards

You can use the ? wildcard to represent a character in a word and the * wildcard to represent any number of characters in a word.

The ? is useful when you are uncertain about spelling. For example, you can enter the search text "Mari?n" to find both Marian and Marion.

The * is useful when you want to search for forms of a word. For example, the search text "bas*" will find all words beginning with bas (base, baseline, bash, basin, etc.).

How to find words that follow each other

Assume you want to search a CS 5.2 library for documents that include any of the following:

annual report
annual crop report
annual revenue report
annual winter report
annual winter crop report

Enter the search text "annual report", select Words in order, and set the range to 10 to find documents containing "annual...report" where "..." can be up to 10 characters not counting spaces and common words. This will not find "annual winter wheat crop report" because 15 characters separate the words.

If you are searching a CS 5.3 library, you would set the range to 2 because the range is counted in words.the words.

How to find words that appear close together

Assume you want to find documents that mention any of the following:

revenue generating
generating revenue
generate revenue
generating sales revenue
generating support revenue

Enter the search words "revenue gen*", click Words any order and enter the range as 7 characters for 5.2 or as 2 words for 5.3. This will find all documents that include the phrases above.

  • Words any order means either the word "revenue" or a word beginning with "gen" can come first.

  • For CS 5.2 the range 7 means the search finds a match if it encounters the other word within 7 characters, not counting common words and spaces. For CS 5.3, the range 2 means the search finds a match if it encounters the other word within two words, not counting common words and spaces.

How to find a phrase

Enter the phrase. You can drop any obvious common words (such as "the" and "for") but include any word you aren't sure of. For example, to find documents containing the phrase "since the acquisition" you can enter since the acquisition or since acquisition.

How to find two or more words in any location

To find a document that contains two or more words in any location, enter a content search condition for each word.


Index a document for content search (CS)

You can index a CS document for content searching when you add it to a CS library, when you check in a new version, or at any other time. Indexing applies a filter to the document to remove graphics, formatting, and common words. The remaining words are added to the content searching database.

Content searching applies to all indexed versions.

You must have Owner access rights to index a CS document.

To index the current version of a document

  • Right-click a document and choose Index from the shortcut menu. This indexes the current version. If the version is already indexed, the shortcut menu offers the DeIndex command.
To index an older version of a document

  1. Right-click a document and choose Properties from the shortcut menu.

  2. Click the Versions tab.

  3. Right-click the version you want to index.

  4. Click Index. If the version is already indexed, the shortcut menu offers the DeIndex command.


Remove indexing information

You can remove a document version's indexing information. Because you can index each version of a document, you may wish to remove indexing from older versions.
You must have Owner access right to remove indexing from a CS document.

To remove indexing information for the current version

  • In IBM FileNet Neighborhood or search results, right-click the document and choose DeIndex from the shortcut menu. If a document's shortcut menu shows only the Index command, the current version is not indexed.
To remove indexing information for an older version of a document

  1. Right-click a document and choose Properties from the shortcut menu.

  2. Click the Versions tab.

  3. Right-click the version you want to index.

  4. Click DeIndex. If the version is not indexed, the shortcut menu offers the Index command.


Overview of search results

Search results

A search returns a search results list. The list includes the documents (or searches) that match the search criteria, up to the maximum number of matches set for the search.
  • A Simple Find search shows the property columns and other formatting set up for IBM FileNet Neighborhood.
  • All other searches show the property columns set up for the search using the Results Options tab.

You can set a maximum number of matches, page through matches in sets, select the property columns and document information you want to see, and export search results to a file.

Right-click on a document to choose commands from the shortcut menu.

After executing a search template, select the Show Criteria command from the View menu to show or hide the search conditions. Hiding the criteria makes room to show more documents on the search results lists.

See also
Control the number of matches


Control the number of matches returned

Control the number of matches

You can set preferences to provide a default maximum number of results and to retrieve matches in small sets. You set these preferences in IDM Configure.

Maximum results

The Advanced and Simple Find maximum results preference (in the Searching category) sets a default for Maximum Returned. When the search finds this maximum number of documents, it stops looking for more matches. You can reset the maximum for any search.

Retrieving matches in small sets

You can use two preferences, Find More and Find More count, to retrieve small sets of matches, which may be helpful when looking through a long list. For example, if the maximum is 100, you may not want 100 documents returned all at once. You can enable Find More and set the Find More count to the number you want returned at one time (say 25). The search will find 25 matches and pause. If there are more matches, you can click the Find More button to get another 25, and so on, until there are no more search results or you reach the maximum.


Format search results in Advanced Find

You can format the search results list returned by Advanced Find searches, stored searches, and search templates. You can change the properties included in search results, supply your own column headings, align columns, and display document state information (to see if a document is checked out, published, or has annotations).

To format search results

  1. Create or open a search in one of the following ways. If you need information on these procedures, click the button.

Search for documents using Advanced Find

Search for searches using Advanced Find
Author a search template using Advanced Find

Edit an existing stored search or search template.

  2. Click the Results Options tab. By default, the search results list shows the Main column and the properties used in the search. You can:

Add property columns

  1. Click Add.

  2. From the Property drop-down list, select a property. You cannot add a CS multi-value property to the search results.

  3. Click Add.

  4. Repeat steps b and c to select additional properties.

  5. Click Close.

Edit a column heading

  1. Select a property and click Edit.

  2. In the Label field, enter the column heading.

  3. Click OK.

Delete a property column

4 Select a property and click Delete. You cannot delete the Main column.

Move a property column

4 Select a property and click the up arrow to move the column to the left. Click the down arrow to move the column to the right. You cannot move the Main column.

Set the column width

By default, a column accommodates its heading but not necessarily its values. You can change column widths as needed (a valid width is 0 - 255 pixels):

  1. Double-click a property.

  2. In the Width field, type the value of the new column width, in pixels, then click OK.

Align the columns

  1. Double-click a property.

  2. In the Alignment area, select Left, Right, or Center (the default alignment for all properties is left), then click OK.

Limit the number of documents

4 Enter a number in the Maximum returned field.

Sort the results list

By default, the search results list is not sorted. You can sort using any property column and sort the values in ascending or descending order. In addition, when the results list shows more than one property column, you can have a primary sort, a secondary sort, and so on.

  1. Double-click the property to sort. This symbol [image] means the property is not used for sorting.

  2. In the Sort Criteria area select Ascending or Descending.

  3. In the Order field, enter the property's position in the sorting hierarchy. For example, if this property is the primary sort field, select 1.

  4. Click OK.

When the sort criteria is set to either Ascending or Descending for an IS Advanced Find, the maximum returned results is limited to 3000.

Show document state icons

4 Check Show Annotations to display a sticky note icon next to a document that has one or more annotations.

4 Check Show Check Out to display a check mark next to a checked-out CS document.

4 Check Published to display an asterisk next to a CS published document.

  3. To execute the search, click Find Now.

Notes

From the results list, you can right-click one or more documents and select a command. For a list of shortcut menu commands, see CS document shortcut menu and IS document shortcut menu .

If you don't want the search results list to include the properties used in the search, you can deselect Use specified properties as default columns on the Results tab before selecting the properties on the Criteria tab.

For IS, the Main column shows the document ID or the property selected using the "IS document label" preference. For CS, the Main column shows the document title or the file name depending on the setting of the "Set document title to file name" preference.


Export search results

After executing a search, you can save the search results by exporting to a text file.

To export the search results

  1. Execute a search.

  2. From the File menu, select Export Results.

  3. Select a folder.

  4. Name the file.

  5. Choose a delimiter (tab, comma, or semicolon) in the Save as type drop-down list. The delimiter character follows each property value to separate the values.

  6. Click Save.


Overview of stored searches and search templates

Stored searches and search templates

If you repeatedly search for documents using the same or similar conditions, you can save time by using a stored search or a search template. Instead of entering the search conditions each time, you can:
  • Double-click a stored search to execute it.
  • Double-click a search template, supply or confirm the search values, then execute the search.

You can create such searches for both IS and CS libraries. You can save a stored search on your local drive or in a CS library. A search can search any library, regardless of where it is stored.

When you save a search to a CS library, the search inherits CS-style security.

You can update a search saved on a local drive.
However, because searches do not have versions, each time you save a search to a CS library, you create a new search, even if you use the same name.

Questions
How do I create a stored search?
How do I create a search template?
How do I change a stored search?
What are the security rules for searches saved in CS libraries?
Can I use searches created using earlier releases?


Store a search (Save)

Create a stored search

Any user can create a stored search using Advanced Find. When you open a stored search, it executes the search and displays the search results.
If you’re creating searches for Web clients, see the Web Administrator’s Help.

To create a stored search

  1. Start Find . If the application starts in Simple Find, click the Advanced button.

  2. Enter search criteria and format the search results.

Search for documents using Advanced Find

Search for searches using Advanced Find

Format search results in Advanced Find

  3. Click Find Now to execute the search and verify that the search results list has the correct documents and property information.

  4. Click the Save button.

To save in a CS library

  1. Double-click a CS library.

  2. Optionally, open a folder. If the search is not added to a folder, you can search for it using Advanced Find.

  3. In the Title field, enter the name of the search.

To save to a local drive

  1. Click Local Drives.

  2. Navigate to the drive and folder where you want to save the search.

  3. Enter a file name. Do not enter the extension, the software supplies the extension .fss.

  5. Click Save to save the search.

CAUTION

Uninstalling the software will delete any searches saved in the IDM Desktop installation folder or its subfolders.

See also
View or modify search criteria


Author and preview a search template

Create a search template

Think of a search template as an incomplete stored search.

Before you create a search template, you should be thoroughly familiar with Advanced Find. If you are not, see the following topics:

Search for documents using Advanced Find

Search for searches using Advanced Find

Format search results in Advanced Find

To create a search template

  1. Start Find . If the application starts in Simple Find, click the Advanced button.

  2. Click the Search Template Designer button [image].

  3. From the Look In drop down, select a library. Log on if necessary.

  4. Optionally, select a folder. For an IS folder, you may also select Include subfolders.

  5. Enter the search criteria. For each property and content search condition, you begin by selecting a setting in the View column:

Required
Editable
Read Only
Hidden

  6. Click the Options button [image] to show or hide the various searching options.

    Show Look In

    Show Maximum Returned

Show Operators

Show AND/OR Conditions

Show Content Search Character Range

  7. Click the Results Options tab to format the search results.

  8. In the Maximum Returned field, select the maximum number of documents or folders.

  9. Click Preview to test the search template.

  10. Click the Save button.

To save in a CS library

  1. Double-click a CS library.

  2. Optionally, open a folder. If the search is not added to a folder, you can search for it using Advanced Find.

  3. In the Title field, enter the name of the search.

To save to a local drive

  1. Click Local Drives.

  2. Navigate to the drive and folder where you want to save the search.

  3. Enter a file name. Do not enter the extension, the software supplies the extension .fss.

  4. Click Save to save the search.

Notes

An X icon indicates an invalid field, usually an empty field that needs data.

A red diamond indicates a required field that must be filled in before executing the search.

A key icon indicates a field containing a key condition (for IS only).

If, when authoring a template, you enter a value of zero in a numeric field, the zero might be hidden in the preview and when executing the template. This happens when the output format suppresses leading zeros.

Limitation

When searching using a Search Template and connecting to an IS server, if the result exceeds 3000, double clicking or opening a document will generate an error.

CAUTION

Uninstalling the software will delete any searches saved in the IDM Desktop installation folder or its subfolders.

See also
Change a stored search
Create a stored search


Locate a search

Stored searches and search templates can be saved on a local drive, a network drive, or in a CS library.

Locate a search on a local or network drive

4 Use the Windows Find utility to locate a search stored on a local or network drive.

Enter this... To find these...
  • fss
Stored searches created with 3.x software
  • fsn
Stored searches created with 2.x software
  • fst
Search templates

Ways to locate a stored search or search template in a CS library

4 Browse to the search in IBM FileNet Neighborhood.
4 Browse to the search in the Viewer's Open dialog box.
4 Search for searches in Advanced Find .

Locate a stored search or search template using Find's Open dialog box

  1. Start Find .

  2. From the File menu, select Open.

  3. Choose a library from the Look in drop-down list or click on Local Drives.

  4. Navigate to the search.

  5. Double-click on the search to open it in Find.


Execute a stored search

If you can see a stored search, you can execute it. Prior to executing the search, you can review the criteria by right-clicking the search and choosing Show Criteria.

To execute a stored search

  1. Locate the stored search .

  2. Double-click on the search file.

Tips

To execute several stored searches on one operation, select the stored searches, right-click and choose Open. Each search starts an instance of Find.

You can execute a stored search by double-clicking on a stored search shortcut.

See also
Create desktop shortcuts


Complete and execute a search template

If you can see a search template, you can complete and execute the search.

To complete and execute a search template

  1. Locate the search template.

  2. Double-click the template file to launch it. Log on to the library if necessary.

  3. Complete or modify the search conditions as follows:

    • A red diamond marks a required condition.

  1. A required property or content condition must have a search value. If a value appears, you can accept it or change it.

  2. For CS content searching, you can change Words in order to Words any order or vice versa. You can accept or change the search words. If a range appears, you can change it.

  • If you see no symbol and you can type in the value field, the condition is optional. If the template shows a default value, you can use it, change it, or delete it. If the value field is blank, the search ignores the condition.

  • If a condition is visible but the value field is dimmed, you cannot modify or delete the condition.

  4. If the search template displays the Look in drop-down list, you may be able to select another library. You will see other libraries of the same type (IS or CS) but only if the libraries support the properties used in the template.

  5. If the search template displays the Maximum Returned field, you can reset the number.

  6. Click Find Now.

Tip

You can launch a search template from a desktop shortcut, if one exists.

Note

A search template can include hidden conditions.

See also
Create desktop shortcuts


Change a stored search

You must have Owner access rights to modify the search criteria or the format of the search results list.

To view or modify search criteria or formatting

  1. Locate the search . A stored search opens in Advanced Find; a search template opens in the Search Template Designer.

  2. Right-click on the search file, then select Show Criteria.

  3. Modify the search conditions and results formatting as you wish.

  4. Save the search.

Note

Selecting Show Criteria for multiple selected searches will launch a separate instance of Find for each search.

Tips

You can also show search criteria by selecting Show Criteria from the View menu in Advanced Find.

Use the File menu in Advanced Find to select Last Search and other recently executed searches.

From an application integrated with IDM Desktop, such as Microsoft Word, you can open a stored search from the IBM FileNet Open window.


Create a link to a search

To create a link to a stored search or search template
  1. While working in the IBM FileNet Neighborhood, you can copy and paste (or drag and drop) a search to create a link.
A link is similar to a desktop shortcut but note the following differences:

  • The link and the search have the same criteria, search results formatting, properties, and shortcut menus.

  • If you delete a link , you also delete the original search, and vice versa, delete a search to delete its links.

  • You can remove a search from a folder with no affect on links. Likewise, you can remove links from folders without affecting the search.

Tip

In the IBM FileNet Neighborhood, you can make links for several searches in one operation. Right-click on the selected searches, click Copy. Right-click in a blank part of the destination folder, and select Paste.


Send stored search shortcut

E-mail a stored search shortcut

To e-mail a stored search shortcut

  1. Right-click the stored search’s icon (or selected group of icons).

  2. Select Send shortcut.

  3. Choose or enter the name of the mail recipient.

  4. Click OK to send the stored search shortcut.


Rename a search

You must have Admin or Owner access rights to rename a stored search or search template stored in a CS library.

To rename a stored search

  1. Locate the stored search in your CS library or on your local drive.

  2. Right-click the stored search and choose Rename from the shortcut menu.

  3. Enter the new name.


Delete a search

You must have Admin or Owner access rights to delete a search stored on a CS library. Your system administrator preconfigures the CS server to allow persons with either Admin or Owner access rights to delete stored searches. If the server is configured for Admin, only the administrator can delete the search. If the stored search has been copied to other folders, the copies are also deleted.

To delete a stored search

  1. Locate the stored search in your CS library or on your local drive.

  2. Right-click the stored search and choose Delete.

  3. Confirm that you want to delete the stored search.

Tip

In the IBM FileNet Neighborhood, you can delete more than one stored search at a time. Select the stored searches you want, right-click, then select Delete from the shortcut menu.


Remove stored search from folder

To remove a stored search from a folder

  1. Right-click the stored search’s icon.

  2. Select Remove from folder.

  3. Answer the prompt to confirm that you want to remove the search, making it inaccessible.


View or modify search properties

Any user can display the Windows file properties of a search saved on a local drive.

If you can see a search in a CS library, you can view the search's properties. You must have at least Owner access rights to modify the properties; otherwise, the property fields are dimmed.

To view or modify the properties of a search stored in a CS library

  1. Locate a stored search or search template in a CS library.

  2. Right click the stored search and choose Properties to display the property pages.

  3. Click on the appropriate button to view information on the properties.

CS stored search properties on the General tab

CS stored search properties on the Security tab

CS stored search properties on the Folders Filed In tab


What is application integration?

Within integrated applications, special IBM FileNet menu options streamline document management functions, such as adding new documents to a the library. Click here to see an example of the IBM FileNet menu options integrated within an applications menu.

The level of integration and functionality varies with the listed applications. The IDM Desktop Setup program allows you to integrate with the applications you have installed. Application integration is supported only for applications installed on your local hard drive.

Some of the features supported by the integration are:

  • Creating compound documents within integrated Office applications and adding them to a CS library
  • Viewing and modifying document and version properties, including security
  • Setting and modifying preferences that affect operations performed from integrated Office applications
  • Inserting document properties directly into Microsoft Word or Excel documents
  • Inserting documents and shortcuts in Outlook
Unless otherwise noted, you can process single documents and compound documents from integrated Office applications.

Questions
What preferences affect application integration?
Where do I begin using my integrated Microsoft Word, Excel and PowerPoint?
Where do I begin using my integrated Microsoft Outlook?
What are document property references?
Where do I find troubleshooting information that can help me resolve any problems that arise while I work with my integrated applications?


IBM FileNet menu options

IBM FileNet menu options appear on your application's menus after you integrate the application with IDM Desktop. To make it easier to locate the special options, most of the options appear with the IBM FileNet menu. The menu options in Outlook begin with the word IBM FileNet.

Notes

The IBM FileNet menu options are unavailable while you are making a meeting request in Outlook. But if you are using Microsoft Word as your editor in Outlook, all of the special IBM FileNet menu options are available in Word.

If you are working in a document that is stored in your drive:\temp directory, only the IBM FileNet Open command is available. This helps when you are trying to access file attachments or embedded OLE objects within Outlook.

You can enable or disable the menu options in your Office application by adding or removing the applications integrated with IDM Desktop.

To enable or disable IBM FileNet menu options

  1. From your Start menu, click Settings, and then point to Control Panel.

  2. Click Add/Remove Programs. The Add/Remove Programs Properties dialog box appears, where a list of installed software is displayed.

  3. Highlight IBM FileNet IDM Desktop, and then click Add/Remove. The IDM Maintenance dialog box appears.

  4. Click Add/Remove. The Add/Remove Components dialog box appears listing the components you add or remove from your current IDM Desktop installation.

  5. Select or clear the Office application integration option you want to add or remove from your installation.

  6. Click Next. IDM Desktop adds or removes the options you selected or cleared.

  7. Reboot your system. Applications you integrated with IDM Desktop contain the IBM FileNet menu options. Applications that are no longer integrated with IDM Desktop, do not contain the IBM FileNet menu options.


About application integration preferences

Many of the steps in application integration depend on preferences. The preferences are in the Application Integration category. You can access the preferences from IDM Configure or from an integrated application. The procedure in this topic provides steps for accessing preferences from an integrated application.

To access preferences from within an integrated application

  1. Open your integrated Office application.

  2. From the Tools menu, click Preferences. The IDM Preferences dialog box appears. It displays the applications currently integrated with IDM Desktop.

  3. Browse the list of applications, and then click the application in which you want to change preferences. A list of preferences specific to the application appears.

Note

The preferences for other integrated applications do not initially appear until you first execute those applications.

See also
Microsoft Word and Excel preferences
Microsoft PowerPoint preferences
Microsoft Outlook preferences


Microsoft Word and Excel preferences

Here are the preferences that can affect the application integration procedures for Word and Excel.

Preference | Additional information
Show Toolbar | Displays the application integration toolbar in Word and Excel. Do not rename your toolbar in an application. You will not be able to use the toolbar if you rename it.
Show document status in title bar | The words Checkout or Copy are displayed at the top of the application in the title bar if you select Yes.
Prompt to save file before add | Yes, the default, displays a prompt asking if you want to save changes prior to adding the document to the library. No saves the changes automatically. The document is saved to the default directory for your Windows operating system. You can specify another default using the "Document save directory" preference.
Prompt to save file before checkin | Yes, the default, displays a prompt asking if you want to save changes prior to checking in the document. No saves the changes automatically. The document is saved to the default directory for your Windows operating system. You can specify another default using the "Document save directory" preference.
Print document when add or checkin | You can only print a document during the add or checkin process in Word.
Update inserted IBM FileNet properties before checkin | You have the option to be prompted to update the properties before checking in a document. You can also have the properties updated automatically before the checkin or specify not having the properties updated at all. When you set the option to update the properties, the item properties are updated but the version properties are not (because the version does not yet exist). You may edit or update the version properties during the next checkout.
Update inserted IBM FileNet properties after checkout | Update your version system properties after you check out the document. This ensures the properties are updated in your document. You have the option to be prompted to update the properties after each checkout. You can also have the properties updated automatically after each checkout or specify not having the properties updated at all.
Upgrade inserted IBM FileNet properties | Use this setting to upgrade SDM inserted properties. Once you upgrade the properties to IDM Desktop inserted properties, you can no longer view the properties in SDM.
Update menu and toolbar | Use this setting to enable or disable all of the integrated menu items or toolbar icons. When set to Yes, commands are disabled when not applicable to the document state.
Convert Word 95/6.0 to current format | For Word only, converts format to currently installed Word version.


Microsoft PowerPoint preferences

Here are the preferences that can affect the application integration procedures for PowerPoint.

Preference | Additional information
Show Toolbar | Displays the application integration toolbar in PowerPoint.
Prompt to save file before add | This preference gives you the choice to be prompted before saving changes made to the document. The default setting is Yes and be prompted before saving changes. If this preference is set to No, all changes made to the document prior to adding to the library are saved whether you want them to be saved or not. The document is saved to the default directory for your Windows operating system. You can specify another default using the "Document save directory" preference.
Prompt to save file before check-in | This preference gives you the choice to be prompted before saving changes made to the document. The default setting is Yes and be prompted before saving changes. If this preference is set to No, all changes made to the document prior to checking it into the library are saved whether you want them to be saved or not. The document is saved to the default directory for your Windows operating system. You can specify another default using the "Document save directory" preference.
Update menu and toolbar | Use this setting to enable or disable all of the integrated menu items or toolbar icons. When set to yes, commands are enabled only when applicable to the document state.


Microsoft Outlook preferences

Most of the steps in application integration depend on preferences. The preferences are in the Documents category. Here are the preferences that can affect the application integration procedures for Outlook.

The toolbar appears immediately in the Office applications. You must close Outlook and then re-start the application for the toolbar preference to take effect.

Preference | Additional information
Message format | This preference is used to set the default format of a message being added to the CS library. The default setting is Message. Keep the setting to Message if you are adding messages with attachments to the library. This is the only format that saves both your messages and attachments. The Rich Text and Text formats do not save your attachments. Rich Text and Text formats allow you to index the document. Indexing the document helps other users find your document. You cannot index documents in Message format.
Prompt to save file before add | This preference gives you the choice to be prompted before saving changes made to the document. The default setting is Yes and be prompted before saving changes. If this preference is set to No, all changes made to the document prior to adding it to the library are saved whether you want them to be saved or not. The document is saved to the default directory for your Windows operating system. You can specify another default using the "Document save directory" preference.


Overview of the IBM FileNet Toolbar

In addition to the special menu options integrated into the Office applications, an IBM FileNet toolbar can be added to your integrated Microsoft Office applications, except for Outlook. The toolbar can be a docked or floating toolbar. It contains icons representing the menu options integrated into the applications. These options support the document management functions from within the integrated Office applications.

By default, the toolbar does not appear in your Office applications when you integrate them with IDM Desktop. To use the toolbar in an integrated application, you must set the appropriate toolbar preference in IDM Configure or from the Tools menu in the application.

You can move the toolbar within your application window. You can also show or hide the toolbar in the Office applications.

Note

Do not rename your toolbar in an application. You will not be able to use the toolbar if you rename it.

See also
Overview of customization and preferences


Show or hide the IBM FileNet Toolbar

To show or hide the IBM FileNet toolbar

  1. Open your integrated Office application.

  2. Do one of the following:

    • From the View menu, point to Toolbars, and then click IBM FileNet to show or hide the toolbar.

    • Right-click the toolbar, and then click IBM FileNet from the shortcut menu to show or hide the toolbar.

Tip

To quickly hide a floating toolbar, click the Close button on the toolbar.


IBM FileNet Toolbar in Office applications

Use the toolbar to quickly do your document management tasks within your Office applications.

Click IBM FileNet Open to open a library document in Office applications.
Click IBM FileNet Add to add documents to a CS or IS library from Office applications.
Click IBM FileNet Checkin to check in a CS document to a CS library from Office applications.
Click IBM FileNet Cancel Checkout to cancel a checkout of a CS document from Office applications.
Click IBM FileNet Save to save a document in Office applications.
Click IBM FileNet Insert Properties to insert CS document properties into CS documents.
Click IBM FileNet Update Properties to update CS document properties in documents.
Click IBM FileNet Properties to view CS or IS document properties in Office applications.


Microsoft Office integration

Integrating Microsoft Office applications with IDM Desktop allows you to perform various document management tasks from within the Office applications:

  • Add and retrieve IS documents

  • Add, retrieve, and update CS documents including compound documents

  • Display toolbars for Microsoft Word, Excel and PowerPoint applications

  • Auto-insert properties in Word document footnotes

  • View and modify CS document properties

  • Work with CS document properties inserted into checked out documents that are opened in integrated applications

  • Insert library document content into Word documents

  • Modify Application Integration preferences for all integrated applications

  • View documents in their registered applications

IBM FileNet menu options

In Word and Excel, an IBM FileNet menu option is disabled if the command action does not apply. For example, the IBM FileNet Checkin menu option is disabled unless you have the document checked out. In PowerPoint, the IBM FileNet menu options are enabled at all times; an error message warns you if you choose a command that is not applicable.

Security for Microsoft Word macros

Application integration for Microsoft Word is accomplished through signed macros contained in a Word template (a .dot file). These macros will run at any security level.

Excel charts

If you are working with charts in Excel, the special IBM FileNet menu options do not appear if you click the chart. Click outside the chart, and then you can access the menu options. But you can use the IBM FileNet Toolbar to perform document management tasks regardless of clicking the chart.

See also
About application integration preferences


Open documents in Office applications

  1. From the File menu, click IBM FileNet Open in the Office applications.

  2. Complete search criteria or navigate to the document and click Open. For CS documents, specify how you want to open the document (checkout, copy, view) before clicking Open.

You open documents using the Open IBM FileNet Documents dialog box, where you can check out, copy, or view a document. From this dialog box, you can browse, select, open or search for documents stored in a CS library.

You can also use the Commands and Settings menu to select and perform additional tasks, such as searching for a document based on its document ID, filtering by file name and type, displaying version properties, and viewing document properties. Click the Commands and Settings icon [image], located at the top right corner of the Open IBM FileNet Documents dialog box, to access the Commands and Settings menu.

Notes

If you are accessing document version properties in the Open IBM FileNet Documents dialog box, you can only access the version information from the Commands and Settings menu.

You cannot access document version information from a document's Properties dialog box that was accessed from the Open IBM FileNet Documents dialog box within an integrated Office application.

Once you navigate to a location (in a specific library) in either the Open or Add IBM FileNet Documents dialog boxes, that location is displayed the next time you open the dialog box in Office applications.

The Look in Tracked Files icon [image] lists the documents that are checked out to you in from a specific library.

Opening a stored search from integrated Office applications executes the search. The search results appear in the Open IBM FileNet Documents dialog box.

To open documents from the library

  1. From the File menu, click IBM FileNet Open in the Office applications. The Open IBM FileNet Documents dialog box appears, where you can find the document you want to open.

    • The scope of the document search depends on whether you select a library or a folder in the Look in box. If you select a library, the entire library is searched, including all subfolders. If you select a folder, the search is limited to that folder. The search does not extend to subfolders of the selected folder.

    • To open a document you checked out, click the Look in Tracked Files button. A list of your checked out and copied documents appears.

The contents of the list depends on whether you select a library or IBM FileNet Neighborhood in the Look in box. If you select a library, the list shows all documents you copied or checked out from that library. If you select IBM FileNet Neighborhood, the list shows documents copied or checked out from all libraries.

  2. Highlight the document you want to open and click Open. Under Open As, you can select one of the following options before opening the document:

    • Checkout to check the document out from the CS library to your local hard drive or network, and then open it. This locks the document and marks it as checked out; while you have it checked out, other users can copy the document, but cannot modify it.

    • Copy to copy the document from the CS or IS library to your hard drive or network, and then open it. Changes made to the document will be saved locally, but not stored in the CS library.

    • View to view the document from the CS or IS library. You can view the document in its registered application or in the Viewer. You cannot view or print CS annotations if you select this option.

You can also search for and open a document if you already know the document ID.

See also
Open CS documents in Outlook


View CS document properties in Office applications

You can view the properties of a CS document when it is open and checked out in an Office application. You cannot see the properties of a copy.

To view document properties in Office applications:

  1. Open the document in the Office application.

  2. From the File menu, click IBM FileNet Properties. You can view or modify the document properties.

See also
View or modify document properties


Add documents from Office applications

You can add a new document, including a compound document, to a library from an integrated Office application.

A CS user can add a document as long as the user has "Add item" rights specified in the Admin Tools. You receive Owner access rights to any document you add. When you add a document to a folder, you must also have Author or higher access rights to that folder. The components of a compound document assume the access rights of their parent document.

An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add a document to that class. When creating a new document, you can also file the document in a folder if you have Read and Append/Execute access rights to the selected folder.

Notes

Using the Office application Save or Save as options saves a local copy of the document. It does not add it to a CS library.

Once you navigate to a location (in a specific library) in either the Open or Add IBM FileNet Documents dialog boxes, that location is displayed the next time you open the dialog box in Office applications.

To add a new document to a library

  1. From the File menu, click IBM FileNet Add in the Office applications.

You may need to log onto the library if you are not currently logged on.

  2. Depending on your preference settings, the document may be saved automatically or you may be prompted to save it. If you are prompted, enter the location to where you want to save your document.

You are always prompted to save the new document if you do not assign a name to the document.

  3. In the Add IBM FileNet Documents dialog box, choose the location to which you want to store the document in the library.

  4. Click Save. The Document Wizard appears, where you finish processing the document and add it to the library. Click here for more information on the Document Wizard

Notes

Depending on your preference settings, If you modify the document after saving it, the Document Wizard prompts you to save the document while adding it to the library.

You can also print each document you add to the library depending on your preference settings from Word and Excel.

See also
View or modify document properties
Check in a compound document
About application integration preferences


Save documents in Office applications and continue editing

The IBM FileNet Save operation performs several actions with one command. You can use the command to:
  • Add a new document or check in a checked out CS document.
  • Check the CS document out again.
  • Open the document in the same application so you can continue working.

Notes

The Save As menu option in Word and Excel does not work if you disable the application integration macros.

If you are saving a compound document, the parent document is saved and the components are checked in and linked if they were checked out of a CS library.

You cannot save a replicated document. IDM Desktop will check the status of the document you are trying to save and if it detects a replicated document, you are prompted to check the document into a CS library.

You must have Author or higher access rights to save the document.

You must have Read and Write access rights to save the document.

To save CS documents to a library from Office applications

  1. Open the document in your Office application.

  2. From the File menu, click IBM FileNet Save.

  3. Depending on your preference settings, the document may be saved automatically or you may be prompted to save it. If you are prompted, enter the location to where you want to save your document.

  4. In the Add IBM FileNet Documents dialog box, choose the location to which you want to save the document in the library.

  5. Click Save. The Document Wizard appears, where you finish processing the document and add it to the library. Click here for more information on the Document Wizard.

The updated version of a CS document is checked into the CS library, and then checked out to you. The document remains open and checked out in your application.

The updated IS document is saved in the IS library and then appears in the Viewer.

See also
Complete adding a document using the Document Wizard
About application integration preferences


Check in CS documents from Office applications

You can check in documents, which can be Word or Excel compound documents, to a CS library from an integrated Office application.

Notes

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

You must have Author or higher access rights to check in the document.

To check in a document from Office applications

  1. After you modify the document, from the File menu, choose IBM FileNet Checkin.

  2. Depending on your preference setting, the Document Wizard appears with the name and location of the document in which you want to check in. The Document Wizard determines whether the document you are adding is a compound document or a single document.

  3. Select the appropriate option for determining if the document is a compound document or a single document, and then click Next. The document properties appear.

  4. Enter or modify the document properties, and then click Next. The document status is displayed in the grid.

  5. Click Finish to complete checking in the document.

Note

Depending on your preference settings, if you modify the document after saving it, you are prompted again to save the document while adding it to the library. The prompt appears in the Document Wizard.

You can also automatically update the document properties during checkin depending on your preference setting. The version system properties are only updated after a checkout.

See also
Check in a document
About application integration preferences


 Check out CS documents from Office applications

Depending on your preference settings, IDM Checkout can appear in the Word or Excel title bar if the current open document is checked out of a CS library.

You can also specify your default checkout directory in the IDM Configure application, otherwise IDM Desktop copies the document to the default directory for your Windows operating system.

If you specify your default checkout directory, do not set it to your system's default temp directory. You cannot use the application integration features if it is set to your system's default temp directory.

Notes

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library, and you will need to synchronize your checkout list .

If you change your document checkout directory preference to a different location, you must close the Office application in which you are working, and then restart it. This process refreshes your new document checkout directory location.

You cannot check out a Word or PowerPoint document that is assigned a filename containing these [ or ] characters. They are incompatible with the checkout process. You can either manually remove the characters or IDM Desktop will strip those characters from the filename before proceeding with the checkout.

You must have Author or higher access rights to check out a document.

To check out a document from Office applications

  1. Open the Office application.

  2. From the File menu, click IBM FileNet Open.

  3. Find the document you want to check out in the Open IBM FileNet Documents dialog box.

  4. Highlight the document, and then select Checkout. The document is checked out of the library.

If the document is currently checked out to you or another user, you cannot check it out. You can only copy the document.

See also
Check out a document
Check out a CS compound document
About application integration preferences


Cancel a checkout from Office applications

You can cancel a checkout from an Office application and discard changes you may have made while it was checked out. Its checkout status is updated in the CS library. The checked out document must be open in the application when you cancel the checkout. You can also cancel a checkout of a compound document from integrated Office applications.

You must have Author or higher access rights to cancel a check out of the document.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

To cancel a checkout

  1. Open the document.

  2. From the File menu, click IBM FileNet Cancel Checkout.

  3. You are prompted to keep your local copy of the document.

  4. Click Yes if you want to keep a copy or No if you want your local copy deleted.

See also
Cancel a checkout
Cancel a checkout of a compound document


Insert library document content into documents

You can insert a copy of the content from a library document into a Word document. The default file type for inserted library content is .doc. The content can also be in .dot, .rtf, and .txt formats. Refer to your Microsoft Word documentation for more information on additional file types you can insert.

If you are inserting a stored search from the Office applications, the search is executed and the search results appear in the Open IBM FileNet Documents dialog box.

Note

You cannot insert a compound document into a Word document.

CS users must have Viewer or higher access rights to insert contents from a CS document into a Word document.

IS users must have Viewer access to a document to insert the document content into a Word document copy.

To insert library document content into Word documents

  1. Open the document into which you want to insert the content.

  2. From the Insert menu, click IBM FileNet Insert File.

  1. If you are logged into a library, the Open IBM FileNet documents dialog box appears, where you can choose or search for the library document containing the content you want to insert into your document.

  2. If you are not logged onto a library, you need to logon first before choosing the document.

  3. Highlight the library document containing the content you want to insert in your Word document, and then click Insert.

The content of the library document appears in your Word document.


Install auto-insert properties template for Word documents

If you want to auto-insert properties in your Word document footers, you must install the alternate template to include the Footer Options dialog in the sequence of dialogs displayed when you add a new or copied document. The alternate template is called legal.dot and it must replace the Word integration template called idmword8.dot.

Notes

Disabling macros when using legal.dot does not restore the Save As functionality in Word.

You can modify the macro but note that modified macros are not supported.

To install auto-insert properties template

  1. Locate the idmword8.dot file on your PC. The default location for Microsoft Word templates (.dot files) is:

drive:\program files\microsoft office\office\Startup

Note

If you store Word templates in another directory, substitute that path for Startup in these instructions.

  2. Copy the idmword8.dot file to a backup directory, and then delete it from the Startup directory.

  3. Locate legal.dot file on the IDM Desktop CD or installer from ftp; you will find it in IDM Desktop\Solutions\Legal directory. Copy it to the Startup directory.


Overview of CS document property references

You can insert property values assigned to a specific CS document into a Word or Excel document. You select the properties you want placed in the document and place them in the header, footer or body of the document. The properties can be updated and deleted within the document. You can also find a specific property within the document.

You access this feature from the Insert menu. The feature is useful for including descriptive information, such as title, author, subject or version number, within the document. Including the property information may be helpful to other users accessing your document. To use this feature, the documents must have already been added to the CS library.

Use the IBM FileNet Property Manager dialog box to work with the document properties within Word and Excel documents. This dialog box lists the current properties for the document and is accessed each time you want to insert, update, find or delete the property values in the document. Another feature in this dialog box is the Goto button. This button finds and highlights a specific property in the document.

Note

Depending on your preference settings, properties that were inserted into your current documents using SDM Office integration can be automatically recognized by IDM Desktop.

See also
Auto-insert properties in Word document footnotes
Delete CS document properties in documents
Insert CS document properties into documents
Update CS document properties in documents
View CS document properties in Office applications


Auto-insert properties in Word document footnotes

Using application integration for Word, you can manually insert document properties anywhere in a document [image] in the text, in the header, or in the footer. Optionally, you can install an alternate template, called legal.dot that prompts you for a footer option each time you add a document to a library from Word and then inserts properties in the footer according to your selection. Footer options are:

  • Left-justified -

    • For CS Library: When you add a new document, inserts and left-justifies the document ID and current date.

    • For IS Library: When you add a new document, inserts and left-justifies the current date.

  • Right-justified - When you add a new document, inserts and right-justifies the document ID and current date.

    • For CS Library: When you add a new document, inserts and right-justifies the document ID and current date.

    • For IS Library: Right-justified - When you add a new document, inserts and right-justifies the current date.

  • Right-justified copy – While adding a copied document, left-justifies the copied document's document ID and date (if any) and inserts and right-justifies the current document ID and today's date. A copied document is a document copied from the library to the your hard drive.

    • For CS Library: While adding a copied document, it removes the copied document's document ID and date (if any) from the footer and inserts and right-justifies the current document ID and today's date. A copied document is a document copied from the library to the your hard drive.

    • For IS Library: While adding a copied document, it removes the copied document's date (if any) from the footer and inserts and right-justifies the today's date. A copied document is a document copied from the library to the your hard drive.

  • None - Makes no footer changes.

Checking in a document does not update dates.

See also
Install auto-insert properties template for Word documents


Insert CS document properties into documents

You can insert property values into the main body, including the headers and footers, of a Word document. You can insert property values only in Excel worksheets. You cannot insert property values in the Normal.dot template.

You can also insert a library document ID and current date properties in Word document footnotes automatically. This feature uses a different template and only inserts the specific properties in Word document footers. Click here for more information

CS users must have Author or higher access to the document to insert CS document properties.

To insert a property into a Word or Excel document

  1. Check out the document and open it in Word or Excel. If the document is not checked out, you are prompted to save the document.

  2. Place the cursor where you want the property to appear in the document.

  3. From the Insert menu, click IBM FileNet Insert Properties.

The IBM FileNet Property Manager dialog box appears.

  4. Click Insert to display the list of available document properties.

If you are not logged onto the CS library, you are prompted to log on before inserting the properties.

  5. Highlight the property you want to insert, and then click Select.

The property value is inserted in the document at the specified location. The IBM FileNet Property Manager dialog box also displays the name of the property, its value and physical location of the property in the document.

  6. Repeat the appropriate steps to add more property values to the document.

The IBM FileNet Property Manager dialog box displays a list of the currently inserted property values.

Notes

You must insert the properties in different locations. You cannot insert more than one property in the same location in the document.

If you are inserting the Comment property in Word, the inserted property may not match its original formatting in the document Property dialog box.

  7. Click Close to close the IBM FileNet Property Manager dialog box.
See also
Overview of CS document property references
About application integration preferences
Auto-insert properties in Word document footnotes


Update CS document properties in documents

You can update the property values inserted in a document with those of the most current version.

CS users must have author or higher access to the document to update CS document properties.

To update CS document properties in documents

  1. Open the document in Word or Excel.

  2. From the Insert menu, click IBM FileNet Update Properties.

The appropriate properties are updated in the document.

Note

Depending on your preference settings, you can automatically update the document properties during checkin and specify you want to be prompted before the checkin process. You can also upgrade inserted SDM properties. The properties can also be updated upon checkout.

See also
Insert CS document properties into documents
View or modify document properties
About application integration preferences


Search for inserted IBM FileNet properties

You can find specific IBM FileNet property values inserted in your document using the IBM FileNet Property Manager dialog box. This feature is useful when you have many property values inserted in the document.

To search for inserted IBM FileNet property values in documents

  1. Open the document that contains insert property values.

  2. From the Insert menu, click IBM FileNet Insert Properties.

The IBM FileNet Property Manager dialog box appears. It lists the current properties inserted in the document.

  3. From the IBM FileNet Property Manager dialog box, do one of the following to find specific property values inserted in your document:

    • Double-click the specific property in the list

    • Click Goto

The property value is highlighted in the document.


Replace CS document properties in documents

You can replace existing property values in the document with other properties.

CS users must have Author or higher access to the document to replace CS document properties.

To replace CS document properties in documents

  1. Open the document in Word or Excel.

  2. From the Insert menu, click IBM FileNet Insert Properties.

The IBM FileNet Property Manager dialog box appears. It lists the current properties inserted in the document. If there are no existing properties in the document, you cannot replace any properties.

  3. Highlight the property you want to replace from the list, and then click Replace. A list of available document properties is displayed.

  4. Highlight the property you want to insert, and then click Select. The property value is inserted in place of the former property in the document. The IBM FileNet Property Manager dialog box also displays the name of the property, its value and physical location of the property in the document.

You must confirm the properties you are replacing are correct.

  5. Click Yes to confirm the replacement or click No to return to the IBM FileNet Property Manager dialog box.

Note

You can also double-click the specific property in the list or click Goto to find and highlight the property in its specific location in the document.

  6. Repeat the appropriate steps to replace more properties in the document.

Each time you replace a property the IBM FileNet Property Manager dialog box displays an updated list of the currently inserted properties.

  7. Click Close to exit the IBM FileNet Property Manager dialog box.


Delete CS document properties in documents

CS users must have author or higher access to the document to delete CS document properties.

To delete CS document properties in documents

  1. Open the document in Word or Excel.

  2. From the Insert menu, click IBM FileNet Insert Properties.

The IBM FileNet Property Manager dialog box appears. It lists the current properties inserted in the document. If there are no existing properties in the document, you cannot delete any properties.

  3. Highlight the property you want to delete from the list, and then click Delete.
  4. Click Yes to confirm the deletion or click No to return to the IBM FileNet Property Manager dialog box.

Notes

In the IBM FileNet Property Manager dialog box, you can also double-click a property in the list or click Goto to find and highlight the property value in its specific location in the document.

You can also manually delete the properties from the document in Word. But you cannot manually delete CS properties in Excel. You must use the IBM FileNet Property Manager to delete the properties or an Excel error will occur.

  5. Click Close to exit the IBM FileNet Property Manager dialog box.


Microsoft Outlook Integration

You can perform document management tasks from anywhere within an integrated Outlook. The special menu options are available in the shortcuts grouped on the Outlook bar, such as your calendar, journal, contacts, and recycle bin. You can do some of the following tasks with an integrated Outlook:

  • Insert library documents and attach them in an Outlook item

  • Insert a shortcut to a library document in an Outlook item

  • Add Outlook items to libraries

  • Add Outlook item attachments to libraries

Notes

Compound documents can be added only from Word, Excel and PowerPoint. Compound documents cannot be added or opened from a library using integrated Outlook.

If you immediately use Outlook after installing IDM Desktop, you need to click the Outlook bar before accessing the IBM FileNet menu options. Clicking the Outlook bar initializes the menu options.

If you are using Microsoft Word as your editor in Outlook, all of your special IBM FileNet menu options are available in Word.

See also
About application integration preferences


Add Outlook items to libraries

You can add Outlook items, such as e-mail messages, sticky notes, and calendar items, to a library from Outlook. You can also add one or more items and their attachments to a library from Outlook. If you select more than one item to add to the library, each item must be processed individually during the add process.

If the item is open in Outlook, you can also add it to a library. You must save your items as local files before adding them to the library. Adding a message to a library adds the last saved file.

When you add an item to a library, only specific field information for the item are saved if you save the item in .txt format. After the item is added to a library, not all of the fields appear when you open the item. For example, if you add an appointment to a library in .txt format, not all of the information about the appointment is saved. Click here for more information on the field information that is saved for the item you add to libraries.

Any CS user can add a message or document. You receive Owner access rights to the document you are adding. When you are adding the document to a folder, you must also have Author or higher access rights to that folder.

An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add a document to that class.

To add Outlook items to a library

  1. In Outlook, select the Outlook item you want to add to a library.

  2. From the File menu, click IBM FileNet Add.

The IBM FileNet Save As dialog box appears. It lists the items you want to add to the library.

  3. Enter the file name for the item you are adding and select the format type.

The file name and document title defaults to the item's title, such as an e-mail message subject line.

Notes

Set your Message format preference to Message if you are adding an Outlook item with one or more attachments. This message format ensures that the attachments are added to the library. Setting the format to Rich text or Text adds only the specific fields from the Outlook item , but not the attachments to the library.

  4. Click Save. The Add IBM FileNet Documents dialog box appears.

    TIP     You can specify a default location other than "My Documents" using the "Document copy directory" preference.

  5. Click Save.

  6. Add the mail as a new document using the Document Wizard.

See also
Complete adding a document using the Document Wizard
About application integration preferences
Outlook item field information


Add Outlook attachments to libraries

You can add file attachments in your Outlook items to a library. You cannot add inserted objects.

When you add an item to a library, only specific field information for the item are saved if you save the item in .txt format. After the item is added to a library, not all of the fields appear when you open the item. For example, if you add an appointment to a library in .txt format, not all of the information about the appointment is saved. Click here for more information on the field information that is saved for the item you add to libraries.

Note

An appointment attachment contained within another appointment cannot be added from the calendar view.

Any CS user can add an attachment. You receive Author access rights to the attachment you are adding. When you are adding the attachment to a folder, you must also have Author or higher access rights to that folder.

An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add an attachment to that class.

To add file attachments in your Outlook items to libraries

  1. Open Outlook and locate the Outlook item that contains the attachment to which you want to add to the library.

  2. From the File menu, click IBM FileNet Add Attachments.

The IDM Save Attachments dialog box appears.

  3. Select the attachments you want to save, and then click OK. You can select more than one attachment at a time. An attachment is selected by default if it is the only item in the dialog box.

The IBM FileNet Save As dialog box appears. Verify the attachment you want to add.

  4. Click Save. The Add IBM FileNet Documents dialog appears.

The Add IBM FileNet Documents dialog box appears for each attachment.

  5. Navigate to the location to which you want to store the attachments, and then click Open.

Note

You are prompted to log into a library if you are not currently logged on.

  6. Add each attachment as a new document using the Document Wizard. You must complete the add process for each attachment.

See also
Complete adding a document using the Document Wizard


Open documents in Outlook

Use this feature to open e-mail messages or documents from Outlook. By default, the messages open in .msg format.

You open documents using the Open IBM FileNet Documents dialog box, where you can browse, select, open or search for documents stored in a CS library.

You can also use the Commands and Settings menu to select and perform additional tasks, such as searching for a document based on its Doc ID, filtering by file name and type, displaying version properties, and viewing document properties. Click [image] located at the top right corner of the Open IBM FileNet Documents dialog box, to access the Commands and Settings menu.

Note

If you are accessing document version properties in the Open IBM FileNet Documents dialog box, you can only access the version information from the Commands and Settings menu.

You cannot access document version information from a document's Properties dialog box that was accessed from the Open IBM FileNet Documents dialog box within an integrated Office application.

If you are opening a stored search from Outlook, the search is executed and the search results appear in the Open IBM FileNet Documents dialog box.

You must have Viewer or higher access rights to open documents.

You must have Read access rights to open documents.

To open documents in Outlook

  1. Open Outlook and from the File menu, click IBM FileNet Open.

The Open IBM FileNet Documents dialog box appears, where you can find the document you want to open.

  2. Highlight the specific document you want to open or search for the document.

  3. Do one of the following:

    • Click Copy to copy the highlighted document.

    • Click View to view the document in its registered application or in the Viewer.

    • Enter the search criteria for the document you are looking for in the library, and then click Find Now.

  4. Click Open once you find your specific document.

The extent of the document search depends on whether you select a library or a folder in the Look in box. If you select a library, the entire library is searched, including all subfolders. If you select a folder, only documents that match your search criteria and are stored in that folder appear. You cannot search subfolders of a specific folder.


Insert library documents in Outlook items

You can insert library documents as file attachments in Outlook items, such as e-mail messages or posts. If you are inserting a stored search from Outlook, the search is executed and the search results appear in the IBM FileNet Insert Attachment dialog box.

You cannot insert a copy of an external document.

To insert library documents as e-mail attachments

  1. Open Outlook and open the e-mail message in which you want to attach a library document.

  2. From the Insert menu, click IBM FileNet Document.

The IBM FileNet Insert Attachment dialog box appears.

  3. Locate the document to which you want to add to the e-mail message, and then click Open. A copy of the document is added to the e-mail message.

  4. Send the e-mail message.

The e-mail recipient can open the attachment regardless of their access rights to the document because the recipient does not have to log onto a library to access the document.


Insert shortcuts to library documents in Outlook items

You can insert references to library documents as shortcut attachments in Outlook items. You can also insert a shortcut to a stored search from Outlook.

An e-mail recipient must have at least Viewer access rights to the library, document, and the folder in which the document is stored to open the document.

An e-mail recipient must have at least Read access rights to the document.

To insert shortcuts of library documents as e-mail attachments

  1. Open Outlook and open the e-mail message in which you want to attach a reference to a library document.

  2. From the Insert menu, click IBM FileNet Shortcut.

You must be in Message view to access the Insert menu.

  3. The IBM FileNet Insert Attachment dialog box appears.

  4. Locate the document to which you want to add to the e-mail message, and then click Open. A document shortcut is added to the e-mail message.

  5. Send the e-mail message.

See also
Open shortcuts to library documents sent in Outlook


Open shortcuts to library documents sent in Outlook

You must have the appropriate access rights to the library, document specified in the shortcut, and the folder in which the document is stored to open the document.

You must have Viewer or higher access rights to open the shortcut.

To open the shortcut

  1. In Outlook, open the e-mail message that contains the shortcut to the library document.

  2. Double-click the shortcut. You can open the document or save it to your hard drive. You may need to log onto the library in which the document is located.

The document opens in its registered application.


Outlook item field information

When you add Outlook items to a library, you can save them in . rtf, .txt or .msg format. If you add items in .txt format, not all of the properties appear when you open the item.

The lists below show the field information saved for each Outlook item added to a library in .txt or .rtf format.

Sticky note

Body, Modified

Distribution List

Body, Distribution list name

Post

Body, Subject, From, Posted at, Conversation

Mail Message

Body, Subject, From, Sent, To, CC, Importance, Sensitivity, Expires

Journal Entry

Body, Subject

Appointment

Body, Subject, Importance, Required attendees, Optional attendees

Contact

Body, Company, Full name, Last name, Job title, Department, Business, Business 2, Assistant, Company main phone, Home, Home 2, Mobile, Car, Radio, Pager, Callback, Other, Primary phone, Telex, TTY/TDD Phone, ISDN, Other Fax, Business Fax, Home Fax, Spouse, (spouse's) Profession, (spouse's) Assistant, Web Page

See also
Add Outlook items to libraries


Overview of documents

About documents

You create documents by adding electronic files to an IS or CS library. When you add a document, you associate it with information—called properties—you can use later for retrieval.

In addition to the properties you enter, the library supplies system properties such as the document ID and the entry date. A library document has both content and properties:

When you add a document to a library, you associate it with a document class. The document class determines which properties apply to the document. You can modify the document class of a CS document, but an IS document's class can never change.

To retrieve a document, you can use the IBM FileNet Neighborhood to locate the document in the folder tree. Alternatively, you can use the Find application to search for a property value or to search for the content of an indexed CS document.

Questions
What kinds of documents can I put in a CS library?
What kinds of documents can I put in an IS library?
How do I put a document in a library?
Can I copy and delete documents?
How do I access a document once it's stored in a library?
Can I print and fax a document?


About CS documents

CS documents are typically Word documents, Excel spreadsheets, Acrobat PDF files, and other Windows files. A CS library supports three special documents:

  • External documents, which have properties but no content. External documents are handy for tracking information on physical items such as video tapes.

  • Compound documents, which contain one or more OLE links to one or more child documents. A component of a compound document is both an individual document with its own properties as well as a component of the compound.

  • Published documents, which are non-editable copies of CS documents that can have a different format, different viewing audience, and be placed in different folders than the source document.

You can modify a CS document by checking it out, making changes, then checking it back in—this creates a new version. The system administrator sets a limit on how many versions can be online at once (called an online limit). Versions over the online limit are archived. For example, if the online limit is three, the library keeps the last three versions online and archives all older versions. You can retrieve an online or an archived version of a file. You can make a version permanent to keep it online at all times.

You can index CS document content such that users can retrieve the document by searching for words and phrases in the content of the last indexed version.


About IS documents

An IS document can consist of image pages, COLD text pages, or other electronic files.

Image documents and COLD documents can have up to 1,000 pages; the library stores each page as a separate file. If you add a Windows file to a library, the library stores that file as a single page even though the file could have many pages.

As an IDM Desktop user, you can add to an IS library any document that you want to store permanently. You cannot modify the content of a document stored in an IS library.

An IS document (in certain formats ) can have annotations, which are comments, highlights, and other markers attached to a page. Each annotation has its own security. By changing the security settings, you can create your own private annotations, annotations that a specific user group can see, and annotations that anyone can see.

An IS document has retention properties that determine when and how to dispose of the document. You can archive or delete a document. An archived document can be retrieved from an archive database. A deleted document cannot be retrieved at all.

See also
How IS documents display and print


Overview of opening documents and files

Opening documents and files

You open a library document to view its contents. Double-clicking on a document executes the default action, which is the highlighted command on the document’s shortcut menu.

  • For CS documents, the default action is Open. This opens the document in its registered application. If your computer has no registered application for a file, the Windows Open With dialog will appear.

  • For IS documents, the default action is IDM View. This opens the document in the IDM Viewer.

For both IS and CS libraries, a "Document default action" preference determines which shortcut menu command is executed by double-clicking.

Compound documents

When you use Open to open a CS compound document, the Open dialog displays the compound document’s components and structure. You can view the structure and select any component to open in its registered application.

External documents

Because an external document has no content to display, double-clicking on an external document displays the document’s properties.

See also
Search for documents in the Viewer Open dialog box
How documents added to IS libraries display and print
Create desktop shortcuts
Open an external document
Open a compound document


Open a library document in the IDM Viewer

To open documents in the IDM Viewer from the IBM FileNet Neighborhood

  1. Navigate to the desired library folder and right-click the documents.

To open more than one document, highlight all documents and right-click one of them.

  2. Select IDM View.

If you have configured an alternate viewer, the document may open in an application other than IDM View.

You can choose IDM View from the shortcut menu of a document in IBM FileNet Neighborhood which opens a document for viewing. However, in large repositories, you may find the options in IDM View’s Open dialog more helpful.

To select a document using the Open dialog of IDM View

  1. Open IDM View.

  2. Select Open from the File menu.

  3. Navigate to the appropriate folder.

  4. Switch between the various views to find the correct document.

  5. Click Open.
Notes

Opening a CS document in the IDM Viewer displays the latest version.

You can open a document in the IDM Viewer from a search results list displayed in the Open dialog box.

See also
How documents added to IS libraries display and print


Open a document in its registered application

A document’s registered application is the application specified in the Windows registry for a document with that file extension.

To open documents in their registered application

  1. In IBM FileNet Neighborhood, right-click the documents you want to open.

To open more than one document, highlight all documents and right-click one of them.

  2. Select Open.

Notes

  • For IS, Open shows on the shortcut menu only for documents added to an IS library running IS 3.4.0 or above.

  • For CS, selecting Open copies the latest version of the document to the local cache and opens the document in the registered application or, if there is no registered application, in the IDM Viewer.

  • If a document is not associated with a registered application, you can specify the application in which to open it using the Windows Open With dialog.

See also
How documents added to IS libraries display and print


Open a local document in the IDM Viewer

To open a document stored on the local drive

  1. In the IDM Viewer, click the Open button [image] on the toolbar.

  2. Click Local Drives to select your local hard drive.

  3. Navigate to the folder and document you want.

  4. Select a document and click Open.

Note

From the Open dialog for the local drive, you can open only one document at a time.


Open an IS document at a specific page

Open an IS document by document ID

If you know only the library and document ID, you can use this method to view the document without conducting a search. You can also open a document to a specific page number.

To open an IS document when you know the document ID

  1. In the File, Open window of the IDM Viewer, select the Commands and Settings toolbar button [image].

  2. Select Open by Document ID.

  3. Click the Look In drop down menu and select the library.

  4. In the Doc ID field, enter the document ID.

  5. In the Page field, enter a page number.

  6. Click Open.


Open an annotated page

You can open the annotated page of an IS document from the annotations list. This list displays all annotations contained in the document and each annotation’s page number.

To open the annotated page from the IBM FileNet Neighborhood

  1. In the IBM FileNet Neighborhood, open the library and navigate to the folder that contains the desired document.

  2. Right-click a document.

  3. Select Annotations.

  4. Right-click an annotation.

  5. Select Open.

To open an annotated page from the IDM Viewer

  1. Open a document in the IDM Viewer.

  2. Select the Properties toolbar button.

  3. Select Annotations.

  4. Right-click an annotation.

  5. Select Open.

To open an annotated page from the Open dialog box of the IDM Viewer

  1. In the IDM Viewer, select Open on the File menu.

  2. Open the library and navigate to the folder that contains the desired document.

  3. Right-click a document.

  4. Select Properties.

  5. Select Annotations.

  6. Right-click an annotation.

  7. Select Open.

To open the annotated page from Simple Find or Advanced Find

  1. Initiate a search to get a search results list of documents.

  2. Right-click a document ID. If you selected Show Annotations prior to the search in Advanced Find, a sticky note icon will display next to documents containing annotations.

  3. Select Annotations.

  4. Right-click an annotation then select Open.


Preview the first page

You can preview the first page of an IS or CS document to see if the document is the one you want. The preview window displays a reduced image without annotations

To preview a document

  1. Right-click a document and select Properties.

  2. Select Preview.


About adding documents to a library

Adding documents to a library

You can add a document to an IBM FileNet library:

  • From the local file system to the IBM FileNet Neighborhood

  • From IDM View

  • From an integrated application

  • By manually linking to another document and adding a component to an existing compound document or create a compound document.

Notes

If you are not logged on to the library when you try to add a document, the system will prompt for logon information.

If you add a document to a library at the root level (not to a library folder), the document will not appear in the IBM FileNet Neighborhood. You can only access the document by searching with IDM Find.

See also
How documents added to IS libraries display and print
Overview of application integration


Add new documents using an Explorer window

  1. Drag the file to the desired library and folder.
  2. Complete information requested in the Document Wizard .

To add a document to an IS or CS library from the IBM FileNet Neighborhood, you can select the file with the Add to IBM FileNet Library command on the shortcut menu, or drag and drop a file from the local file system. You can add one document at a time.
An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add a document to that class. When creating a new document, you can also file the document in a folder if you have Read and Append/Execute access rights to the selected folder.
Any CS user can add a document as long as users have rights to add an item specified in the Admin Tool. You receive Owner access rights to the document you are adding. When you are adding the document to a folder, you must also have Author or higher access rights to that folder. The components of a compound document assume the access rights of their parent document.

To add a document using the shortcut menu

  1. In Windows Explorer, find the document to add to the library. (You can select a document with any valid Windows file name of up to 255 characters.)

  2. Right-click the document and select Add to IBM FileNet Library on the shortcut menu.

  3. Select the library and folder to which you want to add the document.

  4. Do either of the following:

    • If adding the document to an IS library, select a document class, then click Save.

    • If adding the document to a CS library, click Save. The Document Wizard displays so you can finish adding the document to the library.

To drag and drop a file from the local file system to a library

  1. In IBM FileNet Neighborhood, locate or create a folder where you want to add a document.

  2. In Windows Explorer, find the document you want to add to the library. (You can select a document with any valid Windows file name of up to 255 characters.)

  3. Drag the selected document to the folder you identified in the IBM FileNet Neighborhood.

  4. Complete adding the document in the Document Wizard .

To add a document using copy and paste

  1. In Windows Explorer, right-click the document you want to add to a library.

  2. Choose Copy from the shortcut menu.

  3. In IBM FileNet Neighborhood, right-click the folder into which you want to add the document.

  4. Choose Paste from the shortcut menu.

  5. Complete adding the document in the Document Wizard .

Notes

You cannot add a new IS document to a virtual folder.

You cannot copy a document from one library and paste it into another library. You can, however, use the Save As command from the Viewer to save a copy to your local disk and then add that copy to another library.

If your preferences allow it, you can add a document to a library without putting it in a folder, but the document cannot be seen in the IBM FileNet Neighborhood. You retrieve it using IDM Find.

A zero kb sized file should not be added to CS library that may be corrupted (because of not having headers) while opening in IDM Viewer or native application.

See also
Document Wizard
Copy a document
How documents added to IS libraries display and print


Add new documents using the IDM Viewer

You can use the Add to Library selection in the IDM Viewer to add a document to an IS or a CS library.

An IS user must have Read, Write, and Append/Execute access rights to the document class in order to add a document to that class. When creating a new document, you can also file the document in a folder if you have Read and Append/Execute access rights to the selected folder.

Any CS user can add a document as long as users have rights to add an item specified in the Admin Tools. You receive Owner access rights to the document you are adding. When you are adding the document to a folder, you must also have Author or higher access rights to that folder. The components of a compound document assume the access rights of their parent document.

To add a document to a library

  1. In IDM Viewer select the Open toolbar button [image].

  2. Select Local Drives and navigate to the document you want to add.

  3. Select the document. (You can select a document with any valid Windows file name of up to 255 characters.)

  4. Select Open to display the document in the IDM Viewer.

  5. Select the Add to Library toolbar button [image].

  6. Navigate to the IS or CS library and folder where you want to add the document.

  7. Click Save. The Document Wizard displays so you can finish adding the document to the library.

Notes

For an IS document, you can select the document class when you navigate to the library and folder.

Depending on your preference settings, the default title of a new CS document can be set to the file name (without the extension).

You cannot add a new IS document to a virtual folder.

Adding a document to a library saves the file but does not save Viewer settings such as rotation, inversion, color background, and so on.

See also
Document Wizard
How documents added to IS libraries display and print


Add new documents using an integrated application

You can add new documents from Microsoft Word, Microsoft Excel, Microsoft PowerPoint, Microsoft Outlook if they are integrated with IDM Desktop. Integrating this application with IDM Desktop enables you to interact via the Desktop by storing and maintaining documents and controlling document and version security.

Related Topics
Add documents from Office applications
Add Outlook items to libraries


Complete adding a document using the Document Wizard

When you add a document to an IBM FileNet library, a Document Wizard collects information needed to complete the transaction. The window you see depends on several variables such as type of library, type of document, and preferences.

To use the Document Wizard on IS Libraries

  1. Verify the library, folder and document name and click Next.

  2. If you have not already done so, select a document class.

  3. Complete the required property information.

  4. Click Finish.

Notes on adding documents to an Image Services library

For an IS document, the wizard displays the document class you selected in the Viewer (or the first document class on the list) and the property fields for that class. Verify the document class or select the correct one.

Adding a document does not delete the local copy.

To use the Document Wizard on CS Libraries

  1. If you see the prompt "Would you like to determine if the document is a Compound Document:"

    • Click Yes if you want the Document Wizard to determine if you are adding a compound document and process the document's links to other documents.

    • Click No if you want the Document Wizard to process a single document.

    • Click Next.

Note

These options only appear if the appropriate preference is set and if the file being added could be a compound document.

  2. Select an appropriate document class, and then enter the required property values (denoted by diamonds) and optional values. The document class determines which properties are available.

Note

A multi-value property is associated with a list of the property values previously entered for all documents. Be aware that IDM Desktop limits such multi-value property lists to 5,000 items. More values may exist. You can choose values from the list, add values to it, and remove values from it.

  3. Select any of the other options as described below.

    • If you started adding a CS document from the Viewer, the Document Wizard displays the document class you selected and the document title you assigned. Depending on your preference settings, the default title of a new CS document can be set to the file name (without the extension).

    • Select Keep Local Copy to keep your copy of the document (on your hard drive or on a network drive); if not selected, the local copy is deleted.

    • Select Index to index the document for content searching.

    • Select File with Parent if you are checking in a compound document and you want the child document to reside in the same folder as the parent document.

    • If you add a document to a replication folder, the document is copied to all other CS libraries assigned to the replication folder. The document class for each replicated document is the same as that of the original document that was added to the replication folder.

  4. Optionally, click Next to assign security settings to the CS document. Otherwise, click Finish.

To add a user or group to the security list

  1. Click the Users button to select users or the Group button to select groups.

  2. Pull down the Name menu and select the name of the user or group.

  3. From the Access Level menu, select the access rights for the user or group.

  4. Click Add. You can add more than one user or group.

To see members of a group

  1. Select the Groups radio button.

  2. Select a group from the Name pull down.

  3. Click the Show Members button.

  5. Optionally, click Next to review the status, or Finish to complete adding the document to the library.

The status of the CS document is displayed in the Add Document dialog box. In the dialog box, Add appears in the Command column indicating the specific document you want to add to the library.

Depending on your preference settings, you can click the cell in the Command column and see the following:

Click [image] in the Command column and select the Keep local copy check box to retain a local copy of the specific document or select the Index check box to index the document for content searching. Content searching accelerates the search process.

You can also clear these options if you previously set them during the add process.

  6. Click Finish to complete the add process or click Cancel to return to the original location from which you were adding the document.

Note

Depending on your preference settings, the Add Document dialog box may remain displayed if an error is detected while processing your document.

See also
Index a document for content search
Check in a CS compound document
View or modify compound document properties
Preferences


View or modify document properties

  1. Right-click a document.

  2. Choose Properties from the shortcut menu.

You can view and modify the properties of a document stored in an IS or CS library. You can also insert these properties into Microsoft Word, Microsoft Excel or Microsoft PowerPoint documents if those applications are integrated with IDM Desktop.

You can modify item and version properties for original CS documents that are stored in a replicated folder. However, you must check out and check in the original document from the original source CS library to replicate your changes in other target libraries. If you do not check in your changes, they are never replicated.

For CS document replicas, you can make changes to the version properties. You must check out and check in the replica document to make your version property changes that get replicated back to the source document and other replicas. If you do not check in your changes to the version properties, they are never replicated, and they will be overwritten when the original document is checked out and checked back in. Any changes you make to item properties on a replica are temporary, even if you check in the replica. Item properties on a replica document are always overwritten when the original document is checked out and checked back into the CS library.

If you can view a document, you can also view the document’s properties. You must have read and write access rights to modify document properties. The property values are grayed out unless you have write access.

If you can view a document, you can also view the document’s properties. You must have Owner or higher access rights to modify system properties. The CS library administrator determines the access rights required to modify custom properties.

To view or modify document properties

  1. Right-click a document.

  2. Choose Properties from the shortcut menu.

  3. Click a tab in the Document Property window. Click the corresponding button below to view information on the document properties. For example, for details on the information displayed on the Security tab, click the Security button for the appropriate library.

Note

If you are accessing document version properties from within an integrated Office application in the Open IBM FileNet Documents dialog box, you can only access the version information from the Commands and Settings menu. You cannot access the document version information from the document properties dialog box.

CS Property Tabs | IS Property Tabs
General | General
Properties | Properties
Security | Security
Preview | Preview
Annotations | Annotations
Versions | Folders Filed In
Folders Filed In |
Published |

  4. Enter or select new properties.

  5. Click OK to save the modified properties.

Tips

You can cut, copy, and paste text between property fields.

To view property information from the IBM FileNet Neighborhood or an IDM Find search results list, right-click the document ID and select Properties.

To view property information for the displayed document in the IDM Viewer, click [image].

To view property information in the Open dialog box of the IDM Viewer, highlight the document ID, and then click [image], and select Properties.

See also
View or modify multivalue document properties
View or modify date and time properties
View CS document properties in Office applications


View or modify multivalue document properties

Two types of properties — single-value and multivalue — can be elements in a document class. They are assigned by your system administrator. These properties determine the number of values you can assign to a document. Single-value properties can have only one value. Multivalue properties are customized and allow you to enter more than one value for a document.

To view or modify values in a multivalue property

  1. Right click a document and select Properties.

  2. Click the Properties tab.

  3. Find the multivalue property you want to modify.

  4. Click [image] next to the multivalue property to view the Add Value dialog box.

  5. Do one of the following:

To add values

  1. In the Select values from list box, enter the value you want to add to the multivalue property.

  2. If you do not know the exact value, leave the box blank or type the first character of the value you are searching for, and then click Find. Values matching the information you entered are displayed in the list box. Highlight the value you want to add. You can also use wildcards to search for a value. Use * to stand for zero or more characters. Use ? to stand for a single character. (TIP: To search for an asterisk or question mark, put a backslash in front of it.) A wildcard search is applied to the first 5,000 items in a multivalue property list.

  3. Click Add. The new value appears in the Selected Values list.

  4. Click OK to return to the property dialog box.

To remove values

  1. Highlight the value you want to remove in the Selected Value list.

  2. Click Remove, and then click OK. The value is removed and you return to the property dialog box.

See also
View or modify document properties
View or modify date and time properties
Overview of CS document property references


View or modify date and time properties

If the date and time property is displayed on the document's Properties tab, it means this property is associated with the document class you assigned to your document. The single-value property is indicated by [image] and the multivalue property by [image]. Both icons are located to the right of the field.

To view or modify the date and time property

  1. Access the property dialog box for a specific document.

  2. Click the Properties tab.

  3. Find the date and time property value you want to modify.

  4. Do one of the following:

Single-value date and time property

Click [image] to view the entire month. The current date and time are displayed in the date and time field and the current calendar appears. Use the arrows at the top of the calendar to select the correct month and year, then select the day. The date you select appears in the date and time field.

If you want to manually change the date and time without using the calendar, select the part of the date or time you want to change, then type in a new date or click the arrows to select a new date and time.

You can enter the calendar year in four-digit or two-digit format. The two-digit format range recognized in this property is 1930-2029. If you enter 15, the calendar year is interpreted as 2015. If you enter 40, the calendar year is interpreted as 1940 and not 2040. The range is not limited if you use the four-digit format.

Multivalue date and time property

Click [image] to view the current date and time. You can click Current to immediately update the date and time.

Click [image] to view the entire month. The current date and time are displayed in the date and time field and the current calendar appears. Use the arrows at the top of the calendar to select the correct month and year then select the day. The date you select appears in the date and time field.

If you want to manually change the date and time without using the calendar, select the part of the date or time you want to change, then type in a new date or click the arrows to select a new date and time.

Click [image] to enter the date and time in the date and time field. Click [image] to exit the calendar.

  5. Click OK to save the modified properties.
See also
View or modify document properties
View or modify multivalue document properties
Overview of CS document property references


Overview of document versions

About document versions

Checking documents in and out of the CS library makes it convenient for you to create and maintain different versions of the same document.

When you check out a CS document, IDM Desktop gives you a copy of the latest document and marks the document as checked out. When you check in the document, IDM Desktop creates a new version and optionally deletes the document from your local disk. This process continues through each checkout and checkin cycle. Once the online limit for document versions is reached, the oldest version is automatically archived. You determine the online limit for document versions when you assign that property to the document. You can also archive a document manually. If you don't want to have the oldest version automatically archived, you can make the document permanent. This prevents the version from being archived.

Note

You cannot archive external documents.

Use the Versions tab in the Document Properties window to view the versions for a specific document. Information about each document version is displayed.

If you check a document in or out of a replication folder, the document is checked in or out from all other CS library systems assigned to the replication folder. Your system administrator assigns the CS library systems. If you want to check documents in and out from a specific replication folder, you must have the required access rights.

See also
Open a CS document version
Archive a document version
Reclaim a document version
Make a document version permanent
Make a document version final


Open a CS document version

  1. Right-click the document and choose Properties.
  2. Under the Versions tab, right- the version and select Open.

If you are opening a compound document or components of a compound document, you must use the Document Wizard to open a specific document.

If you are opening an external document, the document property page is displayed.

You must have Viewer or higher access rights to open documents.

To open a document version

  1. Locate the document in your library or selected folder. You can also use one of the search commands to locate the document.

  2. Access the Properties window for the specific document and click the Versions tab. A list of versions for the document you selected appears.

Note

If you are accessing document version properties from within an integrated Office application in the Open IBM FileNet Documents dialog box, you can only access the version information from the Commands and Settings menu. You cannot access the document version information from the document properties dialog box.

  3. Right-click the version you want and choose Open from the shortcut menu.

See also
Open a compound document
Open an external document
Operations performed in integrated applications
Open a document in an Office application
Open documents in Outlook
Open shortcuts to library documents sent in Outlook


Modify an older version of a document

Modify an older version of a CS document

You cannot check out an older version of a document, but you can copy an older version of a document to your local disk, modify it, and then check it back in as a new document.

To modify an older document version (IBM FileNet Neighborhood)

  1. Right-click the document and choose Properties.

  2. Select the Versions tab.

  3. Right-click the version you want to modify and select Copy to.

If the version has been archived, use the Reclaim command to get it online first.

  4. Indicate where you want the document to be saved. You may also want to rename the document.

  5. After modifying the document, Add it to the library as a new document.


Check in a CS document

  1. In IBM FileNet Neighborhood, right-click the document and choose Check in.
  2. Click Open.
  3. Complete the fields in the Document Wizard and click Finish.

To check in a compound document, see Check in a CS compound document. This topic describes the checkin process for documents that are not compound documents.

When you check in a document to a CS library, IDM Desktop creates a new version of the document and makes it available for checkout. You can also check documents into a replication folder and have the option to check in a document from an integrated application. You can check in more than one document at a time and check documents in from an integrated application.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

You must have Author or higher access rights to check in the document.

To check in a document

  1. Find the document in one of the following locations:

Checked Out Documents tab on the Library Properties dialog box.

IBM FileNet Neighborhood

Search results from Simple Find or Advanced Find.

You can also check in the document from an Office Application .

  2. Right-click the document and choose Check in from the shortcut menu. To select this option from the shortcut menu, you must be the person who has the document checked out. The Select File to Checkin window appears.

  3. Verify the location and name of the file you are checking into the library, and then click Open.

Depending on your preference settings, the Document Wizard may present the option to determine if you are checking in a compound document or a single document. Click the appropriate option.

  4. Accept the properties or modify them for the version you are checking in.

  5. Select the Keep local copy check box to keep your copy of the document (it may be on your hard drive or on a network drive).

  6. Select the Index check box to index the document for content searching.

  7. Click Finish to complete the checkin process.

Notes

Any user with sufficient access rights can modify a document's properties while the document is checked out. When you check in a document, the properties are retrieved from the library and may differ from the properties at checkout.

You may need to refresh the IBM FileNet Neighborhood display (F5) to see the red check marks removed after checkin.

See also
Overview of external documents
Check in a CS compound document
Check in CS documents from Office applications


Check out a CS document

To check out and open a CS document

  1. Right-click a document and choose Checkout and open from the shortcut menu
  2. Indicate where you want to save the document on your local disk and click Save.

When you check out a document, IDM Desktop copies the latest version of the document to your local hard drive and marks the document as checked out. Only one person can have a document checked out. You must check it back into the library before anyone else can check it out. You must also have the appropriate access rights. You can specify a default checkout directory in the IDM Configure application. That directory becomes the default presented in the standard Windows Save dialog.

Check out documents from any of these locations:

  • IBM FileNet Neighborhood

  • Search results from Simple Find or Advanced Find

  • An integrated application. See Check out CS documents from Office applications .

From IBM FileNet Neighborhood and Search results, there are two checkout options. If you want to begin work on a document immediately, use the Checkout and open option. This opens the document in its registered application. If you are not ready to edit the document, use the Checkout option instead. Regardless of which option you use, you can check out more than one document at a time. If you use Checkout and open, all selected documents open in the applications’ windows.

To see which documents you have checked out, view the Library Properties window, Checked Out Documents tab. Click here for more information on library properties.

Compound documents

Click here for more information on checking out a compound document. This icon [image] represents a compound document in IBM FileNet Neighborhood.

External documents

External documents cannot be viewed and opened in registered applications. Only references to the external documents are stored in the library. When you open an external document, the document's property page displays.

Published documents

Published documents have no checkout options.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

Tip

You can check out documents from a replicated folder .

You must have Author or higher access rights to check out a CS document.

To check out one or more documents

  1. If checking out more than one document, select them.

  2. Right-click a document and choose Checkout from the shortcut menu.

  3. Indicate where you want to save the documents on your local drive and click Save.

Notes

For external documents, the document properties dialog box opens.

A red check mark beside the name in IBM FileNet Neighborhood indicates that the document is checked out.

If the filename you selected for the checked out file already exists in your checkout directory, you can either copy over the existing file or cancel the checkout. You can also change the name of the document during the checkout process.

To check out and open a document

  1. If checking out more than one document, select them.

  2. Right-click a document and choose Checkout and open from the shortcut menu.

  3. Indicate where you want to save the documents on your local drive and click Save.

Notes

Documents open in their registered applications. Make sure you have enough memory to open all registered applications and all documents at one time.

To open a checked out document on your local hard drive

  1. Highlight the document from one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click and choose Open Checkout.

If the document is in your default checkout directory, the document appears in the appropriate registered application. If you moved the document from the default checkout directory, you can use the Open window to locate and open the document.

See also
Check out a CS compound document
Check out a CS document from an Office application


Cancel a checkout

If you check out a document and then decide not to change the document, you can cancel the checkout rather than checking it in.

You can cancel the checkout for more than one document at a time. You also have the option to cancel a checkout from an integrated application. You can also cancel a checkout of a compound document.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

To cancel a checkout

  1. Highlight a checked-out document in one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

You can also cancel a checkout from within an Office application .

  2. Right-click and choose Cancel Checkout from the shortcut menu. This option does not appear unless you have the document checked out or you are a member of the administrator's group.

  3. Answer the prompts.

See also
Cancel a checkout from Office Applications
Cancel a checkout of a CS compound document


View your checkout list

The Checked Out Documents tab in the Library Properties dialog box lists documents in a specific library that are checked out to you. From the list, you can view the status of the document, such as the date the document was checked out, version of the document, item ID assigned to the document, and the location from which the document was checked out.

You can perform more document tasks if you right-click one of the documents in the checkout list.

To access and view the checkout list

4 From the Library Properties window, click the Checked Out Documents tab.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .


Archive a document version

When the online limit for document versions is reached, the oldest version is automatically archived. You can also archive a version manually. When you archive a version of the document, it is stored in a specific archive repository. Your system administrator maintains the archive repository.

You must have Owner or higher access rights to archive a document version.

To archive a document

  1. Locate the document in your library or the selected folder. You can also use one of the search commands to locate the document.

  2. Highlight the document you want to archive.

  3. Right-click and choose Archive from the shortcut menu.

Note

If you want to archive a specific child document, you must access the document's shortcut menu using the Explore Links menu option . Before you can archive a child document, all of its parent documents must also be archived. In addition, the online version limit can be exceeded if a previous version of a child cannot be archived when the parent is still online.

The version of the document you want archived is moved to the archive repository.


Reclaim a document version

You can reclaim document versions if they are indicated as offline in the CS library. The document version is considered offline if it was archived and is currently in secondary or backup storage and is not immediately available.

If the document is currently in secondary storage, IDM Desktop can access the specified version. If the document is in backup storage, your system administrator is notified of your reclaim request. Your administrator must place a copy of the version on a network drive, where it can be reclaimed during the next CS library system reclaim cycle.

If you reclaim a document, the document is automatically made permanent.

To reclaim a version, you must have access rights to the document equal to or greater than the Minimum Reclaim Access Level. The system administrator sets the Minimum Reclaim Access Level; the typical setting is Owner.

To reclaim a document

  1. Locate the document in your library or the selected folder. You can also use one of the search commands to locate the document.

  2. Highlight the archived document you want to reclaim.

  3. Right-click and choose Reclaim from the shortcut menu.

Note

If you want to reclaim a specific child document, you must access the document's shortcut menu using the Explore Links menu option.

When the version of the document you want reclaimed is not immediately available, you may need to wait for your system administrator to process your reclaim request.


Make a document version permanent

When the online limit for document versions is reached, the oldest version is automatically archived. If you don't want the oldest version automatically archived, you can make the document permanent. This prevents the version from being automatically archived.

You must have Author or higher access rights to make a document version permanent.

To make a document version permanent

  1. Locate the document in your library or selected folder. You can also use one of the search commands to locate the document.

  2. Highlight the document you want to make permanent.

  3. Right-click and choose Permanent from the shortcut menu. In order to select this option from the shortcut menu, you must have the required access rights to make this document permanent. If you do not have the required access rights, this option appears dimmed.

Note

If you want to make a specific child document permanent, you must access the document's shortcut menu using the Explore Links menu option .

See also
Archive a document


Make a document version final

You can prevent a document from being modified in the future, thereby making it the final version of the document.

To make a document version final

  1. Right-click the document and choose Properties.

  2. Click the Security tab.

  3. Select General Users and assign Viewer access

  4. Delete any other users with higher access.


Overview of copying and deleting documents

Copying and deleting documents

On IS libraries, you can:

  • Copy one or more documents from one folder to another in the same library.

  • Delete documents from the IBM FileNet Neighborhood if you have the proper access.

On CS libraries, you can:

  • Copy one or more documents from one folder to another in the same library.

  • Copy one or more documents to a location outside of the library, such as a local drive.

  • Copy the latest versions of one or more documents outside the library and open them in a registered application.

When you copy a CS document to another folder, the access rights assigned to the new document do not change. If you want to modify the access rights, access the document properties window.

You can also copy a document to a replication folder.

A user with the proper access rights can delete IS documents from the IBM FileNet Neighborhood. On a CS library, deletion requires access rights to the document at least equal to the Minimum Delete Access Level defined by the system administrator for the library. Deleting a document deletes it from the library and from all folders.


Copy a document

The IS document and the latest version of the CS document are copied to the clipboard, or you can copy a CS document to the default copy directory. You can select more than one document at a time to copy to a folder. You can also copy and open a CS document in its registered application.

If the filename you selected for the copied file already exists in your directory, you can either copy over the existing file or cancel the copy process.

You can copy a document if you have Viewer or higher access rights to the document. You must have Author or higher access rights to the folder in which you are copying the document.

You need read access to copy a document (therefore, you can copy any document you see). You must have append/execute access rights to the folder to file documents in the folder.

To copy a document to a folder within a library

  1. Highlight one or more documents from any of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click and choose Copy from the shortcut menu.

  3. Find and highlight the destination folder. This folder must be in the same library.

(To copy a CS document across different libraries, you need to add that document to the appropriate replication folder.)

  4. Right-click and select Paste from the shortcut menu. The document is copied and filed in the specified folder.

To copy a CS document outside of the library

  1. Highlight one or more documents from one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click and choose Copy To from the shortcut menu.

  3. Navigate to the location where you want to copy the document (change the name if necessary) and click OK.

To copy a CS document outside the library and open it in its registered application

  1. Highlight one or more documents from one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click and choose Copy and Open from the shortcut menu. The Copy File To dialog box appears.

  3. Navigate to the location where you want to copy the file and click Save. Once the document is saved, it opens in the registered application.

Notes

The IS document is copied to the clipboard. If you delete the item you copied before pasting it, you will receive "Error in Underlying Module" and will be unable to paste it. This is standard Windows behavior. Retrieve the item from the recycle bin.

If the filename you selected for the copied file already exists in your directory, you can either copy over the existing file or cancel the copy process.

See also
Copy a CS compound document


Delete a document

Deleting a document unfiles it from all folders and deletes it from the library.

To delete a document from a CS library, you must have access rights to the document equal to or greater than the Minimum Delete Access Level. The system administrator sets the Minimum Delete Access Level; the typical setting is Owner.

You must have read, write, and append/execute access rights to delete an IS document.

To delete documents

  1. To delete more than one document, select them in IBM FileNet Neighborhood.

  2. Right-click a document ID and select Delete.

  3. Select Yes.

See also
CS security summary
Delete a compound document


Publishing overview

About publishing

Publishing is a way to make a document available to a different viewing audience than that of the source document. You can also change the location (put it in a different folder in the same library) and present it in a different format. For example, suppose the source document is available in Microsoft Word format and the document’s security restricts access to the document. You could publish the document in PDF format and make it available to everyone. Publishing is available only on a CS library.

Questions
What version is my published document?
How do I update a published document?
Can I publish in different formats?
Why can't I check out a published document?
How do I publish a document?
Can I choose a different format if I republish a document?
Can I change the format of an existing published document?


Version numbers

Even though you publish version 2 (or a later version) of the source document, the published document will start with Version 1. The Properties dialog box of the published document shows the version of the source document as well as the version of the published document. A published document has a star ( [image]) to the left of its name in IBM FileNet Neighborhood.


Republishing

When you update the source document, you can update the published document as well. You can:
  • Add a new version to the published document.
Note that you would have to publish each version of the source document to keep the two sets of version numbers in sync. A published document’s Properties shows the versions just as for a regular document.
  • Replace the published document.
If you do not want to keep multiple versions of published documents, you can replace the published version when you update the source document. In that case you will only have one version of the published document.
  • Publish a new document
In either case, you need to manually republish the source document to update the published document.


Publish multiple times

You can publish a document more than once. If you want one published document in Word format and another published document in Acrobat PDF format, you can publish the document twice. Each published document can have its own versions. If you want published documents in two different folders, we recommend that you publish to one folder and copy the published document to other folders.

When you no longer need to maintain a published document, you can delete it. When creating a published document, one of the options is to have the system automatically delete the published document when the source document is deleted.

To publish to more than one library, publish to a replication folder.


Working with published documents

The shortcut menu of a published document is similar to that of a regular document. However, it may not be possible to do everything on the menu even when you have appropriate access to the document. For example, PDF files can have their own security settings that prevent printing. Choosing Print will generate an error if the style template used to publish the document prevents printing.

You do not modify published documents. Rather, you modify source documents and republish. Therefore, there is no checkout option on the shortcut menu of a published document.


Publishing preferences

Most of the steps in publishing depend on preferences. Some preferences are in the Publishing category but others are in the Documents category. Here are the preferences that can affect the publishing procedure (and their location in parentheses). Options in bold are the default and these are assumed in the procedures to publish or republish documents.

Preference (Location) | Options | Meaning
New document must be filed in folder (Documents—Add, Checkin, Retrieve | Yes No | When adding a new document to a library, yes means you must file the document in a folder.
Index (Documents—Add, Checkin, Retrieve) | Use library default Index Do not index | Index for content searching when you add, check in, or publish.
Show "Index" (Documents—Add, Checkin, Retrieve) | Yes No | Shows the prompt to index the document for content searching when you add, check in, or publish.
User closes add/checkin confirmation (Documents—Add, Checkin, Retrieve) | Yes No | Yes requires you to press OK (or Close) to close the confirmation dialog after a document is added or published. When set to No, the window closes within a few seconds.
Document options when republishing (Publishing, General) | Create new published document Add new version to published document Replace published document | Specifies the default selection for Document Options in the Publishing Wizard. This preference applies only if the document has been published at least once.
Allow changes to "Document Options" (Publishing, General) | Yes No | Allows you to change the Document Options in the Publishing Wizard. This preference applies only if the document has been published at least once.
Security for new published documents (Publishing, General) | Use folder Use source document Use library default | Default security for published documents. Use folder applies the access rights of the folder. If the published document is not filed in a folder, then the library default applies. Use source document applies the access rights of the source document. Use library default applies the default security configured for the library for adding new documents.
Delete published document if source is deleted (Publishing, General) | Yes No | Delete the published document if the source document is deleted. If not checked, then the published document is not removed when the source is deleted.
Show "Delete published document if source is deleted" (Publishing, General) | Yes No | Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is deleted.
Inherit Source Document Properties (Publishing, General) | Yes No | If yes, the newly published document inherits the properties of the source document.
Folder ID (under each configured library) | <valid folder ID> (not the folder name) | The folder where new published documents are filed. Find the valid folder ID in its properties.


Publish a document

  1. Right-click the document and choose Publish.
  2. Complete the dialog boxes presented by the Wizard.
  3. In the final dialog, click the cell under Style Templates to choose a file format before clicking Finish.

To publish a document, you need at least Author access to the source document.

  1. Right-click the document in IBM FileNet Neighborhood and choose Publish from the shortcut menu.

The first time you publish a document, the only option is to Create a new published document.

  2. If you want the published document to be deleted when the source document is deleted, make sure that check box is selected.

Preferences determine whether this check box appears.

  3. Choose a location for the published document.

Currently you must choose the same library. Preferences may automatically set a folder so that you do not need to use the following procedure. Preferences (Document Add) can also specify if you must publish to a folder.

  1. Use the Browse button to navigate to the appropriate folder if necessary and click Open.

  2. When the name of the folder appears in the Save in field, click the Save button.

  3. Click Next.

  4. Choose the document class from the Class pulldown.

  5. Check the Index check box if you want to make the contents searchable.

  6. Enter the properties required by the document class and click Next.

  7. Indicate security settings in the next screen and click Next.

Depending on preference settings , the published document inherits default security from the source document, the target folder, or the default security for adding documents to that library.

  8. To change the output format, click on the default format and then use the pulldown menu to select another format.

The list depends on rendition engines available on the server. You can choose only one output format per published document.

  9. If there is more than one style template available for the output format, use the pulldown menu in that column to select a style.

The basic publishing software pre-selects the style template associated with the output format. Third-party software might support more than one style template for the selected output format.

  10. Click Finish to submit the publish request.

The request may be published immediately or placed in a queue.

Note

Using the basic publishing software, only the parent of a compound document is published. It will be published only in native format. Third-party software may provide support for the complete compound document and additional output formats.


Publish a new version

To publish a new version of an existing published document, you must start with the source document. Although you will typically republish the current source document, you can create a new published version from any version of the source document.

  1. Right-click the source document you want to republish and select Publish from the menu.

To publish an earlier version, select the version via the source document’s properties dialog box, version tab before selecting Publish.

  2. In the grid, highlight the published document you want to republish.

  3. From the Document Options, choose Add new version to published document and click Next.

  4. Select an Output Format and Style Template from their respective pull-down menus and click Finish.

The default is the previous output format.

Notes

Preference settings can disable the Add new version to published document option.

You cannot change the location of the document.

You can choose a different output format than used previously.


Replace a published document

To replace a published document, you must start with the source document. Although you will typically republish the latest version, you can republish any version of the source document.
You must have access rights that allow you to delete the published document to replace it. If you do not, the replace request will fail.

  1. Right-click the source document you want to republish and select Publish from the menu.

To publish an earlier version, select the version via the source document’s properties dialog box, version tab before selecting Publish.

  2. In the grid, highlight the published document you want to replace.

  3. From the Document Options, choose Replace published document and click Next.

  4. Select an Output Format and Style Template from their respective pull-down menus and click Finish.

Notes

Preferences can disable the Replace published document option.

You cannot change the location of the document.

You can choose a different output format than used previously.

See also
Delete a document
CS security summary


Delete published document

Delete a published document

Deleting a published document removes it from the library. It also removes all references to the published document from the source document’s properties.

You must have Owner access to the published document and the library must allow owners to delete documents.

  1. Right-click the source document and choose Properties.

  2. Click the Published tab.

  3. If there is more than one published document, determine which one you want to delete.

Left-click to see some properties beneath the grid or right-click to see the full properties dialog box for the published version.

  4. Right-click the published document in the grid of the source document’s properties.

  5. Choose Delete from the popup menu.

Note

Another way to delete a published document may be to delete the source from which it was published. This is an option when publishing.


Overview of e-mail and routing

Sending documents using e-mail and routing

You can send documents as e-mail attachments through a document reference, a document copy, or a document shortcut. The attachments operate as follows:

  • Document reference. When a mail recipient receives the e-mail and opens the attached document reference file, the IDM Viewer launches; the recipient is prompted to log on if not already logged on; and the document content is retrieved, stored in the local cache, and displayed.

  • Document copy. When a mail recipient receives the e-mail and opens the attached document copy, the registered application launches and displays the file content. The document content files are retrieved from local cache. For IS document copies, you can send separate attachments for each page of the document.

  • Document shortcut. When a mail recipient receives the e-mail, he or she can either save the attached shortcut or click on it immediately. Selecting the document shortcut presents a shortcut menu, which allows the recipient to log on. The recipient then sees more shortcut menu options, from which he or she can choose to open in the registered application, check out a document, etc.

In addition, you can insert library documents as attachments in e-mail messages from Outlook if Outlook is integrated with IDM Desktop.

The e-mail recipient can retrieve and display the document if they have:

  • Access to the library that contains the document

  • The IDM Desktop software required for viewing the document

Both your e-mail system and the e-mail system of the recipient must be MAPI-enabled (Microsoft Messaging Application Programming Interface) to send or receive document links.


E-mail a document reference

You can e-mail references to one or more selected documents in the IBM FileNet Neighborhood or to a document displayed in the IDM Viewer. You can reference the most recent version of a CS document, or choose a specific version. You cannot e-mail a reference to an external document; if any selection is an external document, the Reference To option is dimmed.

To send a document reference using e-mail from the IBM FileNet Neighborhood

  1. Right-click one or more documents.

  2. Select Send, then select Reference To.

  3. Choose the name of the recipient.

  4. Click OK to send the document reference.

To send a document reference from the IDM Viewer using e-mail

  1. With a document displayed in the IDM Viewer, select the File menu.

  2. Select Send To, then click Mail Recipient as Reference.

  3. Choose the name of the recipient or type the e-mail address.

  4. Click OK to send the document reference.

To send a reference to a specific version of the document

  1. From a CS library in the IBM FileNet Neighborhood, open a folder to see its contents.

  2. Right-click a document, then select Properties.

  3. Select Versions.

  4. Select a specific version of the document. For example, select version 2.

  5. Right-click the version you selected and click Send.

  6. Click Reference To.

Notes

For a compound document, you can send a reference of the parent document.

From IBM FileNet Neighborhood or a Simple or Advanced Find search results list, you can send more than one document reference at a time. If you send multiple document references, all the references are placed into a single mail message.


E-mail a document copy

You can e-mail a copy of the selected or currently displayed document as an attachment. This sends the contents of the document to the e-mail recipient. For multipage IS documents, you can send an attachment for each page of the document. You cannot e-mail a copy of a compound document or an external document. If any selection is an external document, the Copy To option is dimmed.

To e-mail a document copy from the IBM FileNet Neighborhood

  1. Right-click one or more documents in the IBM FileNet Neighborhood or any Explorer view.

  2. Select Send, then select Copy To.

  3. Select the page range or ranges.

  4. Choose the name of the mail recipient.

  5. Click OK to send the document copy.

To e-mail a document copy from the IDM Viewer

  1. Open a document in the IDM Viewer.

  2. From the File menu, select Send To, then click Mail Recipient as Copy.

  3. Choose the name of the mail recipient.

  4. Click OK to send the document copy.

Note

From IBM FileNet Neighborhood or a Simple or Advanced Find search results list, you can send more than one document copy attachment at a time. If you send multiple document copies, all the copies are placed into a single mail message.


E-mail a document shortcut

To e-mail a document shortcut from IBM FileNet Neighborhood

  1. Select a folder and double-click it to see its contents.

  2. Right-click one or more document IDs.

  3. Select Send, then select Shortcut To.

  4. Choose the name of the mail recipient.

  5. Click OK to send the document shortcut.

To e-mail a document shortcut from IDM Viewer

  1. Open a document in the IDM Viewer.

  2. From the File menu select Send To, and then click Mail Recipient as Shortcut.

  3. Choose the name of a mail recipient.

  4. Click OK to send the document shortcut.

This creates and sends the document shortcut as an e-mail attachment which the mail recipient can save or open to use shortcut menu functions.

Note

For a compound document, you can send a shortcut of the parent document.

From IBM FileNet Neighborhood or a Simple or Advanced Find search results list, you can send more than one document shortcut attachment at a time. If you send multiple document shortcuts, all the shortcuts are placed into a single mail message.

See also
Insert shortcuts to library documents in Outlook items
Open shortcuts to library documents sent in Outlook


About compound documents

A compound document is IBM FileNet's name for a document that has one or more child documents linked to a parent document. The child documents are associated with the parent document through object linking and embedding (OLE).

Compound documents are supported only on CS libraries. You can identify compound documents in an IBM FileNet Neighborhood listing by the [image] icon to the left of its name.

You can create compound documents in applications that support OLE. For example, if you link to an Excel spreadsheet in a Word document, this creates a compound document. If you insert a picture and click the Link to file check box in Word, that also creates a compound document.

While adding, checking in, checking out, displaying properties, etc., you will see information about the parent and child documents and can specify which components you want to work with.

You can also manually link one document to another document during an add or checkin process. This makes it possible to check out multiple documents at one time.

Questions
How do I create a compound document in a Microsoft application?
Do compound documents require any special processing?
Can I link to the latest version of a child document?
What is the relationship between components of a compound document?
Can I create a compound document in IDM Desktop?


General compound document information

About components and links

Relationship between components

A compound document can have any number of child documents. The root-level document or top-level parent is the parent document and the child documents are components. There is no limit to the number of child documents assigned to a parent document. A document can be a parent for one family of documents and child for a different family of documents. The compound document and each of its components can have one or more versions. The components are revised independently of the versions of the compound document.

Compound documents are designated as one unit in the CS library when links between components are recognized and when the compound document is checked in or added to the library. Both compound documents and components can be copied, checked out and checked into the library. Each time compound documents or components are added or checked back into the library, the links to each of the components are verified for modifications or changes.

When you check out an OLE linked compound document, the software attempts to preserve the compound document structure as expected by the parent's native application by locating the child in the absolute or relative path expected by the parent document's native application. (In the case of Word, this will be the absolute path specified in the link within the parent document.)

If the checkout location for the child is changed during the checkout, the wizard will edit the parent document link information (if possible) to ensure that the child will be found at the new location when the parent is opened in the native application.

If the checkout location of the child is changed and the wizard is unable to edit the parent to update the links, you will be alerted that you need to update the links manually in the parent's native application.

Kinds of links

IDM Desktop provides dynamic and static links for your compound documents. IDM Desktop recognizes and identifies the dynamic and static links for you. You can also establish whether the dynamic and static links should be strong or weak links between components.

Notes on publishing and replication

If you are publishing a compound document, only the parent document will published.

If you check in a replicated compound document, you cannot add or remove links.

See also
Compound document shortcut menu


About compound document preferences

Most of the steps in compound documents depend on preferences. The preferences are in the Documents category. Here are the preferences that can affect the compound document procedures. Options in bold are the default and these are assumed in the documentation.

Preference (Location) | Options | Additional information
Set document title to filename | Yes No | If set to No, sets the default temporary title to <Document ID> before the document is added or checked into the CS library. The default title appears in the Add or Checkin dialog boxes. After the document is processed, the document's ID appears. If you have access rights of None to a child document, <Document ID> appears as the document's title when you process a compound document.
Determine if the file is a compound document | Yes No | During add, sets the option to find linked documents to match this choice. During checkin of a document already known to be a compound document, sets the command on the final checkin screen to look for new links regardless of this choice.
Show 'Determine if the file is a compound document' | Yes No | If set to No, the first screen in the Document Wizard is skipped. The previous preference determines if the file is checked for links.
File children of a compound document with the parent | Yes No | This preference applies when you add a new child document to a compound document during an add or checkin process. The child document is automatically filed in the folders where the parent document is located. Previously existing child documents return to their original locations when they are checked in.
Show 'File children' | Yes No | Prompt to file compound document's children in the same folders as the parent document.


Overview of processing documents

Processing compound documents

You process compound documents in different dialog boxes depending on the task you want to accomplish, such as checking the document out of the CS library or cancelling a checkout. Each time you process a compound document, the structure of the compound document and relationships with each component are displayed in a specific dialog box.

Each parent and child document status and directory location are displayed in different columns in a dialog box. You can apply different commands, such as check out or skip, to specific documents and execute the commands in a dialog box. You have the option to apply commands to only the parent documents, only components or to a combination. Individual link properties for each component are accessible from each column and the document and link properties can be modified

When you execute commands or process the compound document, status messages appear at the bottom of the dialog box. The messages provide you with feedback during the processing. They inform you when the process is successful and also when potential problems may arise, such as broken links, missing components, or wrong file paths. You can also click the validation symbols for more information and review additional reasons and information about the process in the status messages section of the dialog box.

Click the different columns and options on the following graphic for more information on the grid that displays the structure of your compound document.


Create an OLE compound document

You can create a compound document that consists of multiple documents in authoring applications such as Microsoft Word and Microsoft Excel. These applications recognize how the documents are related and can display the entire compound document as one document.

OLE links are implemented in the parent document as pointers to component files; the pointers are path names. The linking method is recognized by the Microsoft applications and can only be maintained by these applications.

You create a compound document by first establishing a parent document in one of the Microsoft applications, such as Word, Excel or PowerPoint. Make note of the locations of the other documents you want to include as components of the parent document.

Notes

If you specify a document link to Automatic in the Microsoft applications, a dynamic link to the child document is set in IDM Desktop. If you select Manual or Locked, a static link to the child document is set in IDM Desktop.

After you create a compound document, make sure you press F5 to refresh the IBM FileNet Neighborhood to see the compound document icon.

Make sure the version of the application used to create the compound document (or a later version) is installed on the workstation being used to add the compound document to a library. If the appropriate version of the application is missing, the OLE links in the compound document will not be recognized when it is checked into a library.

To create a compound document

  1. Open an existing document or create a new document in one of the Microsoft applications.

  2. Locate the documents you want to add to this document, either by linking or embedding.

  3. Refer to the Microsoft help on linking and embedding if necessary.

  4. Add or check your compound document into the CS library.

See also
Check in a CS compound document
Check out a CS compound document
Compound document shortcut menu


Add a manual link to a document

When you add or check in a document to a CS library, you can manually link to another document located in or outside of a CS library. You do not have to first establish an OLE link to the document. The document you are manually adding becomes the child document of the document you add or check into the library. The relationship of the parent and child document manually added to the compound document structure is not determined by the parent or child document.

Notes

After you add a manual link, make sure you press F5 to refresh the IBM FileNet Neighborhood to see the compound document icon.

You cannot add a manual link to a circular compound document.

To add a manual link to a document

  1. Check in or add the compound document or components.

  2. Before you complete the add or checkin process and click Finish in the Add Document or Checkin Document dialog boxes, highlight and right-click the document to which you want to link a document.

  3. Click New. The Open dialog box appears.

  4. Select the document to which you want to manually link as a child document, and then click Open. The document appears as a linked document in a compound document structure.

  5. You determine if you want the document to be filed in the same folder with the parent document in the Command column. You can also modify the link relationship between this document and the existing components in the compound document structure.

  6. Click Finish. The compound document is processed.


Open a compound document

View a compound document

  1. Right-click the document and choose Open from the shortcut menu.
  2. Select the components you want to open and click OK.

You can open the compound document with its components using the Open dialog box. In the dialog box, you can select the parent document or components you want to view in an authoring application.

When you open the compound document, you choose which documents you want opened or skipped in the dialog box. If you want specific components opened while others are skipped, only the documents you want opened are retrieved with the parent document and opened as part of the parent document. However, you may still see the icon of the skipped child document as part of the parent document if the components are linked using OLE links.

CS users must have Viewer or higher access rights to open a compound document. You must also have Viewer or higher access rights to each component you want to open.

To open a compound document

  1. Right-click the document and choose Open from the shortcut menu. The Open dialog box appears, where the parent document and its related components are displayed.

  2. In the Apply Commands to list, select the appropriate parent document or component you want to open.

In the Open dialog box, Open appears in the Command column indicating the specific document or component you want opened. This is the default setting.

You choose which documents you want opened or skipped in the Command column.

  3. Do one of the following:

Open

If you want to open the child document, click the cell in the Command column that relates to that document. From the Command menu, click Open to open the specific child document.

Skip

If you do not want to open one of the child documents, click the cell in the Command column that relates to that document you want skipped. From the Command menu, click Skip to avoid opening the specific child document.

  4. Click OK. The compound document or component is displayed in the Microsoft application in which it was originally created.

See also
Open documents in Office applications
Open documents in Outlook
Compound document shortcut menu


Check in a CS compound document

When you check in the compound document to the CS library, you choose which documents you want checked back in. You can also specify new components you added to the compound document and link the component to the parent document in the Checkin dialog box. If you replace a component with a new one, you can also link to the updated component in the dialog box when you check the parent document back into the library.

You can manually add another document to the compound document structure during the checkin process.

You can keep a local copy of the document or index the document you are checking in the Checkin dialog box. You can also save a specific document version and indicate you are checking in an updated version of a document to the CS library. That document version remains open in the application, enabling you to continue working on the document after it is checked into the library, and then checked back out. Click [image] in the Command column to access these options.

If you are checking in a replicated compound document, you cannot add or remove links unless the document is the original document.

Notes

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

Make sure the application you used to create the compound document is installed on the workstation being used to add the compound document to a library. If the application is missing, the OLE links in the compound document will not be recognized when it is checked into a library.

You must have Owner or higher access rights to the parent document in order to check in the compound document.

To check in a CS compound document

  1. Find the document in one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

You can also check the document into the library from within an integrated application .

  2. Right-click the name and choose Checkin from the shortcut menu. To select this option from the shortcut menu, you must be the person who has the document checked out. The Select File to Checkin dialog box appears.

  3. Enter the location of the parent document you want to check in from your local hard drive, and then click Open.

IDM Desktop processes the links in your compound document. The Checkin Document dialog box appears.

  4. Select an appropriate document class for the parent document, and then enter the required property values (denoted by diamonds) and optional values. The document class determines the properties for the document. When you click Next, the structure of the compound document is displayed.

Checkin appears in the Command column indicating the specific document or component you want to check into the library.

You choose the documents you want checked in and linked, added and linked, linked, cancelled checkout or skipped in the Command column.

Note

If you add new child documents using manual links or OLE links, those documents inherit the parent document's access rights and properties. You can individually modify the child document's access rights, properties , and link properties in the columns.

  5. Do one of the following:

Ver

You can specify a child document version you want to check in this column. Click the cell in the Ver column that relates to that child document. From the Ver menu, click the appropriate document version number. The version number appears in the Ver column.

Checkin and Link

If you want to check in and link the parent document and components, click the cell in the Command column that relates to the documents. From the Command menu, click Checkin and Link to check in the document. Checkin and Link appear in the Command column.

If you are saving a compound document from within an integrated application, the parent document is saved and the components command is set to Checkin and Link if the components are checked out.

If you are saving or checking in a compound document from within an integrated application and you did not modify the components, the components command is set to Checkin and Link. A new version is created for the component and that version is identical to its previous version.

Add and Link

If you want to add new components to the compound document and link them to the parent document, click the cell in the Command column that relates to that new component. From the Command menu, click Add and Link to add and link the new document. Add and Link appear in the Command column.

Link

If you want to replace a component with a new one and update the link to the parent document or preserve existing links to existing components, click the cell in the Command column that relates to that new or existing document. From the Command menu, click Link to update or preserve the links. Link appears in the Command column.

Skip

If you want to break a link to a child document, click the cell in the Command column that relates to that child document. From the Command menu, click Skip to avoid checking in the specific child document. Skip appears in the Command column.

If a child document is not checked out or you do not want to currently check in the document, click Link to maintain the parent and child document relationship. For example, if you check in a parent document, and skip its child document, a new parent document version is created, but the parent document is now a single document. The link to its child document is removed.

Link and Cancel Checkout

If you checked out a child document, you can link the document and cancel the checkout of that document. You do not have to modify the document to use this command. Click the cell in the Command column that relates to that child document. From the Command menu, click Link and Cancel Checkout to link the document, but cancel the checkout. Link and Cancel Checkout appears in the Command column.

Command options

Click [image] in the Command column and select the Keep local copy check box to retain a local copy (on your hard drive or on a network drive) of the specific document or select the Index check box to index the document for content searching.

Select the File with Parent check box to file the document with its parent document in the same folder.

Select the Checkin and Checkout check box to indicate you are checking in an updated version of a document to the CS library. That document version remains open in the application, enabling you to continue working on the document after it is checked into the library, and then checked back out.

  6. Click Finish. The compound document is checked back into the library. The links are reinterpreted upon checkin.

See also
Check in CS documents from Office applications
Overview of adding documents to a library
Add a manual link to a document


Check out a CS compound document

Before a compound documents or any of its components can be checked out and opened, you must first specify the components in the Checkout dialog box.

When you check out the compound document, you choose the documents you want checked out, copied or skipped in the dialog box. If you want specific components checked out while others are copied or skipped, only the documents you want checked out or copied are retrieved with the parent document. However, you may still see the icon of the skipped child document as part of the parent document because the components may be linked using OLE links.

In addition to checking out a compound document, you can also check it out and then immediately open it in a Microsoft application or open the locally checked-out parent document.

You can overwrite an existing copy of the same document you are checking out of the CS library in the Checkout dialog box. The existing copy resides on your local hard drive. You can click [image] in the Command column to access that option. Click the same button in the File Path column to change the location to which you want to check out the parent document or component location on your local hard drive.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

You must have Owner or higher access rights to the parent document in order to check out the compound document.

To check out a CS compound document

  1. Find the document in one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

You can also check out the document from within an integrated application .

  2. Right-click the name and choose Check out from the shortcut menu. The Checkout dialog box appears, where the parent document and its related components are listed.

  3. In the Apply Commands to list, select the component you want to check out from the CS library. Checkout appears in the Command column indicating which component you want checked out. You choose which documents you want checked out, copied or skipped in the Command column.

Note

Copy may be the default command option if the following occurs: the child document is currently checked out, the link does not point to the latest version or you have insufficient access rights.

  4. Do one of the following:

Check out

If you want to check out the document, click the cell in the Command column that relates to that document. From the Command menu, click Checkout to check out the document. Check out appears in the Command column.

Copy

If you want to copy the document, click the cell in the Command column that relates to that document. From the Command menu, click Copy to copy the document. Copy appears in the Command column.

If a specific child document is previously checked out, the default command is Copy. Change its command to Skip while checking out its relative components and parent document. This avoids checking out a copy of the previously checked-out child document.

Skip

If you do not want to check out one of the child documents, click the cell in the Command column that relates to that document. From the Command menu, click Skip to avoid checking out the specific child document. Skip appears in the Command column.

Command option

Click [image] in the Command column and select the Overwrite local files that are not checked out documents check box to overwrite an existing copy of the document on your local hard drive. Click OK to select the option or Cancel to cancel the command.

File Path option

Click [image] in the File Path column to change the location of the parent document or component location on your local hard drive.

  5. Click OK. The compound document or component is checked out of the library.

To check out and open a CS compound document

  1. Find the document in one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the name and choose Checkout and open from the shortcut menu. The Checkout dialog box appears, where the parent document and its related components are listed.

  3. In the Apply Commands to list, select the parent document and components you want to check out from the CS library, and then open it in a Microsoft application. Checkout appears in the Command column indicating which component you want checked out. You choose which documents you want checked out, copied or skipped in the Command column.

Note

Copy may be the default command option if the following occurs: the child document is currently checked out, the link does not point to the latest version or you have insufficient access rights.

  4. Do one of the following:

Check out

If you want to check out the document, click the cell in the Command column that relates to that document. From the Command menu, click Checkout to check out the document. Check out appears in the Command column.

Copy

If you want to copy the document, click the cell in the Command column that relates to that document. From the Command menu, click Copy to copy the document. Copy appears in the Command column.

If a specific child document is previously checked out, the default command is Copy. Change its command to Skip while checking out its relative components and parent document. You avoid checking out a copy of the previously checked out child document.

Skip

If you do not want to check out one of the child documents, click the cell in the Command column that relates to that document. From the Command menu, click Skip to avoid checking out the specific child document. Skip appears in the Command column.

Command option

Click [image] in the Command column and select the Overwrite local files that are not checked out documents check box to overwrite an existing copy of the document on your local hard drive. Click OK to select the option or Cancel to cancel the command.

File Path option

Click [image] in the File Path column to change the location of the parent document or component location on your local hard drive.

  5. Click OK. The parent document and components are checked out and displayed in the Microsoft application in which the parent document was originally created.

To open a checked out CS compound document or component on your local hard drive

  1. Find the document in one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the name and choose Open Checkout from the shortcut menu.

The compound document or component is displayed in the Microsoft application in which it was originally created.

Notes

When an OLE linked compound document is checked out, the IBM FileNet software attempts to preserve the compound document structure as expected by the parent's native application by:

  • Locating the child in the absolute or relative path expected by the parent document's native application (in the case of Word, this will be the absolute path specified in the link within the parent document).

  • If the checkout location for the child is changed during the checkout, the software will edit the parent document link information (if possible) to ensure that the child will be found at the new location when the parent is opened in the native application.

  • If the checkout location of the child is changed and the software is unable to edit the parent to update the links, you will be alerted that you need to update the links manually in the parent document’s native application.

See also
Check out CS documents from Office applications


Cancel a checkout of a CS compound document

The Cancel checkout dialog box enables you to keep a local copy of the document in which you are cancelling the checkout. You can click [image] in the Command column to access that option.

Note

You should check out and check in documents (or cancel checkouts) from the same workstation. If an administrator cancels your checkout from another workstation, or you check in a document from another workstation, your workstation's checkout list will be out-of-synch with the library's, and you will need to synchronize your checkout list .

You must have Owner or higher access rights to the parent document in order to cancel a check out of the compound document.

To cancel a checkout of a CS compound document

  1. Find the document you want to cancel in one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

You can also cancel a checkout from within an integrated application .

  2. Right-click the name and choose Cancel Checkout from the shortcut menu. This option appears dimmed unless you have the document checked out and you are a member of the administrator's group.

  3. You are prompted to keep a local copy of the checked out document you are cancelling. Click Yes to retain your copy of the parent document and related components (the copy may be on your hard drive or on a network drive) or click No to delete the local copy of the document. Click Cancel to exit the prompt.

The Cancel Checkout dialog box appears, where the parent document and its related components are listed.

  4. In the Apply Commands to list, select the appropriate component to which you want to cancel the checkout from the CS library.

Cancel Checkout appears in the Command column indicating the specific document or component you had checked out, but is now being cancelled. If specific components were not checked out, Skip appears in the Command column related to the components.

Note

If the child document is not checked out or you have insufficient access rights to cancel the checkout, Skip is the default command and you cannot cancel the checkout.

You choose the documents you want to cancel a check out or skipped in the Command column.

  5. Do one of the following:

Cancel Checkout

If you want to cancel a checkout, click the cell in the Command column that relates to the child document you want to cancel. The Command arrow appears, where you click Cancel Checkout to cancel the checkout of the specific document. Cancel Checkout Copy appears in the Command column.

Skip

If you do not want to copy one of the child documents, click the cell in the Command column that relates to the child document you do not want copied. The Command arrow appears, where you click Skip to avoid copying the specific child document. Skip appears in the Command column.

Command Option

Click [image] in the Command column and select the Keep local copy check box and retain a local copy of the specific document.

  6. Click OK. The compound document or component that was checked out of the library is cancelled.

The document is restored in the CS library.


Copy a CS compound document

The Copy dialog box enables you to overwrite an existing copy of the same document you want to copy again. The existing copy resides on your local hard drive. You can click [image] in the Command column to access that option. Click the same button in the File Path column to change the location to which you want to copy the parent document or component location on your local hard drive.

You can copy a document if you have Viewer or higher access rights to the document. You must have Author or higher access rights to the folder in which you are copying the document.

To copy a compound document to a folder

  1. Find the document in one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the name and choose Copy from the shortcut menu.

  3. Find the destination folder. This folder must be in the same library.

  4. Right-click the folder name and choose Paste from the shortcut menu. The document is copied and filed in the specified folder.

To copy a CS compound document to a specific location

  1. Find the document in one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the name and choose Copy To from the shortcut menu. The Copy dialog box appears, where the parent document and its related components are listed in the dialog box.

  3. In the Apply Commands to list, select the appropriate component you want to copy from the CS library. Copy appears in the Command column indicating the specific document or component you want to copy.

You choose the documents you want copied or skipped in the Command column.

  4. Do one of the following:

Ver

You can specify a document version you want to copy in this column. Click the cell in the Ver column that relates to that version. From the Ver menu, click the appropriate document version number. The version number appears in the Ver column.

Copy

If you want to copy the document to a specific location, click the cell in the Command column that relates to that document. From the Command menu, click Copy to copy the specific document. Copy appears in the Command column.

Skip

If you do not want to copy one of the child documents, click the cell in the Command column that relates to that document. From the Command menu, click Skip to avoid copying the specific child document. Skip appears in the Command column.

Command option

Click [image] in the Command column and select the Overwrite local files that are not checked out documents check box to overwrite an existing copy of the document on your local hard drive.

File Path option

Click [image] in the File Path column to specify the directory location where you want the copied document to reside. The document is copied to your default copy directory.

  5. Click OK. The compound document or component is copied to the location specified in the File Path column.

To copy and open a CS compound document

  1. Find the document in one of the following locations:

    • Checked Out Documents tab on the Library Properties dialog box

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the name and choose Copy and Open from the shortcut menu. The Copy and Open dialog box appears, where the parent document and its related components are listed in the dialog box.

  3. In the Apply Commands to list, select the appropriate component you want to copy from the CS library. Copy appears in the Command column indicating the specific document or component you want to copy.

You choose the documents you want copied or skipped in the Command column.

  4. Do one of the following:

Ver

You can specify a document version you want to copy in this column. Click the cell in the Ver column that relates to that version. From the Ver menu, click the appropriate document version number. The version number appears in the Ver column.

Copy

If you want to copy the document to a specific location, and then open it, click the cell in the Command column that relates to that document. From the Command menu, click Copy to copy the specific document. Copy appears in the Command column.

Skip

If you do not want to copy one of the child documents, click the cell in the Command column that relates to that document. From the Command menu, click Skip to avoid copying the specific child document. Skip appears in the Command column.

Command option

Click [image] in the Command column and select the Overwrite local files that are not checked out documents check box to overwrite an existing copy of the document on your local hard drive.

File Path option

Click [image] in the File Path column to specify the directory location where you want the copied document to reside. The document is copied to your default copy directory.

  5. Click OK. The compound document or component is copied to the location specified in the File Path column. The document is displayed in the Microsoft application in which the parent document was originally created.


View a compound document

You can view the structure of a compound document or its content.

The Explore dialog box displays the document structure and hierarchy showing how the components are related to the parent document.

IDM View displays the content of the compound document. (To view a compound document in its native application, use the Open command instead of IDM View.)

To view the structure of a compound document

  1. Find the document in one of the following locations:

    • Checked Out Documents tab on the Library Properties window

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

  2. Right-click the document name and choose Explore Links from the shortcut menu. The compound document and its related components are displayed.

To view the compound document in IDM View

4 Right-click the document name and choose IDM View from the shortcut menu.

See also
Open a compound document
Compound document shortcut menu
Work with components of compound documents


Delete a compound document

You can delete an entire compound document or select components to delete. The parent document and the specified child documents are removed from a folder and deleted from the CS library. You can use the Explore dialog box to delete a compound document or delete the document from a list view.

Note

If you are deleting a compound document that has multiple versions, only components linked to the latest compound document version is deleted.

The system administrator sets the Minimum Delete Access Level for each library. Typically, the Minimum Delete Access Level is set to Owner. You must have access rights equal to or greater than the Minimum Delete Access Level to delete a compound document or a component. Note the following exception for deleting child components: you must have Administrator access rights to delete a child component that has a strong link to the parent.

To delete a compound document

  1. Highlight the document from one of the following locations:

    • IBM FileNet Neighborhood

    • Search results from Simple Find or Advanced Find

You can also highlight the compound document, and then right-click and choose Explore Links from the shortcut menu. The compound document and its related components are displayed.

  2. Right-click the document and choose Delete.

  3. In the Delete dialog box, choose the components you want to delete. The compound document structure or specified components are removed from the folder and the CS library.


Work with components of compound documents

You can work with specific components of a compound document. Each component can be created and modified independently. You use the shortcut menu to access the Explore dialog box and use it to work with the components.

You must have Author or higher access rights to work with the document.

To work with the components

  1. In IBM FileNet Neighborhood, right-click the compound document in which you want to work.

  2. Choose Explore Links from the shortcut menu. The Explore window appears and displays the structure of the compound document.

This menu option can only be accessed from the parent document.

  3. Highlight the component in which you want to work.

  4. Right-click and choose the appropriate menu option. Continue working on your document.

See also
Overview of opening documents and files
View or modify document properties
View or modify parent and child document relationships
Document formats supported by the Viewer
Create desktop shortcuts
Copy a document
Overview of printing
CS security summary


View or modify compound document properties

If you can view a compound document, you can also view the compound document properties. Users who have the required access rights can modify the properties; otherwise, the property fields are dimmed.

Each component of a compound document has its own set of properties. You can modify the properties using the Explore dialog box .

You must have Owner or higher access rights to modify compound document properties.

To view or modify compound document properties

  1. Right click a compound document.

  2. Choose Properties from the shortcut menu.

  3. Click the appropriate tab in the compound document's property window. Click the appropriate button below to view compound document properties:

Content Services compound documents

General properties
Properties
Security properties
Preview properties
Annotations properties
Versions properties
Folders Filed In properties

Published properties

  4. Enter or select new properties.

  5. Click OK to save the modified properties.

See also
Compound document shortcut menu


View or modify parent and child document relationships

Links define the relationship between parent and child documents. Static and dynamic links determine the relationship between a parent document version and a version of a specific child document or the latest version of a child document. Weak and strong links determine the child documents that can be deleted without deleting the parent document.

You specify the parent and child document relationships in the Link Properties dialog box. You can only modify the link properties when you are adding or checking in the parent document.

To view or modify compound document relationships

  1. Check in or add the compound document or components.

  2. In the Add Document or Checkin Document dialog box, the parent document and its related components are displayed. View the current hierarchy of the compound document.

  3. Highlight the document to which you want to modify the link relationship with the parent document or other component documents in the Name column.

  4. Right-click and choose Link Properties from the shortcut menu. The Link Properties dialog box appears. Click here to view the different link properties:

  5. Enter or select new properties.

  6. Click OK to save the modified properties.

See also
Compound document shortcut menu
Work with components of compound documents


Overview of external documents

About external documents

External documents represent a physical item, such as CDs, paper manuals, or video tapes, whose content is not stored electronically in the CS library. Only references to the items are stored in the library. Those references are what you are tracking in IDM Desktop.

Use IDM Desktop to record and track external documents by assigning properties, such as document ID, class, and security to them. You can check the documents in and out of the CS library. Refer to the Overview of document versions topic for more information on maintaining document versions.

You can use the shortcut menu to access various tasks you can perform with external documents.

The external document is represented by the [image] icon when you are viewing a list of documents, such as in the IBM FileNet Neighborhood.

You can work with external documents that were created in SDM running on earlier CS library versions that are updated.

See also
Overview of document versions
External document shortcut menu


Add external documents

A CS user must have Author or higher access rights to the folder or library in which you want to add external documents.

To add external documents

  1. In the IBM FileNet Neighborhood, highlight the library or folder in which you want to store the external document. The contents of the library or folder is displayed in the right side of the window.

  2. Do one of the following:

    • On the File menu, click New, and then click External Document.

    • Right-click a blank area in the right side of the window, click New, and then point to External Document.

The Document Wizard appears, where you enter the appropriate information for adding the external document .

See also
Cancel a checkout
Check in a document
Check out a document
Copy a document
View the checkout list


Open an external document

An external document has no content to open. You can only open the document’s Properties dialog box.

A CS user must have Viewer or higher access rights to open external documents.

To open external documents

  1. Locate the document in your library or the selected folder. You can also use one of the search commands to find the document.

  2. Double-click the document. The external document's Properties dialog box appears.

See also
View or modify external document properties


View or modify external document properties

Users who have the required access rights can modify the properties; otherwise, the property fields are grayed out.

You must have Owner or higher access rights to modify compound document properties.

To view or modify external document properties

  1. Double-click the external document. The Properties dialog box appears.

  2. Click the appropriate tab in the external document Properties dialog box. Click the appropriate button below to view external document properties:

Content Services external documents

General properties
Properties
Security properties

Versions properties

Folders Filed In properties

  3. Enter or select new properties.

  4. Click OK to save the modified properties.


Overview of folders

 About folders

A folder can contain subfolders, documents, stored searches, and stored search templates. Filing a document in a folder does not create a copy of a document, but rather creates a reference to the document, which is stored just once in the library.
You open a library in the IBM FileNet Neighborhood, to display the top level of folders in the library. Then navigate through folders and documents in folders in the same way that you navigate through folders and files in Windows.
You can also navigate to and select a folder in Advanced Find.

Questions
Why should I use folders?
How can I create my own folders?
Can I move a folder to another location?
How do I put documents in folders?
If I delete a folder, what happens to the documents in it?
How many items can I file in a folder?


Why use folders?

Filing documents in an organized folder structure can make it as easy to locate documents in a library as it is to find documents on your local disk. In addition, you can use folders to create associations between documents and to distribute documents to different locations.

To group documents, you can file those documents in a folder. For example, you might create a project folder. The project plan, schedule, and status reports can be filed in the folder and retrieved all at once.

To distribute a document, you can file the same document in multiple folders. For example, a standard checklist might be filed in every project folder.

Note

A document or search appears in the IBM FileNet Neighborhood only if it is filed in a folder. To locate documents or stored searches that are not filed in folders, use the IDM Find application.

When browsing an IS library, the folder tree may include virtual folders representing folders missing from the folder tree.


Maximum items in a folder

You can file any number of items in a folder. The IBM FileNet Neighborhood shows you a maximum of:

  • 5,000 items in a CS folder

  • Approximately 6,300 items in an IS folder

The default is to display the first 5,000 items alphabetically by title.

Tip

For best performance, keep the number of items in a folder to a number that will allow you to access them quickly.

If you add more than 5,000 items to a CS folder, you can access any that do not appear in a directory listing by using IDM Find.


About replication

Replication Services is an optional CS library feature that automatically copies folders from a source library to one or more other libraries, as specified by the system administrator. Replicating folders eliminates the need to create duplicate folders, documents, and user accounts. Your system administrator sets up replicated folders and determines the original libraries and target libraries.

This icon [image] represents a replicated folder in the IBM FileNet Neighborhood. This icon [image] (plus an icon representing the type of document, for example, Microsoft Excel) appears to the left of a replicated document in the IBM FileNet Neighborhood.

Click here to view a graphic that shows how Replication Services works.

When an original document is replicated, the content and all identical properties of the document are copied to the libraries participating in the replication. The original library location of the replicated folder appears in the General tab of the Folder Properties dialog box. The original library is the first library listed in the Comments section on the Folder Properties dialog box.

Retrieving replicated documents

You retrieve and display replicated documents like any other CS documents.

Checking out and checking in replicated documents

If you check a document into or out of a replicated folder, the document is checked into or out of all other CS library systems to which the replicated folder is assigned by your system administrator.

You can create a new version of a document from the source or a replica.

Modifying system properties

You can modify a document’s system properties only at the source; the updated system properties are replicated to the other libraries in the next replication cycle.

Modifying version properties

You can modify the version properties of a replica, but you must check out and check in the replicated document to do so. If you modify the version properties of a document without checking it out, your modifications will be overwritten in the next replication cycle.

Modifying document relationships

You must change a document’s relationship with other objects at the source. You cannot change a replicated document’s relationship with other objects. This means you cannot publish a replicated document; you cannot add or delete the components of a replicated compound document; you cannot add or delete a replicated document’s annotations. (You can replicate a published document; you can check out and check in compound document components; and you can modify existing annotations.)

Adding a document to a replicated folder

You must have at least Author or higher access rights to a replicated folder in order to add a document or subfolder to that folder. See your system administrator for details on using replicated folders and replicated documents.


 Create a folder

  1. Select the library or folder in which you want to create the new folder.

  2. From the File menu, select New > Folder

  3. Name the NewFolder

An IS user can create any number of folders anywhere in the folder tree. When you create a folder, by default you and all members of your primary group inherit read, write, and append/execute access rights to the folder.

A CS user can create folders at the root level if the value of the CS "Add Folder" property is set to "Yes" and the user must have Author, Owner or Admin access rights to the library. To create sub folders make sure that the value of CS "Add Folder" property is set to "Yes" and the user must have Author or higher access rights to the folder. An error message " Cannot add Folder. Access rights are insufficient" is prompted to the user if the value of "Add Folder " property is set to "No", irrespective of the access rights on the library or folder. A new CS folder acquires default access rights as follows:

  • A root folder inherits the access rights of the library; a subfolder inherits the access rights of the parent folder.

  • Admin is removed from a new folder's access rights list. (A member of the Admin group always has Admin access rights to all documents, folders, stored searches, and search templates.)

  • You have Owner access rights to any folder you create.

  • You can assign access rights to other users in the Folder Properties window.

To create a folder

  1. In the IBM FileNet Neighborhood, log in to a library.

  2. Open the library and navigate to the folder level where you want to place the new folder.

  3. From the File menu, select New, then select Folder. This creates a folder titled NewFolder.

  4. Assign a name to the new folder.

  5. (This step is optional.) From the File menu, select Properties to view or modify folder properties. All folders inherit default properties when created.

Tips

Create a desktop shortcut to a folder by right-clicking it then selecting Create Shortcut.

Create a new folder by navigating to the level where you want to add the folder, right-click in the list view, select New, then Folder.

Note

The system administrator or a user with Admin access to the library can grant Author access rights to the library to users who need to add root level folders.

See also
File a document in a folder
Remove documents from a folder


File a document in a folder

To file a document in a folder

  1. Drag a library document to another folder in the same library. (When dragging a document from your local drive to a folder in a library, you are adding it to the library.)

Filing a document in a folder places a reference to the document in the folder, not the document itself. The document itself resides in the library.

To file a document in an IS folder, you must have append/execute access rights to the folder.

To file a document in a CS folder, you must have Author or higher access rights to the folder.

To file one or more documents in a folder

  1. Select one or more documents.

  2. Right-click on any selected document, then click on Copy.

  3. Right-click on the destination folder, then click on Paste.

Filing a document in a folder does not change document security settings. You might have the access rights to see a folder without having the access rights to all documents in the folder.

Notes

If you file a document in a folder that already contains the document, the operation is ignored. No error occurs.

For both IS and CS documents, only the Copy command, not any of its variations (for example, Copy and Open), may be used to file documents.

Tip

You can file multiple documents at the same time to one or more selected folders.


List folders containing a document

You can list the folders that contain a particular document. You may want to do this before deleting a document or changing a document’s properties. When you right-click a folder in the list, the shortcut menu displays options for opening, copying, pasting, deleting, renaming, and creating a shortcut for the folder. You can also view folder properties.

To list folders containing a document through the IBM FileNet Neighborhood

  1. Select a folder and double-click it to see its contents.

  2. Right-click a document ID and select Folders Filed In, or Properties, and then the Folders Filed In tab.

  3. Right-click a folder on the list to select from options for opening, copying, deleting, renaming, creating a shortcut, and also viewing the folder properties.

To list folders containing a document through the IDM Viewer

  1. Open a document.

  2. Select the Properties [image] toolbar button.

  3. Select the Folders Filed In tab.

  4. Right-click a folder on the list to select from options for opening, copying, deleting, renaming creating a shortcut, and also viewing the folder properties.

To list folders containing a document through IDM Find

  1. Initiate a search to see a search results list of documents (be sure to select a folder for the search).

  2. Right-click a document ID.

  3. Select Folders Filed In or Properties, then the Folders Filed In tab.

  4. Right-click a folder on the list to select from options for opening, copying, deleting, renaming, creating a shortcut, and also viewing the folder properties.

See also
File a document in a folder


Remove documents from a folder

A folder contains a reference to a document but not the document itself. The document itself resides in the library. Another name for removing a document from a folder is unfiling it.

Removing a document from a folder does not delete the document. It only removes the reference from that folder. If you remove a document from all folders, the document remains in the library and you can retrieve it using IDM Find.

CAUTION

On some systems, the Remove from folder option may not be enabled. If you delete a folder, however, documents in that folder will be removed automatically.

To remove a document from an IS folder, you must have append/execute access rights to the folder.

To remove a document from a CS folder, you must have Author or higher access rights to the folder.

  1. Open the folder in an IBM FileNet Neighborhood window.

  2. Right click the document or group of selected documents you want to remove from the folder.

  3. From the shortcut menu, click on Remove from Folder.


Move a folder

You can move a folder from one location to another in the same library. You cannot move a folder from one library to another. Moving a folder makes no changes to the folder properties or contents.

You must have write access to move a folder.

You must have Owner or higher access rights to move a folder.

To move a folder

4 In the IBM FileNet Neighborhood, select the folder and drag it to a new location in the folder tree.

See also
Rename a folder


 Copy a folder

You can copy folders only within the same library. If you have CS replication services, you can create folder replicas for multiple libraries.

You must have read access to view or copy a folder.

You can copy any folder but must have Author or higher access rights to the destination folder.

To copy one or more folders

  1. In IBM FileNet Neighborhood, select the folders to copy (you don’t need to select a single folder).

  2. Right-click a folder to open the shortcut menu, then select Copy.

  3. Right click the destination folder.

  4. Select Paste from the shortcut menu.

A copied folder has the same name, properties, and contents as the original.

Note

You can also hold down Ctrl while dragging a folder to make a copy at the new location.

See also
View or modify folder properties
About replication


 Rename a folder

You must have write access to rename a folder.

You must have Owner or higher access to rename a folder.

To rename a folder

  1. In the IBM FileNet Neighborhood, select the folder.

  2. Right click on the folder then select Rename from the shortcut menu.

  3. Enter the new folder name.

  4. Press ENTER.

Renaming a folder renames the path to its subfolders as well. For example, if you rename the folder /myfolder/newdocs to /myfolder/olddocs, all subfolders under /newdocs become subfolders of /olddocs. Renaming a folder makes no changes to the properties, contents, or access rights of the folder.

See also
Move a folder


Delete a folder

Deleting a folder removes any documents from the folder but does not delete them. If you delete a folder at the root level of the library, you can no longer see any documents or stored searches in that folder. You will need to use IDM Find to search for them.

You must have read, write, and append/execute access to delete an IS folder.

You must have Owner or higher access rights to delete a CS folder.

To delete one or more folders

  1. Select the folder or folders you want to delete.

  2. Press the Delete key.


 View or modify folder properties

If you can view a folder, you can also view the folder properties. Users who have the required access rights can modify the properties; otherwise, the property fields are dimmed.

You must have read and write access rights to modify IS folder properties.

You must have Owner or higher access rights to modify CS folder properties.

To view or modify folder properties

  1. Right click on a folder (or a selected group of folders).

  2. From the File menu, choose Properties. Click on the appropriate button below to view information on folder properties.

Image Services folders

General properties
Security properties

Content Services folders

General properties

Security properties

  3. Enter or select new properties.

  4. Click OK to save the modified properties. If you selected more than one folder, the next properties window displays.

Note

A virtual folder has no properties and contains no documents.

See also
View or modify document properties


About annotations

You can create six types of annotations to place comments, questions, or emphasis on an image page. Click each tool icon to see a sample annotation.

Questions
Can I print annotations?

 |  |  | How do I create annotations?
Highlight | Text | Drawing | How do I move or resize annotations?
 |  |  | How do I delete annotations?
Arrow | Sticky note | Stamp | How can I see if a document has annotations?

The IDM Viewer supports annotations for the IBM FileNet imaging formats. While displaying such a document in the IDM Viewer, you choose an annotation tool and apply it to the displayed page. You can add an unlimited number of annotations to a page. After you create an annotation, you can view, move, edit, save or delete it in the IDM Viewer.

Each annotation has its own set of properties that you can view and modify. In addition, all annotations have common properties, such as location and security. Your ability to perform an operation on an annotation, for example, editing or deleting, depends on your access rights.

Annotations do not modify the document, so no other application can display them. Think of annotations as a layer through which you view the document in IDM View.

Note

Annotations belong to a specific version of a CS document and do not roll forward from version to version.


Create annotations

You must have append/execute access rights to the document to create annotations. Preference settings establish the default read, write, and append/execute security defaults for IS annotations. When you create a new annotation, by default, the preferences set all three access rights (read, write, and append/execute) to your primary group. If you don't have a primary group, all access rights are assigned to you.
You must have Author access rights to the document version to create annotations. You receive explicit Owner access rights to any annotation you create. In addition, a new annotation inherits the access rights of the document version. The system administrator must give you permission to add documents to the library before you can create annotations. The administrator can also configure a CS library to require Owner access rights to the document version to create annotations.

To create an annotation

  1. Select a tool from the Annotations toolbar. If you do not see the toolbar, turn it on .

  2. Create an annotation as follows:

For a highlight, click and drag across the area you want to highlight.
To change the color of the highlight, double-click it and select a color from the grid in the highlight tab.

For a text note, click at the point where you want the text to start. Then, at the Text tab, type up to 700 characters in the text box.
If desired, select the Style tab to choose the font, background color, and border for the text. You can select any TrueType font except for picture (dingbat) fonts such as Marlett, Webdings, Wingdings, etc. If you change the font size, you may need to resize the note in the viewer window.

For a free-style line, click and drag with the line tool. To change the color or thickness of the line, double-click it.
Select a color from the grid in the Pen tab. If it appears that a dithered (speckled) color is not working, it is because your monitor is not displaying enough colors. Either select a solid color, lower the resolution of your monitor so you can display more colors, or add more video RAM.
Choose the line width from the drop down Width field.

Limitation: By design, the maximum number of point is set to 300 for freehand line annotation in IDM Viewer. You cannot draw more freehand drawings beyond this limitation.

For an arrow, click and drag from end to arrowhead.
To change the size of the arrowhead, thickness of the line, or the color, double-click the annotation. Choose a color from the grid in the Arrow tab. Choose a different size in the Arrowhead Style field. Choose a different line thickness in the Width field.

For a sticky note, click on the page. Then, on the Sticky Note tab, type a note in the text box. You can enter up to 700 characters. When you press Enter the dialog box closes. To move to a new line in the text, hold down Ctrl while pressing Enter.
Tip: To read a sticky note, double click it.

For a stamp, click on the image. Then do one of the following:

  • Select a stamp

  • Select New to create a new stamp

  • Highlight a stamp then select Edit to modify it.

  • Select a stamp, then select Delete to remove it from the list of stamps.

  3. Select the Save Document Annotations button [image] from the standard toolbar to save your new annotations.

  4. Click on the Select arrow or press Escape to restore the selection cursor.

Notes

Until you save your annotations to the library, your changes are not permanent. You can save annotations as you add them or wait until you exit the document to save them.

You cannot add annotations to a replicated document (replication is indicated on the document's General property tab and by a small icon to the left of the document icon.).

Each user can create his or her own stamps. A user named Robert Brown might, for example, create a stamp that reads, "Approved by Robert Brown." Robert Brown could then annotate pages using his personalized approval stamp. The stamp annotation looks the same to all users who display the page.


List annotations

You can list the annotations contained in an IS or CS document. The list displays each annotation’s type and page.

For IS documents, use the Annotations option on the shortcut menu.

For CS documents, use the Annotations tab on the document’s Properties. This shows annotations for the current version only.

All users can list annotations. You see only those annotations for which you have read access.

To list annotations in the IBM FileNet Neighborhood (IS Only)

Right-click a document and select Annotations.

To list annotations in the IBM FileNet Neighborhood (CS and IS)

  1. Right-click a document and select Properties.
  2. Select the Annotations tab.
For CS documents, this displays annotations for the current version only. To see if an earlier version has annotations, select the Versions tab instead and look for the annotations icon [image] at the left. You cannot list the annotations in an earlier version.

To list annotations in the IDM Viewer

  1. For a document displayed in the IDM Viewer, select the Properties [image] toolbar button.
  2. Select Annotations.

To list annotations in the Open dialog box of the IDM Viewer

  1. In the IDM Viewer, select the Open toolbar button [image].
  2. Open a library and browse to a document.
  3. Right-click a document ID, select Properties and select Annotations.
For CS documents, this displays annotations only for the current version. To see if an earlier version has annotations, select the Versions tab instead and look for the annotations icon [image] at the left. You cannot list the annotations in an earlier version.

To list annotations in IDM Find (Simple Find or Advanced Find – IS only)

  1. Right-click a document in the search results list and select Annotations.

Tips

Select Show Annotations (in the Results Options tab) before executing a search in Advanced Find to display a sticky note icon next to documents containing annotations.

Select Show Annotations to see annotated items in the IBM FileNet Neighborhood (View menu, Options command). You will see a small sticky note icon next to documents containing annotations.

See also
Open an annotated page
Start a search


Move or resize annotations

You must have both read and write access rights to an annotation to move, resize, or otherwise modify it.
You need Author access to an annotation to modify it.

To move an annotation

  1. To move an annotation, drag it to the desired location. To move an arrow without changing its size or angle, drag only the line, not the arrowhead.

To resize most annotations

  1. To resize most annotations, drag one of the gray handles on its border to the desired size. Handles in the middle of a border line resize in one dimension. Handles at the corners resize in two dimensions.
  1. To resize the arrow annotation, click the arrowhead or the handle at the tail end of the arrow. You can drag in any direction to both resize and change the angle. Using the Arrow tab in the properties, you can also choose a different arrowhead size and line thickness.
To specify an exact position for an annotation

  1. Double-click the annotation and select the Common tab.

  2. In the Top field, indicate how far (in inches) below the top of the page to start the annotation.

  3. In the Left field, indicate how far (in inches) from the left edge of the page to start the annotation.

This procedure does not work with arrow annotations.

Notes

The size of a stamp is determined by the amount of text it contains and its angle of rotation.

Sticky note icons are not resizable and are not rotated with page or document rotation.

Tip

Annotations remain in the same orientation as the document was when added to the library and they rotate with a document. To add a short "text" annotation with an independent orientation, you can use the stamp annotation and orient it as needed.


Print annotations

You can print a document with or without its annotations.

Printing stamp annotations

To print stamp annotations on an HP4 or HP5 printer, we recommend the printer settings below.

  • On the Graphics tab, select:

Dithering: Fine
Intensity: 99
Use Raster Graphics

  • On the Fonts tab, select Print TrueType as Graphics.

  • On the Device Options tab, select RET – Printer Default.

In addition, if the stamps are rotated, we recommend a dark text color.

Notes

IBM FileNet Print/Fax does not print annotations on multi-page TIFF documents. Use a local Windows printer instead.

When printing to an IBM FileNet printer, you cannot print a document if any page of the document has more than 78 annotations.


Delete annotations

You must have read, write, and append/execute access rights to an annotation to delete it.
You must have Owner access to an annotation to delete it.

To delete an annotation

  1. Select the annotation you want to delete.
  2. Press the DELETE key.

  3. Select the Save Document Annotations toolbar button [image].

Note

You cannot delete annotations of a replicated document (replication is indicated on the document's General property tab and by a small icon to the left of the name in IBM FileNet Neighborhood).


Show or hide annotations in Viewer

Display defaults determine whether annotations are shown or hidden when you start the Viewer. In either case, you can show or hide annotations during a Viewer session without changing the display defaults.

To show or hide annotations

  1. Open the IDM Viewer.

  2. On the the View menu, select Show Annotations. This toggles annotations on and off without changing the display default.

To set the display defaults to show or hide annotations at Viewer startup

  1. Open the IDM Viewer.

  2. On the Tools menu, select Customize.

  3. Select Display Defaults.

  4. Clear or select Annotations.

  5. Select OK or Apply.


Set default annotation properties

Set annotation defaults

You can set default annotation style properties. To set the defaults, you must first create an annotation that has the property or properties you want to set. For example, to set the default highlight color, you must first create a highlight. Then you can set the default properties that will apply to any new highlights you create.

Any user can set default annotation properties.

To set annotation defaults

  1. In the IDM Viewer, select any annotation that has the property you want to set. For example, select an arrow to set the default line width.

  2. Double-click the annotation to display the Annotation Properties.

  3. On the Style tab, set the properties that you want to become the defaults. For example, for an arrow, select the color, width, and arrowhead size.

  4. Click Set Default. These settings become the default properties for any annotations you create.

  5. Click OK to apply the properties to the selected annotation annotation and close the dialog box.


View or modify annotation properties

To change the appearance of an annotation, you change one or more of the properties. You can also change the default settings for annotation tools. For example, if you often print annotations on a black and white printer, you might want to permanently reset some colors for better contrast with the majority of your documents.

You must have both read and write access rights to an annotation to move, resize, or otherwise modify it.

You must have Author access rights to the document version.

To view or modify annotation properties

The general procedure for all annotations follows. More details for changing text and colors follows this general procedure.

  1. On the displayed document, double-click an annotation.

  2. Depending on the annotation type, select the appropriate tab to view or modify information on the annotation property.

  3. Change one or more properties.

  4. Click Apply to make the change and leave the dialog box open. (This makes it easy to try out different options while checking the appearance on the document.) Click OK to make the change and close the dialog box.

  5. Select the Save Document Annotations button [image] from the standard toolbar to save the annotations you have modified.

To change default annotation properties

  1. Select the tool for which you want to change the defaults.

  2. Double-click on the document. (You can delete the annotation later.)

  3. Set new properties for the tool.

  4. Click Set Default.

  5. Click OK.

Creating and editing stamps

When you use the stamp tool, you see a list of existing stamps. Clicking either the New or Edit button opens the annotation properties dialog box for stamps with the Stamp tab selected.

  1. Type or modify the text in the Stamp text field.

  2. Although you can enter up to 255 characters, you will see only as many characters as can display on one line. This depends on the font size, the size of the page, and orientation (angle) of the stamp.

  3. To insert today’s date automatically, click the Insert Date button.

  4. To insert the current time, click the Insert time button.

  5. To insert your logon name, click the Insert User Name button.

  6. Click the Style tab to change text properties.

To change text properties

The default style for text annotations is red text (Arial, 12 point, bold) on a transparent cyan (blue) background with no border. You can change all of these settings to create your own default style.

  1. Display properties for a text annotation and click the Style tab.

  2. Click the Font button to change these properties: Font family (name), Style (regular, bold, italic, bold italic), Size (8 to 72 points), Effects (Strikeout, Underline), Color, and Script (Greek or Western).

  3. After making your choices, click OK which returns to the Style tab. (Click Apply to see the change on the document.)

  4. Choose a background color from the list.

  5. Select the Transparent check box to let the document or any other annotations show through this background color. (Stacked annotations with different transparent colors produce additional colors where they intersect.)

  6. For a stamp, enter an angle, either by clicking the triangles or replacing the number of degrees.

  7. Select the Border check box to place a border around the text.

  8. Choose a color and line thickness (Width) for the border.

  9. Click Apply to test your changes and modify any of these settings.

  10. Click OK to close the dialog box with your changes.

To choose additional colors

A subset of the basic colors displays on the Pen and Highlight tabs of those tools’ properties. In addition to a standard set, there is a custom (or current) color beneath the color grid. This is the color that a new highlight will use if you do not choose any other color. To select other basic or customized colors, or to define custom colors, use the following procedures:

  1. Display the Pen or Highlights color grid in their respective Properties.

  2. Click the Custom Color button.

  3. Choose an existing basic color or previously defined custom color and click OK.

To define a new custom color

  1. Display the Pen or Highlights color grid in their respective Properties.

  2. Click the Custom Color button.

  3. Click the Define Custom Colors button.

  4. Click an empty cell in the custom colors area and then click on any basic color in the grid.

  5. Drag the pointer anyplace in the color selection area to change hue and saturation. Drag the pointer up and down on the right side to change luminosity. (If it gets stuck on white at the top, type a different number in the Lum field.)

  6. When you have the color you want, click Add to Custom Colors and click OK.

Notes

Until you save your annotations to the library, your changes are not permanent. You can save annotations as you add them or wait until you exit the document to save them. Changes to defaults are saved automatically.

Some fonts may not have an actual italic style. Programs can still simulate italic by slanting the letters but you may not be able to save italic as a default property.

If you see two different colors in the Color/Solid field, it means that your monitor cannot display enough colors and the dithered color on the left side will be used for highlights. (This is a combination of two colors that approximate the color.) The pen tool will use another solid color instead of the dithered color. You can increase the number of displayable colors by reducing the resolution setting or by adding more video RAM.

See also
Summary of modifiable properties
Common
CS Security
IS Annotation Security


Overview of printing

Printing and faxing

You can print library documents to a Windows printer from their registered applications and from the IDM Desktop applications. In addition, you can print IS documents stored in an IBM FileNet imaging format (except for multipage TIFF documents) to an IBM FileNet printer or fax them through an IBM FileNet fax server.

For more information, see the list of formats supported for printing on an IBM FileNet printer .

See also
How documents added to IS libraries display and print
Printing tips


About printing annotations

To include annotations on the printed document

  1. In the print dialog box, select the Print Annotations check box.

  2. Optionally, select the Use transparency check box to allow background text to show through the annotation.

Note that it can take a lot longer to print with the transparency option selected and that the image quality may be lower. Without this option selected, the software substitutes a border around highlights.

IBM FileNet print server notes

To print all annotation types, an IBM FileNet print server must be running WorkFlo Print 3.03 (with software updates), IBM FileNet Print 4.0, or a later release. With earlier releases of the print server software, you can print only sticky notes, highlights, and text annotations. (In WFD, these are called annotations, highlights, and margin notes, respectively.) Likewise, to fax sticky notes, highlights, and text annotations, an IBM FileNet fax server must be running WorkFlo Fax 3.03 (with software updates), IBM FileNet Fax 2.0, or a later release.

The system administrator can configure an IBM FileNet print server to:

  • Ignore requests to print annotations.

  • Print the annotations on a separate page.

When printing to an IBM FileNet printer, you cannot print a document if any page of the document has more than 78 annotations.

Windows printer notes

When printing to a Windows printer, you choose whether to print annotations in the print dialog’s Annotations field. Keep in mind that various print drivers and print formats (PostScript versus PCL, for example) may cause a great deal of variation in print results.

Printing stamp annotations

To get the best results from an HP4 or HP 5 printer using the Microsoft print driver, try these settings:

  • On the Graphics tab, select

Dithering: Fine
Intensity: 99
Use Raster Graphics

  • On the Fonts tab, select Print TrueType as Graphics

  • On the Device Options tab, select RET – Printer Default.

If the stamp will be rotated, use a dark text color

Sticky notes

For both printer types (Windows and IBM FileNet), a sticky note displays a number on the image. The text of the sticky note prints on a following page beside the associated number. A sticky note number has no significance and is valid only for the print job.


Print to a Windows printer

A Windows printer can be any of the following:

  • A printer attached to the PC workstation.

  • A network printer.

To print the displayed document from the Viewer to a Windows printer

In the Viewer, select the window containing the document you want to print.

  1. Choose Print from the File menu.

  2. In the Print dialog box, specify the printing options .

  3. Click OK to print.

To print a document from the IBM FileNet Neighborhood Explorer
  1. In the IBM FileNet Neighborhood right-click a document and select print.
This opens the document in its registered application and prints it using the default printer.

Tip

You can print documents from Simple or Advanced Find by right-clicking a document in the search results list and selecting Print.

This works the same as printing from IBM FileNet Neighborhood.

To print an image file from the CS library, open the image and print from the image tool print menu/button. You cannot print by right-clicking on the image file name, like other txt or PDF files in the CS library. This is a limitation "shellexecute" function of WindowsAPI in printing to a Windows printer.


Print options for Windows printing

Viewer Print options for Windows printing

You may encounter different print dialog boxes. The options described here are what you will see when viewing one of the IBM FileNet imaging formats in the Viewer. If you are viewing a document rendered by Outside In, the print options vary with each document type. If you are printing directly from the document’s registered application, you will see yet another set of print options.

Printer

Select the printer name using the drop down list. If you need to change any options, click the Properties button. For example, you can switch between portrait and landscape orientation, indicate paper size, quality of graphics, etc. The options available depend on the printer and the printer driver. If you want to create a PostScript file, select the Print to file check box.

Print range

You can print all pages or specify a range of page numbers. If you have selected some ASCII text (not a picture of text in a bitmap image), you can print just that selection.

Copies

Enter the number of copies you want. If you are printing more than one copy of a multi-page document, select the Collate check box to keep all pages of one document together (instead of printing all copies of page 1 before starting page 2).

Zoom mode

Zoom Custom | Choose this option to specify the scaling for the X and Y axes.
Width of Page | Scales the image to print the width of the page while maintaining the aspect ratio.
Length of Page | Scales the image to print the length of the page while maintaining the aspect ratio.
Whole Page | Scales the image to print the full size of the page while maintaining the aspect ratio.
Stretch to Fit | Scales the image to print the full size of the page without maintaining aspect ratio.
Scale |
Scale X (%) / Scale Y (%) | When Zoom Custom is selected, you can choose how to scale the image by entering a percentage for each axis.
Print Annotations |
Unselected | Prints the document without annotations.
Selected | Prints the document with opaque annotations.
Use transparency | Prints the document with transparent annotations. May take much longer, e.g., up to 15 minutes.
Cover Page Note | Enter text you want to appear on a cover page. Use Ctrl+Enter to start a new line. Pressing Enter sends the job to the printer.

Notes

You can print annotations without displaying them in the Viewer.

Use transparency when you need to see what is under the annotations. If it is unnecessary for annotations to be transparent, do not select this option.

See also
How documents added to IS libraries display and print
Print to Windows printer


Print to an IBM FileNet printer

You can print a document on the printer configured for the Image Services library you are using, or you can fax a copy of the document. For more information, see the list of formats supported for printing on an IBM FileNet printer .

To print the displayed document to an IBM FileNet printer

  1. In the Viewer, select the window of the document you want to print.

  2. Choose IBM FileNet Print/Fax from the File menu.

  3. In the IBM FileNet Print dialog box, choose the printer name.

  4. Optionally, click the Properties button to specify other printing options .

  5. Select the range of pages to print, then click OK.

Click All to print all pages.

Click Pages and enter the first and last page to print fewer pages.

To print one or more documents from the IBM FileNet Neighborhood

  1. In the IBM FileNet Neighborhood, select one or more documents to print. All selected documents must be in one of the IBM FileNet imaging formats.

  2. Right-click and choose IBM FileNet Print/Fax from the shortcut menu.

  3. In the IBM FileNet Print dialog box, choose the printer name.

  4. Optionally, click the Properties button to specify other printing options .

  5. Select the range of pages to print, then click OK.

Click All (or All pages) to print all pages in all documents.

Click Selected pages to specify which pages in which document to print.

  1. For a single document, enter the first and last page to print.

  2. For multiple documents, deselect the check box in the Print column of any document you do not want to print.

  3. For multiple documents, enter the beginning and last pages to print in the Start Page and End Page columns. (This automatically deselects the check box in the All Pages column.)

Tips

You can also print documents from Simple or Advanced Find by right-clicking a document in a search results list and selecting IBM FileNet Print/Fax.

To save your printing options settings for future use, click the Save Settings button.

See also
How documents added to IS libraries display and print


Fax via an IBM FileNet fax server

To fax the displayed document from an IBM FileNet fax server

  1. In the Viewer application, select the window of the document you want to fax.

  2. Choose IBM FileNet Print/Fax from the File menu.

  3. Click Properties to see the fax options.

  4. In the IBM FileNet Printer/Fax dialog box, choose the fax name by selecting a library that provides the fax service.

  5. Under Fax Options, enter the phone number and choose other options.

To fax one or more documents from the IBM FileNet Neighborhood Explorer

  1. In the IBM FileNet Neighborhood, select one or more documents to fax.

  2. All selected documents must be one of the IBM FileNet imaging formats.

  3. Right-click on the selected document and choose IBM FileNet Print/Fax from the shortcut menu.

  4. Click Properties to see the fax options .

  5. In the IBM FileNet Printer/Fax dialog box, choose the fax name by selecting a library that provides the fax service.

  6. Under Fax Options, enter the phone number and choose other options.

Tip

You can also fax a document from a search results list in Simple or Advanced Find by right-clicking a document in the list and selecting IBM FileNet Print/Fax.

See also
How documents added to IS libraries display and print


IBM FileNet Print/Fax properties

Press the Properties button to access these additional options for print and fax jobs.

Printer properties

Library

Choose a library that provides the print service. The libraries you select from are the IS libraries in the IBM FileNet Neighborhood and the Entire IBM FileNet Network. You must have the same three-part user name and password on the destination library as you have on the current library.

If you do not see the library you want in this list, configure the IS library so that it is accessed from the default network library.

Service

Choose the print service to use.

Printer/Fax name

Choose the printer name from the drop-down list.

Paper size

Choose the paper size from the drop-down list. Be sure that the paper is loaded in the printer so that the job can be printed.

Eject tray

Choose the eject tray for the paper.

Orientation

Choose the orientation:

  • Default: Aligns the long edge of the image with the long edge of the paper. Rotates the image if necessary.

  • Landscape: Aligns the long edge of the image horizontally on the paper. Rotates the image if necessary.

  • Portrait: Aligns the long edge of the image vertically on the paper. Rotates the image if necessary.

  • No Rotate: Prints the image as it was stored without rotation.

Scaling

Choose the scale to print the document:

  • Normal: Scales the image to fit the page vertically, but might clip the right edge. This option is very fast and preserves data at the bottom of the page.

  • Clip Both: Scales the image to fit the page, but might clip the right and bottom edges.

  • Exact: Scales the image in multiples of two to fit on the page within 80%.

  • Approximate: Scales the image in multiples of two to fit the entire image on the page.

  • Original: Prints the image so that it matches the size of the original scanned page. For example, one inch of the image takes up one inch of the printed page. The top-left corner of the image is always aligned with the top-left corner of the page. If the image is larger than the selected paper size, the image will be clipped on the right and bottom sides. This option can override your paper size selection if necessary to print the image.

  • Center: Prints the image in the center of the paper.

  • Enhanced Exact: Prints the image so that it comes within 5% of filling the page in one direction; the aspect ratio is maintained. This option is intended for scaling E-size documents down to B-size or A-size. This option can be slow.

Priority

Choose the priority for the print job: Low, Normal, High.

Warning: Jobs sent at Low priority do not print until an administrator raises the priority.

Options

Check the print options you want: Two sided, Stapled, Collated; type the number of copies.

Include

Request header: Check this option to print a separate cover sheet to identify the print job.

Annotations: Check this option to print annotations.

Note

Enter a note to appear on the request header. The note can include up to 40 characters.

Fax properties

Phone number

Enter the number of the destination fax machine.

Be sure to include any number required for an outside line (usually 8 or 9), and any numbers required for long-distance calls.

Extension

You use this option when you need to first dial a company number, which you enter in the Phone number field, and also an extension number to reach the appropriate fax machine.

Quality

Choose the quality of the fax in dots per inch.

From

The name of the sender (up to 26 characters).

To

The name of the recipient (up to 26 characters).

Subject

The subject or purpose of the fax (up to 46 characters).

Memo

You use this option to add a message to the cover page.

This option requires both WorkFlo/Fax 3.0 and IMS 3.3.1 or later.

Note

From, To, and Subject comprise the headline that prints at the top of every page of a fax job.


Print a compound document

When you print a compound document, only the parent document is printed. The links to the components appear in the printed parent document. If you want to print specific child documents, you must specify each child you want printed using the Explore Links shortcut menu option .

CS users must have Viewer or higher access rights to print a compound document. You must also have Viewer or higher access rights to each component you want to print.

To print the parent document in a compound document

  1. In the IBM FileNet Neighborhood, select a compound document.

  2. Right-click the document and choose Print from the shortcut menu. The Print dialog box lists the components of the compound document in the grid.

  3. In the Apply Commands to list, choose the components you want to print. If you choose to print the child documents, new information for the child document is updated. The child document is not printed. Only its modified information is updated.

  4. Click OK to print. The parent document is printed. Links to its components appear in the printed document.

To print specific child documents

  1. In the IBM FileNet Neighborhood, select a compound document.

  2. Right-click the document and choose Explore Links from the shortcut menu. The Explore dialog box lists the components of the compound document in the grid.

  3. Highlight the child document you want to print in the Name column, then right-click and choose Print from the shortcut menu.


Printing tips

When you print a document, the settings in the Print dialog determine the appearance of the printed document and must match the capabilities of the printer.

If your document does not print or prints incorrectly:

  • Make sure you have access to the printer you selected in the Print dialog.

  • Make sure the printer has paper of the size you specified and that it is in the trays you specified.

  • Verify that the document fits on the specified paper size or that you specified an appropriate scale option.

  • For a Windows printer, open Printers in the Windows Control Panel to check the status of your print jobs, or check with your Windows system administrator.

  • For an Image Services printer, run IS Print/Fax Monitor to check the status of your print job. See IS Print/Fax Monitor Help for details.

  • For best results when printing any document, print from the registered application. For example, print a Word document from Word to get the best printout. If printing a document using the Windows print driver yields unsatisfactory results for a document added to a library prior to the IS 3.4.0 release, open the file in its registered application as follows:

    1. Find your local cache directory. (You can find the cache location in the Local Caching category of IDM Preferences.)

    2. Delete everything from the cache directory.

    3. Retrieve and display the document. This will put a fresh copy in cache.

    4. Open the cache directory in a Microsoft Explorer window.

    5. Right click the document and choose Open.

    6. Select the original application.

    7. Print.


Overview of security

About security

Both IS and CS libraries provide security to protect your important information. Typically, the system administrator defines users and groups, assigns passwords, and determines the default security settings for the system.

Every item has an access rights list that specifies the access rights of the users and groups who can access the item. These access rights determine who can see an item, modify it, delete it, and so on. IDM Desktop verifies your access rights each time you view, add, modify, or delete an item.

  • An IS library system uses three access rights—Read, Write, and Append/Execute. Each and every document, folder, and annotation has these three access rights. Only one user or one group can be assigned to each access right for an item.

  • A CS library system defines five levels of access rights—None, Viewer, Author, Owner, and Admin. Each level of access rights incorporates the rights of the lower access levels. Author includes Viewer; Owner includes Author; etc.

See also
IS security summary


CS security overview

CS security concepts

Access rights define what you can do with documents, folders, stored searches and search templates.

Each access level includes the access rights for the lower levels. For example, if you have Owner access rights to an item, you can perform the operations defined for Viewer, Author, and Owner.

In most cases, you get the highest level of access rights specified for any group. For example, if you belong to two groups, one that has Viewer access rights and another that has Owner access rights, you get the Owner access rights. However, there are exceptions to this general rule:

  • If you log on as a member of the Administrators group, you get Admin access rights to all items.

  • If an item's security specifies access rights for you, and also for a group you belong to, the access rights that apply are those specifed for you.

The list below describes the access rights for documents.

Click here for information on access rights for all items.

Your access right is.. | You can ..
None | You cannot see the document.
Viewer | You can view and open the document. You can view the document's properties. You can copy, move, and print the document.
Author | You can check the document out and in. You can modify the document's version properties. You can add annotations to the document.
Owner | You can modify most document properties. You can modify the document's security. You can index or de-index the content. You can delete the document. You can archive and reclaim the document.
Admin | You can modify all document properties.

Notes and Exceptions

Secure searches is a library property that can be on or off. When Secure searches is on, you must have Viewer or higher access rights to see an item in search results. If Secure searches is off, all items that satisfy the search criteria appear in search results regardless of access rights. The information in the table above assumes that Secure searches is on, which is the default and recommended setting.

When viewing the structure of a compound document, you see all components. To open or perform other operations on a component document, you must have the usual access rights.

To add a document to a CS library, the user's account must have the Item Access Level set to Owner or higher.

The system administrator can configure a CS library to require Owner access rights to the document version to create annotations.


IS security concepts

Every IS folder, document, and annotation has its own read access, write access, and append/execute access rights. For any item, each access right is assigned to one and only one user or group. Because you can assign only one group to an access right, the system administrator must carefully construct a group hierarchy.

For example, an item’s security properties might look like this:

Read Accounting
Write Auditors
Append/execute Auditors

These security settings mean that members of the Accounting group can view the item. (Auditors are included in the Accounting group.) However, only Auditors can modify or delete the item. To add more users who can view the item, you would change the read access to the name of a group containing both the Accounting group and the additional users.

Default access rights

Every item acquires default access rights when it is created. You can modify the properties, including the access rights, of an object you create.

  • A new document inherits the access rights defined for the document class.

  • For a folder or annotation created in an IDM Desktop application, all three access rights are set to the primary group of the user who created the folder or annotation. For a user without a primary group, the access rights are set to that user. Preferences can set different default security for annotations.

  • For an annotation created using a Web browser, the three access rights are set to (ANYONE).

Note

Every IS user belongs to a primary group, which is usually a group of users who perform the same job (such as Auditors).

Special users and groups

An IS library defines the following special users and groups

  • SysAdmin is the system administrator’s login name. SysAdmin can perform any operation and belongs to all other groups.

  • SysAdminG is a group whose members have read, write, and append/execute access rights to all folders, documents, and annotations.

  • AuditG is a group whose members have read access to all folders, documents, and annotations.

  • (ANYONE) is a group which includes every user. The name must be entered as shown here, with uppercase letters and the parentheses.


Security of a compound document

Each component of a compound document has its own access rights.

Because each component has independent access rights, you might be able to access some components and not others. You can see the entire structure of the compound document regardless of the access rights you have to the components. However, you cannot open or perform other operations on a component document unless you have the required access rights.

You must have Viewer or higher access rights to view a compound document and its components in a list view, such as IBM FileNet Neighborhood.

See also
View or modify compound document properties
View or modify parent and child document relationships


View or modify IS access rights

Documents, folders, and annotations have access rights. If you can see an item, you can also see the item’s properties. The access rights appear on the property tab labeled Security.

Even though you can see a property, if it is grayed-out, you cannot modify it. Some properties cannot be modified by anyone. For example, no one, not even the system administrator, can change the document ID of an IS document. Other properties may be grayed out because you do not have the required access rights.

You must have Write access to modify an item’s security.

To view or modify access rights

  1. Right click on the item.

  2. Select Properties from the shortcut menu.

  3. Select the Security tab. An IS item can have one and only one user or group name assigned to each access right.

To modify access rights

  1. Click the Find button beside the type of access you want to modify.

  2. Select the Users check box and deselect Groups to see only users. Or select Groups and deselect Users to see only groups.

  3. Select the appropriate name from the list and click OK.

To see members of a group

  1. Click the Find button beside any access type.

  2. Select the Groups check box. You may also want to deselect the Users check box.

  3. Select the name of the group.

  4. Click the Show Members button.

  4. Click OK to close the Properties page and save your changes. Click Cancel to close the Properties page without saving changes.
See the Reference topics for information on library, folder, and document security.

See also
IS security concepts
CS security concepts
View or modify CS access rights


View or modify CS access rights

If you can see an item, you can also see the item’s properties. The access rights appear on the property tab labeled Security. If the properties are grayed-out, you cannot modify them.

If you have Owner access rights, you can modify an item's security. You can add, remove, or modify users and groups and set their access rights.

To view or modify the access rights of a CS item

  1. Right-click an item and select Properties.

  2. Click the Security tab.

To add a user or group to the security list

  1. Click the Users button to select users or the Group button to select groups.

  2. Pull down the Name menu and select the name of the user or group.

  3. From the Access Level menu, select the access rights for the user or group.

  4. Click Add.

To see members of a group

  1. Select the Groups radio button.

  2. Select a group from the Name pull down.

  3. Click the Show Members button.

To remove a user or group from the security list

  1. From the current security list, select the user or group name you want to remove.

  2. Click Remove.

To modify the access rights of a user or group

  1. Select the user or group name to modify. You can select from the security list at the top or from the Name menu at the bottom of the window.

  2. rom the Access Level menu, select the access rights for the user or group.

  3. Click Modify.

  3. Click OK to close the Properties page and save your changes. Click Cancel to close the Properties page without saving changes.


Modify list of users who can create root level folders

Modify list of users who can create CS root level folders

Your system administrator can use the procedure below to modify the list of users who can add root level folders. The administrator must assign you Author access rights in order for you to add root level folders to the CS library. If you are assigned Author access rights to add root level folders, the Can add root level folders option will be selected on the CS library property’s General tab.

To delete a user or group

  1. Access the CS library property window, and then click the Security tab.

  2. Highlight the group or user name you want to delete from the Group/User Name column.

  3. Click Remove.

  4. Click OK to apply the changes and exit.

To add or modify a user or group

  1. Access the CS library property window, and then click the Security tab.

  2. Determine the type—User or Group—you want to add and click the appropriate option.

  3. Select the name of the user or group you want to add.

  4. Select the appropriate access rights for the user or group, and then click Add.

  5. Click OK to apply the changes or additions, and then exit. The new user or group name appears with the appropriate access rights.


Overview of customizing and setting preferences

About preferences

Preferences are choices you make (in the Configure program) about how IDM Desktop works. These include such things as what happens when you double-click a document in the IBM FileNet Neighborhood or which buttons appear in search dialogs.

In addition to configuration options, you can customize other areas of IDM Desktop. See the Preferences summary for a list of options.

Following topics list configuration choices but for more information about how preferences interact, see the Desktop Administrator Help. The Configure program includes information about what each configuration option means.

Note for web administrators

You can run IDM Configure on the web server to define libraries and to select web-related preferences that are shared by all web clients.

Questions
Do I need to set any preferences?
When do preferences take effect?
Where are my preferences stored?


Apply preferences to users

If your Windows account gives you administrative privileges, IDM Configure allows you to choose between the following options:

  • Set default preferences for new users. This setting is intended for an administrator who wants to define the preferences that will apply when a user logs on to the workstation for the first time. After the first logon, the user will have his or her own preferences.

  • Set preferences for currently logged on user. Use this setting to save your own preferences.

If your Windows account does not give you administrative privileges, you can set only your own preferences.


Preferences reference

Preferences summary

You can set preferences and customizations in the following categories:

Documents

Annotations

Directories and Files

Publishing

Libraries

Logon preferences ( Modify group logon settings and Change your password )

IBM FileNet Neighborhood preferences (these apply to the IBM FileNet Neighborhood in any My Computer or Explorer view)

IDM Find preferences

IDM Viewer

Application integration (Word, Excel, PowerPoint, Outlook)

Print/Fax

The Administrator's Help includes a Preferences Guide, with detailed information on each preference (whether it applies to IS, CS, or both, when it goes into effect, etc.)


Document preferences

These preferences affect your interaction with documents. Use IDM Configure to change them.

Default actions

IS desktop default action (double-click response)

CS desktop default action (double-click response)

Add, checkin, retrieve

New document must be filed in folder

Set document title to filename (or document ID)

Index content on add or checkin

Show "Index" prompt (user may index content on add or checkin)

Keep local copy on add or checkin

Show "Keep Local Copy" prompt (user may keep local copy on add or checkin)

Security for new CS documents (system default for user or folder)

User closes add/checkin confirmation (user must click OK if selected)

Determine if file is a compound document on add or checkin

Show "Determine if file is a compound document on add/checkin" prompt

File children of compound document with the parent

Show "File children" prompt

IS document label (IS document property displayed in the Name column in the IBM FileNet Neighborhood)

Checksum new IS documents

Checksum retrieved IS documents

Use server notification for IS document migration

IS document migration timeout (seconds)

Show the Add Wizard Document Security page when adding a new document to a CS library


Annotation preferences

Default read permission for new IS annotations (primary group of logged on user)

Default write permission for new IS annotations (primary group of logged on user)

Default append/execute permission for new IS annotations (primary group of logged on user)


File management preferences

Directory and file preferences

You set directory and file management preferences in IDM Configure. See the IDM Configure Help for additional discussions of these preferences.

Checkouts and copies

Document checkout directory (default)

Document copy directory (default)

Prompt for filename on checkout or copy

Note

If you specify your default checkout and copy directory, do not set it to your system's default temp directory. You cannot use the application integration features if it is set to your system's default temp directory.

Local caching

Cache directory

Delete cache on logoff

Maximum cache size

Maximum cached documents

Prefetching

Enable prefetching for IS

Page-ahead prefetching

Page-ahead prefetching has higher priority

Prefetch to server cache

Prefetch priority

Interval (prefetch)

Maximum pages in retrieved list (determines next prefetched page for page-ahead prefetching)

Maximum time to keep pages in retrieved list

Logging

Log directory is the local directory which is used to save application logs.

Note

Currently only Queue Maintenance application uses this preference.


Publishing preferences

General

Document options (default publishing option in wizard for documents already published – either Add new version to published document or Replace published document).

Allow changes to "Document Options" (If Yes, the user can change the default selection for documents being published again).

Security for new published documents (Default is to use the security of the source document. Alternatives are to use the folder’s security or to use the default for documents being added to that CS library.)

Delete published document if source is deleted (If Yes, the published document is automatically deleted when the source document is deleted.)

Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is deleted.

Inherit Source Document Properties (Default is for the published document to inherit the properties of the source document.)

For each library

Default Publishing folder (Specifies a valid folder ID which you can locate via the folder’s properties).


Library preferences

You add and remove libraries in IDM Configure.

Preferences for CS libraries

Service names (library^host machine)

System type

Database type—Oracle SQL or Microsoft SQL

Oracle SID

Connection port number

Use operating system credentials for logon

Show Select Group dialog during logon

User default logon group

DirectAccess

Preferences for IS libraries

Service names (domain:organization)

System type

Use operating system credentials for logon

Alternate IS page cache

User credential cache timeout

Preferences that apply to all libraries

Add preferred libraries, specify the default library, specify the default network library

Use operating system credentials for logon


Preferences for opening documents, folders, and searches

IBM FileNet Neighborhood preferences

You can customize the IBM FileNet Neighborhood to display the document and folder properties of interest and to indicate document states (such as checked out). You can create desktop shortcuts for the libraries, folders, and documents displayed in the IBM FileNet Neighborhood.

Opening folders, documents, and searches

See also
Customize properties displayed in the IBM FileNet Neighborhood
Create desktop shortcuts


IDM Find preferences

Set the following search results preferences in IDM Configure:

Enable ‘Find More’ (default is No). Enable the check box if you want to limit the number of documents returned at one time. If there are more, a Find More button is activated. You can continue clicking the Find More button until you find all documents (up to the maximum specified for the search). Find More button is disabled in preferences, if searching->Results>"Find More" count is set less than Find Count limit.

‘Find More’ Count (default is 100). Enter the number of documents you want returned at one time. The minimum number you can set is 25. The Find More count is best used by setting it for page-size chunks so you don’t need to scroll through a long list. You just click the Find More button until you find what you want or reach the maximum returned.

Advanced and Simple Find maximum results (default is 100). Enter the maximum number of documents you want returned. Searching stops when that number is found even if more documents qualify.

You can use stored searches and search templates to minimize the time you spend entering search criteria and formatting search results. You can store a search on your local drive or in a CS library. In addition, by customizing the IBM FileNet Neighborhood, you create a default for search results.

See also
Create a stored search
Create a search template


IDM Viewer preferences

You have many ways to customize the Viewer. Viewer customizations apply to the current user.

IDM Configure settings

Configure alternate viewers by file extension (Even if you don’t configure alternate viewers, PDF files will open in Acrobat if installed on your system.)

Choose multiple document windows in one viewer window or separate viewer windows for each document

Viewer settings

Create annotations

Show or hide annotations

Enable or disable document shortcut menus

Show or hide menus and commands

Adjust the zoom level

Customize toolbars

Rotate a document or page

Adjust the brightness

Set background color

Change image colors

Show or hide thumbnails


Application integration

Application integration preferences

You can set the following preferences in IDM Configure or in the integrated application. While Word and Excel have the same preferences, you set preferences for each integrated application. The list below is a brief summary of the available preferences; for more information on setting preferences in integrated applications, click here

Application integration

Word and Excel

Show IDM toolbar

Display document status (checked out or copied) in window title

Prompt user to save file before add (instead of saving automatically)

Prompt user to save file before checkin (instead of saving automatically)

Print document when adding or checking in

Update inserted properties before checkin

Update inserted properties after checkout

Upgrade properties inserted using SDM

Update menu and toolbar

Convert Word 95/6.0 to current format (Word only)

PowerPoint

Show IDM toolbar

Prompt user to save file before add (instead of saving automatically)

Prompt user to save file before checkin (instead of saving automatically)

Update menu and toolbar

Outlook

Select format for saved messages (.msg, .txt, or .rtf)

Prompt user to save file before add (instead of saving automatically)


Print/Fax preferences

You can configure these preferences for remotely viewing the Print/Fax Queue.

Whether to automatically update job information

How often to update the information

The maximum number of print/fax jobs to display in the viewer


How can I open IBM FileNet Neighborhood as a two-pane Explorer window?

You can open IBM FileNet Neighborhood as a single-pane window (like My Computer) or as a double-pane window (like Windows Explorer).

To open IBM FileNet Neighborhood as a single-pane window

Double-click on the IBM FileNet Neighborhood icon.

To open IBM FileNet Neighborhood as a two-pane window

  1. Right-click the IBM FileNet Neighborhood icon.

  2. Select Explore from the shortcut menu.


How can I find a document that isn't filed in any folder?

The IBM FileNet Neighborhood shows a library's folder tree. You can navigate to subfolders and to the documents and stored searches filed in folders. You can't use the IBM FileNet Neighborhood to find a document or search that isn't filed in a folder.

To find any document, whether it's filed in a folder or not, you can use the Find application to enter property conditions. For example, you might search for the documents you added to a CS library using the Added by User property.

If you don't file documents in folders, the IBM FileNet Neighborhood isn't useful to you (which is why it's an optional application).


I don't have an IBM FileNet Neighborhood icon on my desktop? Why not?

If you don't have an IBM FileNet Neighborhood icon on your Windows desktop, it is likely that you have not installed Windows integration, an optional IDM Desktop feature. Windows integration includes:

  • IBM FileNet Neighborhood, an Explorer application with an icon on the Windows desktop.

  • Add to IBM FileNet Library, a command on the shortcut menu of local files.


What are the important differences between an IS and a CS library?

What are the differences between an IS and a CS library?

IS and CS libraries have the same capabilites except as listed below. These typical usages may not apply in all cases. For example, even though IS libraries typically store images, an IDM Desktop user can add a Word document, an Excel spreadsheet, or any other type of document.

In an IS library

Documents are typically stored on optical disk.

Documents typically consist of images scanned by IBM FileNet Capture or another bulk scanning method.

You cannot add a page, delete a page, or modify a page.

Each folder, document, and annotation has three access rights (read, write, and append/execute) that provide security.

You can print to an IBM FileNet printer or fax through an IBM FileNet fax server.

In a CS library

Documents are typically stored on magnetic disk.

You modify a document by creating a new version. To do this, you check out the document, modify it, and check it in. The document contains all versions.

You can add compound documents and external documents.

You can publish a document.

Each folder, document, annotation, and search has an access control list (ACL), which assigns one of five access levels (None, Viewer, Author, Owner, Admin) to each user and group on the list.


What is a network library?

A network library is an IS library configured as a remote library of the default network library (which is also an IS library).

For example, assume that you add an IS library named HomeOffice and make it your default network library using IDM Configure.

Assume also that HomeOffice's configuration identifies the remote libraries NorthBranch and SouthBranch. You see and access these libraries as follows:

  • HomeOffice is a preferred library. You see preferred libraries in IBM FileNet Neighborhood.

  • NorthBranch and SouthBranch are network libraries. You see network libraries in Entire IBM FileNet Network.


What are document properties?

A library document consists of content and properties. The file and what it contains (words, graphics, links, formatting, formulas, etc) are the content. The properties are the pieces of information associated with the document, which are stored in the property database.

A document has two kinds of properties, system properties and user properties.

  • System properties are values supplied by the library. These are values like the document ID and the entry date.

  • User properties are the values supplied by users. These are values like names and account numbers.

You can view the properties of any document and, if you have sufficient access rights (security), you can modify some properties as well.

See also
View or modify document properties


What is content searching?

Content searching (sometimes called full text search) looks for words and phrases in the text of indexed CS documents. For example, you can search for a CS document containing the phrase, "electric power."

You can choose to index a CS document's content when you add the document, when you check in a new version, or at any other time. Content searching applies to all indexed versions.

Indexing ignores formatting instructions, graphics, and common words, and puts the remaining text in the content database. When searching for a CS document, you can enter five conditions to search for words and phrases.

See also
Index a document for content searching
Content searching conditions


If I have the document ID, do I need other criteria?

Within each library, each document has a unique document ID. If you know the document ID, you can enter it in Simple Find. You do not need other criteria.


Can I format the search results?

When you use Advanced Find, the search results list will include each document's name and the properties used in the search.

Using the Results Options tab, you can add or drop properties from the search results, change the column headings, align the columns, and show document state information (to see if the document is checked out or has annotations).

The search results list will always have the document name in the first column:

  • For an IS library the document name is the document ID (or a property set in a preference).

  • For a CS library, the document name is the title (or, if the document has no title, the file name).

When you execute a search in Simple Find, the results show the property columns and other formatting (such as column titles) customized for IBM FileNet Neighborhood.

See also
Format search results
Customize the IBM FileNet Neighborhood


Can I save a search to execute again?

Instead of entering search criteria over and over, you can save the conditions in a stored search or a search template. A stored search has fixed conditions.

Double-click on a stored search to execute the search. A stored search has the file extension .fss.

When search conditions require different values, you can create a search template.

A search template has one or more incomplete search conditions. Double-click on a search template, complete the search conditions, then execute it. A search template has the file extension .fst.

Stored searches and search templates are executable when saved on your local machine, on a network drive, or in a CS library.

You can edit a stored search or search template to change the criteria or the format of the results.

You can also select recently used searches from IDM Find's File menu.

See also
Stored searches and search templates


Can I search for stored searches and search templates?

You can use IDM Find to search for a stored search or search template that is stored in a CS library.

See also
Search for searches


Can I save search results in a file?

To save search results to a file for future reference or printing, you can select the Export Results command from the File menu in IDM Find. This creates a text file that includes the column titles and properties displayed in the search results.

See also
Export search results


Can I find a document that satisfies either of two conditions?

In Simple Find, documents must satisfy all conditions you enter.

In Advanced Find, you can search for documents that meet one, some, or all of the specified property conditions. You do this by using logical ANDs and logical ORs to connect conditions. Use AND to connect two conditions when both conditions must be true. Use OR when either condition can be true.

See also
ANDs and ORs


My search finds more documents that the number in Max Returned. What should I do?

My search finds more documents than the maximum. What should I do?

For both Simple Find and Advanced Find, Max. Returned is set to a starting value of 100. A search will find 100 matches and stop.

The search results will indicate, "More matches than Max." This means there are more documents that meet the conditions. If you need to list all documents, increase the maximum value and repeat the search.

To find a particular document, add conditions to narrow the search.

See also
Control the number of matches


Security for a search saved in a CS library

What is the security for a search saved in a CS library?

A search (stored search or search template) saved to a CS library inherits security from your user profile. In addition, you have Owner access rights to any document or search you add to a library.

  • To see a search, a user must have Viewer access rights. Without Viewer access rights, the search is invisible.

  • A user with Viewer or Author access rights can see and execute the search, copy the search, and view the search's properties.

  • In addition to Author access rights, a user with Owner or Admin access rights can view and modify the search criteria, properties, and security, and can delete the search.

See also
CS security overview


What is the best way to find information in Help?

You can find information in the following ways:

In the Contents:

Examples

  • To look for a major topic, choose Contents.

  • To find any word that appears in Help, choose Search. The first time you choose this option, select the Maximize search capabilities button and click Next, then Finish. You can modify how Search works by choosing Customize instead of Maximize. Also, explore the Search menu that appears when you are using the Search tab.

  • To find keywords selected by a Help author, choose Index.

  • For overviews and answers to common questions, go to the Getting Started book.

  • For definitions, go to the glossary. The glossary is the first topic in the Reference book. Click a letter at the top of the page to skip to definitions that start with that letter.

  • To jump to a frequently accessed topic, create a bookmark. Display the topic and choose Bookmark, Define. Thereafter, choose the bookmark from the Bookmark menu. (Be aware that bookmarks are lost if you install a new release or download updated Help.)

Detailed Steps and Quick Steps

The longer and more complicated procedures, such as customizing the IBM FileNet Neighborhood, are presented in two ways: Detailed Steps and Quick Steps. Use the Detailed Steps the first time and when you need specific information on options and entries. The Quick Steps will refresh your memory on how to get started and serve as a high-level summary.


Context-sensitive Help

Is there context-sensitive Help?

IDM Desktop provides field-by-field Help for the IDM Viewer's Open dialog box. To display Help for a field in the Open dialog, do any of the following:

  • Click the ? button in the title bar, then click on a field using the ? cursor.

  • Place the cursor over a field, right click, then click on What's This?

  • Place the cursor over a field, then press F1.

IDM Desktop Help includes help for application integration. You can access these topics from within integrated Microsoft Office applications and Outlook using the Help menu.

Press F1 to display the Help topic for any property page .


Where to find updates to help

Where can I find updated Help?

You can get a Help update, if one is available, by:

  • Installing the latest patch release.

  • Downloading the updated documents available at IBM FileNet documentation Web site.


If you have questions or comments

How can I ask a question or report an error?

We welcome your questions and feedback on documentation.


How do I print Help?

To print a Help topic

  1. Display the topic you want to print.

  2. Click the Print button or choose Print from the File menu.

To print a pop up topic

  1. Right-click in the pop up and choose Print.


Overview of troubleshooting

About troubleshooting

Troubleshooting topics discuss common problems you may come across while using IDM Desktop. The problems and their solutions are organized by category, such as Document and Folder.


Application integration

Microsoft Office applications and Outlook

I get the following message while trying to open an e-mail that contains an image from IDM Viewer: Outlook blocked access to the following potentially unsafe attachments: DocumentName.lnk. How do I resolve this error?

If you are running Windows XP and using Outlook 2002, you will come across this error while trying to open a document that has an LNK extension. Microsoft has added e-mail security that monitors the type of documents you can open in Outlook. This LNK extension is treated as a Level 1 file type document in Outlook 2002 and a Level 1 file type is blocked from being opened. See your system administrator for the Exchange server for more help and refer to your Outlook 2002 online help for more information.

Why are some of my IBM FileNet menu options disabled?

Your menu and toolbar options are enabled and disabled depending on the state of your document. For example, if you have a document copy opened in Word, the IBM FileNet Checkin menu and toolbar option will be disabled because you cannot check in a document that wasn't originally checked out by you.

You have the option of bypassing this feature by setting your Update menu and toolbar preference to Yes. This preference can only be set Word, Excel, and PowerPoint.

My Word and Outlook menu options are always enabled. Can I fix this?

If Word and Outlook menu options are enabled at all times, locate the file named normal.dot, rename it to normal.dot.backup, and then restart Word and Outlook. Verify that only valid menu options are enabled.

I get the following error after selecting an IBM FileNet menu option while working with a document: This functionality is not designed to function from this location. How do I resolve this error?

Use your Save As command to save the document to a non-temporary location to resolve this error.

I get the following error when working in Word: "Method '~' of object '~' failed. How do I resolve this error?

This error occurs if you copied text or an object to your clipboard, you are using IDM Desktop that is integrated with Microsoft Word and the Show Toolbar preference is set to Yes. This error occurs because of a Microsoft bug that causes toolbar icons to get replaced or shifted when Word is integrated with IDM Desktop.

Open Word, and then recopy your text or object to a document in Word to avoid this error.

I copied text to my clipboard, and then opened Word. When I tried to paste the text to a document, the clipboard was cleared. Where did my text go?

If you are using Microsoft Word and it is integrated with IDM Desktop, your clipboard will be cleared every time you open Word. This is a workaround to avoid a Microsoft bug that causes toolbar icons to get replaced or shifted when Word is integrated with IDM Desktop.

Open Word, and then recopy your text or object to a document in Word to avoid this error.

Why does my system not respond when I try to perform any document management tasks from Excel?

Make sure you press Tab or Enter to move the cursor into another cell before you select an IBM FileNet menu option in Excel. If you do not move the cursor, you cannot perform any tasks.

Why can't I use [ or] characters in my Word and PowerPoint filenames?

You cannot check out a Word or PowerPoint document that is assigned a filename containing these [ or ] characters. They are incompatible with the checkout process. You can either manually remove the characters or IDM Desktop will strip those characters from the filename before proceeding with the checkout.

Why are my Office application files so slow?

You may experience performance delays if you are using files, created in Office. You should save the files in the current Office format to increase performance.

Why can't I access any of the IBM FileNet menu options in Outlook?

Make sure your Outlook is closed when you are installing IDM Desktop. Reboot your system after the installation is complete. If these two solutions don't resolve the problem, trying doing the following:

  1. Open Outlook and from the Tools menu, select Options, and then click the Other tab.

  2. Click the Advanced Options button, and then click the Add-In Manager button.

  3. Scroll down to the IBM FileNet IDM Outlook Integration check box and select it.

  4. Click OK and restart Outlook.

Is there a way to view CS document properties within integrated applications?

Yes. Do the following from your Microsoft Office application and opened document to access document properties:

  1. From the File menu, click IBM FileNet Properties.

Why are these IBM FileNet menu options in my Microsoft Office applications menu?

Your applications are currently integrated with IDM Desktop. You can remove the integration by using the Uninstall program.

I tried to add an e-mail message with attachments to the CS library, but only the message was added and not the attachment. Where is the attachment?

Your attachment was not added to the library. Check and see if your Message format preference for Outlook is set to Message. The file format for adding messages with attachments to the library must be set to Message. The Rich Text and Text formats do not support saving attachments to the library.

I can't view my inserted properties in SDM. Why is that happening?

You may have upgraded your SDM inserted properties in Word or Excel to IBM FileNet inserted properties. Once you upgrade your inserted properties to IBM FileNet properties, you can no longer view the same properties from SDM.

Check your settings for your Upgrade inserted IBM FileNet Properties preference in Word and Excel.

I did not want to save any of the changes made to the document I added to the CS library. But the modifications appear in that document. Why did that happen?

If you weren't prompted to save the changes to the document before adding it to the library, your settings for the Prompt to save file before add preference is set to No. If that preference is set to No, all changes made to the document prior to adding it to the library are saved whether you want them to be saved or not. Set the preference to Yes if you want to be prompted.

My Version system properties aren't updated upon checkin even though I set my preference. How do I update those properties in my document?

If you want those properties to be updated, you must set your preference to update properties after a checkout.

Why can't I access the IBM FileNet menu options in Excel?

Are you working with charts in Excel? If you are and you are working in the chart, you must click outside of the chart. The menu options should appear. You can also use the IBM FileNet Toolbar to access the document management tasks you want to perform.

Why can't I view CS annotations when I try to view a CS document using the Open IBM FileNet Documents dialog box?

You cannot view or print annotations from within the Open IBM FileNet Documents dialog box.

Why can't I add a file with a filename that has more than 200 characters to an IS library?

Filenames that have more than 200 characters are not supported in an IS library. You need to shorten your filename to add the file to an IS library.

See also


Checkout list

I checked out a file then the administrator cancelled my checkout. What should I do?

Right-click on the local checked-out file, then click on Checkin. After displaying an error message, the software will update your local checkout list.

I checked out a file then checked it in from another workstation. What should I do?

Right-click on your local checked-out file, then click on Checkin. After displaying an error message, the software will update your local checkout list.

I checked out a file and then deleted it. What should I do?

Cancel your checkout.


Compound document

How do I find more information on the symbols that appear in the dialog box when I process compound documents?

Click the symbol, and then the status message provides more information on your processed document. See Overview of processing documents . Click any column in the sample window to display more information about that column.

Why isn't my child document in the specified check out or copy directory?

Check your Document checkout directory and Document copy directory preference settings and make sure the file path referenced in the settings are correct.

Click here for more information on setting preferences.

How do I print just the components of a compound document?

Highlight the compound document in IBM FileNet Neighborhood, right-click and then choose Explore Links from the shortcut menu. This menu option allows you to access the grid that displays the hierarchy of the compound document. You can right-click and access shortcut menus for each component in the grid. The menu options allow you to work with each component separately.

Click here for more information.

Why wasn't my compound document added to the CS library?

Check your Determine if file is a compound document on add and checkin preference setting and make sure it is set to Yes. If this setting is set to No, your document is processed as a single document.

Click here for more information on defining preferences.

Why can't I archive a child document?

Before you can archive a child document, all of its parent documents must also be archived. Also check and see if the document you are trying to archive is part of a circular compound document. You cannot archive a circular compound document.

Can I specify a different file path when checking out a compound document?

It is possible to manually specify a different file path that what is specified in an actual link while checking out a compound document. You must open the parent document in IDM Desktop, and then edit links to specify the correct location in which the document resides.

I manually linked a document to create a compound document. Why doesn't the [image] appear next to my compound document in the IBM FileNet Neighborhood?

After you create a compound document or manually link a document, make sure you press F5 to refresh the IBM FileNet Neighborhood to see the compound document icon.

Why can't I add manual links to an existing compound document?

You cannot add manual links to a circular compound document. Check the structure of your compound document to verify its links.

Why was not my entire compound document sent via e-mail?

Only the parent document is sent via e-mail.

My checkout folder is on a network drive. When I check in a compound document, the software doesn’t recognize that a new OLE link is a link to an existing library document. It wants to add the child document to the library as a new document. How can I work around this?

To work around the problem described above, configure your system as follows:

  1. Map a drive to the folder above the checkout folder on the network drive.

Example: You mapped your T: drive to \\Corp\Docs\Policies. Your checkout folder is the \\Corp\Docs\Policies\2002 folder.

  2. Run the DOS SUBST command and create a substitute drive to your checkout folder.

  3. Continuing the example, enter this command at the DOS prompt:

SUBST U: T:\2002

Note that this problem does not occur if your checkout folder is on your local hard drive.

Word did no t update all of the links in my compound document. What should I do?

  1. From Word’s Edit menu, choose Select All.

  2. Press F9.


Document

I checked out a CS document but I can’t find it. Where is the document?

CS documents are saved to a default directory. You can change the default directory by setting a preference in IDM Configure. Click here for more information on the preference settings.

Why doesn't cancel checkout work?

Check and make sure the file is actually checked out from the library.

A [image] appears next to checked out documents in IBM FileNet Neighborhood. Another way to verify the document is checked out is on the document Properties dialog box. Click here for more information on the Properties dialog box.

Why can't I see certain documents in a library?

You might not have the appropriate access rights to the document. Your access right to the document must be at least Viewer in order to view the document in a CS library. Make sure you have the appropriate access rights to the document. Click here for more information on document access rights.

Why can't I check out my document?

Check and make sure you have sufficient access rights, Author or higher, to the document. You cannot check out the document without sufficient access rights. Also see if the document is already checked out. Click here for more information on checking out documents.

Also verify the document you want to check out is not a stored search or template. You cannot check out a stored search or template.

Why can't I index my document?

Check and make sure you have sufficient access rights, Owner or higher, to the document. You cannot index the document without sufficient access rights. Also see if the document is already indexed. Click here for more information on indexing documents.

Why can't I reclaim my document?

Check and make sure you have sufficient access rights. Also see if the document is already reclaimed. Click here for more information on reclaiming documents.

Why can't I archive my document?

Check and make sure you have sufficient access rights, Author or higher, to the document. You cannot archive the document without sufficient access rights. Also see if the document is already archived or made permanent . Click here for more information on archiving documents.

Why can't I find the folder in which my document is stored? All I have is the document ID.

You can use the Folders Filed In tab in the document's Properties dialog box to find in which folder the document is stored. Click here for more information on Properties dialog box.

Why can't I check in a replicated document that I just checked out?

Wait five seconds before checking the document back into the CS library.


Error: Retrieve to cache failed

Possible causes and solutions:

The document size (particularly if you are viewing Report Manager documents) could exceed the cache size. Use IDM Configure to increase the cache size.

Your document may already be archived or offline. You can see the status of the document on the General tab in the document Properties dialog box. Click here for more information.

See your system administrator for more help if the previous solutions do not resolve this error.

See also
Maximum cache size


Folder

Why can't I add a CS folder to the root level?

Check your access rights in the General tab on the Library Properties dialog box.. Your system administrator must assign you Author access rights to add a root level folder to the library. Click here for more information on the Library Properties dialog box.

Why can't I see certain folders in a library?

You might not have the appropriate access rights to the folder. Your access right to the folder must be at least Viewer in order to view the folder in a CS library. Make sure you have the appropriate access rights to the folder using the Security tab on the Folder Properties dialog box. Click here for more information on the Folder Properties dialog box..

While moving a folder, I keep getting an error saying the move failed and to try later. What should I do?

When you move folders, the system creates temporary "lock" records to prevent interference with another user moving the same folders. It is possible for these lock records to remain behind after the move. If you are unable to move folders, get the IDs of the source and destination folders from their property descriptions and send the IDs to your system administrator, requesting that their lock records be deleted.


Libraries

How do I add more libraries to my IBM FileNet Neighborhood?

Use IDM Configure to add more libraries to your neighborhood. You also use this application to add or delete the libraries.

My password doesn't work. How do I get a new one?

Ask your system administrator to give you a new password using the Admin Tool.

Why am I unable to log into a library?

Your library may not be configured correctly. See the Administrator's Help for information on using IDM Configure to set up libraries.

What happens if I don't know my group name when I log onto a library?

If you don't know your group name, your default group name is used. See your system administrator for your group name.


Preferences

Why do only some of the preferences options show up for application integration?

If you don't have a specific Microsoft Office application (Word, Excel, PowerPoint and Outlook) integrated with IDM Desktop, the preferences for the application are not displayed in the IDM Preferences dialog box.

How do I reset all of my preference settings?

In the IDM Preferences dialog box, click Restore Defaults to reset your preference settings.

Does importing and exporting preferences delete my existing preference settings?

No. Importing or exporting preferences for a current users adds to your existing preference settings.

Why aren't my preferences that I just changed working in my application?

If you change the preferences while your application is open, you need to exit, and then restart the application to ensure the preference changes take effect.

I set preferences but they didn’t take effect. Why not?

Preferences are saved by machine and by user. If you use a different machine or user name, the preferences defined for that machine and user name will apply.

See also
Preferences


Search

Why can't I delete a stored search?

Make sure you have the correct access rights to delete the stored search.

Why can't I see certain stored searches in a library?

You might not have the appropriate access rights to the stored search. Your access right to the stored search must be at least Viewer in order to view the folder in a CS library. Make sure you have the appropriate access rights to the stored search.

Why can't I see all the conditional operators (for example, AND/OR, =, <=, > etc) in a stored template?

Template settings can hide the operators. Open the template in IDM Find, review the template option settings, make changes as appropriate, and resave the template.

Why doesn't search return the type of results I wanted?

When you create the search or template in IDM Find, use the Preview feature to check that the search performs the required task correctly. If you want to change the columns returned by the search, use the results option tab in IDM Find to modify the search or template.

Why can't I insert a row into a search?

In IDM Find, select the row above which you want to add a new condition and then click the right mouse button to display the shortcut menu. The shortcut menu displays the insert option.

Why can't I add an AND or OR condition?

AND and OR conditions can only be used with rows that are adjacent to each other. To add an AND or OR Condition, select the rows to which you want to apply the condition, select the AND or OR button on the IDM Find tool bar as appropriate. The AND and OR buttons are only available, when two or more rows in the search or search template are highlighted.

How do I view the SQL statement being used by the search or search template?

Open the search or search template in IDM Find and then use the Text button to view the SQL statements associated with the query.

Why do queries that include the condition words in any order not return data?

When you use the Words in Any Order condition, by default, the range is set to zero. This means that the words must be adjacent to each other, or separated by stop words only. To increase the gap that can exist between the words you are looking for, increase the range value.

I unfiled my stored search and template from a folder. Now I can't find it in the library.

Do not unfile a stored search or template from a folder and do not save a stored search to the library level. You cannot retrieve either item once they are unfiled or saved to the library level.

If you unfile a stored search or template from a folder, you must create the search or template again. You must do the same for a stored search or template saved to the library level.

When our server name changed, my stored searches stopped working

Because stored searches are saved with the current server name and system name, changes to the CS server name cause stored searches to fail. To make the stored search usable, open it using the Find Application on the IDM Desktop or on the IBM FileNet Web Services server and then resave it.

I get no matches when I use a wildcard in a content-based search. Why not?

Wildcards are allowed in content-based searches for 5.2 libraries only.

See also
Overview of searching for documents


Shortcuts

Why doesn't my shortcut work?

You can use a desktop shortcut to speed access to a library, a library folder, or a library document. For CS, the shortcut identifies a library using both the library and server names. For IS, the shortcut identifies a library using the domain and organization names.

If you e-mail a shortcut to another user, that user must have:

  • IDM Desktop with Explorer integration installed

  • The library configured and a working connection

  • A valid logon for the library

  • Access rights to the folder or document

If the name of a CS library or server changes, existing shortcuts will not work. Delete the shortcuts and create new ones.

Shortcuts are not removed by uninstalling IDM Desktop.


Viewer

Poor display of PDF files in the Viewer

If the Viewer doesn't display a PDF file with satisfactory results, download the latest version of the free Adobe Acrobat Reader from the Adobe Web site. The reader will run as a viewer plug-in and provide improved display of PDF documents.

Why does no t the IDM View command display my CS document?

Using the IDM View command copies the document to your local cache and then displays it in the Viewer. The Viewer cannot display a cached document that has a file name longer than 127 characters.

To display such a document, use Copy to and save the file on your local disk. Then use the Viewer’s File, Open command to view the file.

If you have many documents with file names longer than 127 characters, you might also use Direct Access (view the file in the library without copying it to your local cache). See Direct Access .

Why isn’t the Annotation toolbar enabled when I display a TIF image?

Make sure you are displaying one of the image formats that can have annotations .

Use the View command to display the document. Annotations are disabled when using the Open command.


Glossary

A

access rights

For a CS library, security settings control access rights to libraries, documents, folders, stored searches, and search templates. Five levels define the access rights that can be assigned to users or groups: None, Viewer, Author, Owner, and Admin.

For an IS library, security settings control access rights to documents, folders, and annotations. Three access rights [image] read, write, and append/execute [image] each assigned to one and only one group for an item, constrain what users can do.

application integration

Working with library documents from desktop applications such as Microsoft Word or PowerPoint.

authentication

The process of verifying a user name and password at logon time.

availability status

A CS document property that indicates whether the document version is online or archived.


Icon glossary

To the left of a document's icon you may see a small symbol. This symbol indicates the document's status or that it has special properties. Some of these symbols display automatically. Others display only if configured. For example, you must customize the IBM FileNet Neighborhood to see annotation indicators ( [image]) and the check mark ( [image]) that shows the document is checked out.


How IS documents display and print

IS documents added using IDM Desktop fall into two categories:

  • IBM FileNet imaging formats (F_DOCTYPE is IMAGE, TEXT, MIXED, or FORM)

  • Other formats (F_DOCTYPE is OTHER)

IBM FileNet imaging formats (IMAGE, TEXT, MIXED, FORM)

When you add a document to an IS library, and the library recognizes an IBM FileNet imaging format, the library sets the F_DOCTYPE system property to IMAGE. IMAGE, TEXT, MIXED, and FORM-type document types are supported by the Viewer and represented in Windows by the IBM FileNet icon [image]. You can print IBM FileNet imaging formats to any printer with two exceptions:

  • Multipage TIFF documents print only on Windows printers

  • The IDM Viewer does not support multipage TIFFs in a multipage IS document. The viewer can display a multipage TIFF image when it is the only page of an IS document.

  • WorkForce Desktop forms print only on IBM FileNet printers

Other formats

When you add a document that is not recognized as an IBM FileNet imaging format, the library sets the F_DOCTYPE system property to OTHER and, if possible, saves file information in the F_DOCFORMAT system property.

  • The Viewer displays OTHER-type documents using an IE plugin or the Outside In capabilities of the Viewer. You can also configure an alternate viewer for certain extensions.

  • You can print OTHER-type documents to Windows printers only; you cannot print them to IBM FileNet printers or through IBM FileNet fax servers.

  • When added to an IS library on 3.3.x or earlier, you see the IBM FileNet icon [image] and the Open command displays the document in the IDM Viewer (as does the IDM View command). The F_DOCFORMAT property is not supported.

  • When added to an IS library on 3.4.0 or later, the F_DOCFORMAT property stores the application and file name. You see the registered application's icon, such as [image], and the Open command opens the document in its registered application.

  • The F_DOCFORMAT property does not store file information for documents added from IDM Capture, WorkFlo Scan, or COLD.

See also
Supported IBM FileNet printer formats
Document formats supported by the Viewer
Viewer rendering logic


Multiple selections summary

This table summarizes the items you can select in multiples and the actions you can perform.

Selection in IBM FileNet Neighborhood List View | Action | Result
Multiple documents, stored searches, folders | Copy | Copies to a single folder at a time on the same library
Multiple documents, stored searches, folders | Paste | Pastes to a single folder at a time on the same library
Multiple documents | Open (in IDM Viewer or registered application) | Launches IDM Viewer or multiple instances of the registered application and displays the document in each
Multiple stored searches | Open (in IDM Find Template; in IDM Find for legacy searches) | Launches multiple instances of the IDM Find Template application and executes a search in each.
Multiple documents in IBM FileNet imaging format only | Print/Fax | Prints/Faxes on an IBM FileNet printer or Fax only
Multiple IS documents, stored searches, folders | Delete | Deletes from a single folder at a time on the same library
Multiple documents, stored searches, folders | Create Shortcut | Creates a single desktop shortcut for each item
Multiple documents | Send | Sends copies, references, or desktop shortcuts to a mail recipient
Multiple CS documents | Checkin | Launches the Select File to Checkin dialog box for each document and processes each document in the Checkin Document dialog box
Multiple CS documents | Checkout | Launches the Checkout File To dialog box for first document. All selections go there
Multiple CS compound documents | Checkout | Launches multiple instances of the Checkout dialog for first compound document and Action dialog. All selections go there
Multiple CS documents | Cancel checkout | Launches prompts to save existing copies of the checkout for each document, and then cancels the checkout and Action dialog
Multiple CS compound documents | Cancel checkout | Launches prompts to save existing copies of the checkout for each document. The Cancel Checkout dialog box processes each document


Search condition operators

Search conditions use the following operators:

equal

not equal

greater than, after

greater than or equal to, on or after

less than, before

less than or equal to, on or before

like

not like

Note

System, single- and multivalue custom properties (MVCP) support the search condition operators described in the following table:

Property | Supported Operators
All date/time | before, after, greater than or equal to, and less than or equal to
MVCP integer | equal, not equal, greater than, less than, greater than or equal to, and less than or equal to
MVCP and all other string properties | equal, not equal, greater than, less than, greater than or equal to, less than or equal to, like, and not like


Retrieval keys (IS)

When documents are added to IDM Image Services libraries, IDM Desktop stores the values of retrieval keys separately in alphabetic or numeric order in the index database. If you specify a key condition for a query, the program uses the sorted table for that retrieval key to process the query very rapidly.

To appreciate the value of a retrieval key, consider how a standard telephone book is organized. Because the entries are sorted alphabetically by last name, the last name acts as a retrieval key. You can find someone's telephone number very quickly if you know his or her last name.

The address, however, does not function as a retrieval key, because the entries are not sorted by address. If you wanted to find someone by address, you would have to sequentially search through every entry, going through the As, the Bs, and so on, a task that could take a long time.

System-supplied retrieval keys

The system-supplied indexes F_DOCNUMBER, F_DELETEDATE, and F_ARCHIVEDATE are retrieval keys that can be used in a key or property condition.


System properties (IS)

On IDM Image Services libraries, the IBM FileNet system supplies a number of properties that you can use in a search condition. All classes of documents have several properties that the system provides. Some document classes have only the system-supplied properties. All of these system-supplied properties begin with the letters F_ (F underscore).

The three properties with (R) after the name are also retrieval keys:

F_DOCNUMBER (R) | Document ID number
F_DOCTYPE | IMAGE, FORM, TEXT, MIXED or OTHER
F_DOCFORMAT | On 3.4.0 or later libraries, stores the Windows file extension
F_PAGES | Number of files in a document (not number of pages)
F_DOCCLASSNAME | Document Class
F_ENTRYDATE | Date of committal
F_DELETEDATE (R) | Date to delete (retention disposition is delete)
F_ARCHIVEDATE (R) | Date to archive (retention disposition is archive)
F_DOCCLASSNUMBER | A number assigned to the document class
F_DOCLOCATION |
F_RETENTOFFSET |

An IDM Image Services document will eventually have either a delete date or an archive date. However, if the retention base is the close date, the delete date or archive date can't be calculated until the document is closed. Until then, both fields are null.


CS security summary

The table below describes the meaning of CS access rights.

Notes

To add a document or annotation, the user's account must have the Item Access Level set to Owner or higher.

To create a subfolder, you must have Author access rights to the folder. Likewise, to file an item in a folder, you must have Author access rights to the folder.

The system administrator can configure a CS library to require users to have Owner access to documents to create annotations.

To delete a document from a CS library, you must have access rights to the document equal to or greater than the Minimum Delete Access Level. The system administrator sets the Minimum Delete Access Level; the default setting is Owner.

The CS library administrator determines the access rights required to modify custom properties.

To relaim a version of a CS document, you must have access rights to the document equal to or greater than the Minimum Reclaim Access Level. The system administrator sets the Miminum Reclaim Access Level; the default setting is Owner.

You must have Administrator access rights to delete a child component of a compound document if the child has a strong link to the parent.


IS security summary

The table below summarizes the access rights required to perform various operations on IS folders, documents, and annotations.

Notes

Unless you have read access, you will not see the item. For example, search results include only those documents for which you have read access. You get a security error only if you ask for a document by document ID when you do not have read access.

To delete a document, you must also have read, write, and append/execute access rights to any annotations on the document.


About properties

Objects you work with have properties you can view by right-clicking the object. Within the property dialogs (sometimes called property pages), there are tabs you can click to see categories of properties. You can see properties for the following items (most links go to the General tab):

IS libraries

CS libraries

CS documents

IS documents

Compound documents

Compound document links

External documents

CS folders

IS folders

Annotations

Stored searches


IS library properties on the General tab

You can view, but not modify, these properties for an IS library. The following list describes the library properties on the General tab.

Type

Displays the system type.

Domain

Displays the name of the IBM FileNet library.

Organization

Displays the name of the organization (usually IBM FileNet).

Current user

Displays the three-part name of the currently logged-on user at this IP address, if any. The name consists of the user name, IBM FileNet library, and organization name. Or displays Not logged in if no user is logged on to the library.

Version

Displays the release number for the system type.


IS library properties on the Change Password tab

The following list describes the library properties on the Change Password tab.

Old Password

Enter your current password.

New Password

Enter your new password.

Confirm New Password

Enter your new password to verify it again.

See also


CS library properties on the General tab

You can view the library name, name, and host machine for a CS library on the General tab. The library is the icon label for the CS library that appears on your desktop. The name is the property server name and the host machine is the system name. The name and host machine define the server location and the CS library name.

If you have Author access rights and the Can add root level check box is selected, you can add root level folders using the Security tab. You can also assign access rights to users or groups who need to access the folders in a specific library.

If the Secure Searches check box is selected, only documents for which you have the required access rights are returned when you perform a search. If this option is not selected, anyone can view the documents in the library regardless of their access rights.

The following list describes the library properties on the General tab:

Library Name

Displays the name that represents the CS library. This name appears on your desktop.

Type

Displays the name of the library system. If the name is incorrect, you cannot connect to the CS library.

Name

Displays the name of the server where the CS library is located.

Host Machine

Displays the name of the CS library system. If the name of the host machine is incorrect, you cannot connect to the CS library.

Current User

Displays your user name.

Current Group

Displays the name of the group to which you are a member.

Default Group

Displays the name of the default group to which you are a member.

Version

Displays the library software version.

Can add root level folders

If selected, you can add root level folders to this library.

Secure searches

Determines whether or not the documents for which you have the required access rights are returned when you perform a search. If this option is selected, only documents for which you have the required access rights are returned when you perform a search. If this option is not selected, anyone can view items in this library regardless of their access rights.


CS library properties on the Security tab

The following list describes the library properties on the Security tab. You must have Author access rights to add root level folders to a library. You must have Admin access rights to grant Author access to a user.

Current security settings, visible to all users

Name (first column)

Lists the users and groups who have access to the library.

Access Level (second column)

Lists the access rights corresponding to each user and group.

Edit the security settings, visible to those with Admin rights

Users and Groups

Lists the users who have access rights to the root level folder. You can list any number of users.

Name

Displays the name of the user or group you choose.

Access Level

Displays the level of access rights a user or group has to the root level folder.

See also
CS security summary


CS library properties on the Checked out documents tab

The following list describes the library properties on the Checked out documents tab.

Name

Displays the name of the document.

Checkout Date

Displays the date and time the document was checked out of the library.

Version

Displays the version number of the document that is checked out.

Item ID

Displays the item ID for the document.

Filename

Displays the location to which the document was checked out.


CS library properties on the Change Password tab

The following list describes the library properties on the Change Password tab.

Old Password

Enter your current password.

New Password

Enter your new password.

Confirm New Password

Enter your new password to verify it again.

See also
Change your logon password


Logon restrictions

The IS system administrator may enable the following settings which could affect your logon to an IS library:

Password Minimum Length (0 to 8 characters) | Requires a minimum length for the user password. If the minimum length is set to zero, you may choose not to use a password. If it is set between 1 and 8, passwords are required and must be at least that many characters long. If Password Special Character is set, the password requires at least one special character.
Password Special Character | Requires that the password contain a nonalphabetic character and the minimum length of a password is one character. When set, restrictions apply to new or modified passwords. If the password restrictions change, existing passwords are not affected.
Password Renewal Days | Set from 0 to 365 days by system administrator. If the value is greater than zero, you must change your password periodically according to the interval set. For example, if this value is set to 30 days, you must change your password every 30 days.
Password Grace Period | The number of days before the password renewal date during which you are warned when logging on about the approaching renewal time. If you do not change the password by the renewal time, your account automatically expires when you attempt to log on. If your account expires, only the system administrator can reinstate it.
Password Failed Attempts | Set from 0 to 100 minutes by system administrator. Sets the number of times you can fail to log on within the specified time period before the account expires. The default is zero, which allows an unlimited number of failed logon attempts.
Account deactivated if failed attempt exceeds n minutes. | Applies only if Password Failed Attempts is set to a value greater than zero (contains a value of 0 to 100 minutes). If the number of failed logon attempts occurs within the number of minutes specified, the account expires. The system administrator must reinstate the account.
Maximum Concurrent Logons per User | Set from 1 to 512 by system administrator. Controls the number of concurrent logon sessions a user can have at one time on one system. When the maximum is reached, an error displays for subsequent logon attempts.
Logon time restrictions | Limits access to the system by day of week, hour of the day, and minute of the hour. Both the time and the date are evaluated when determining whether a user can log on.


CS document properties on the General tab

The General tab displays basic information for the document.

Type

Format of the document (file type or application that created it).

ID

Document ID assigned when the document was added to the library.

Version

Current version number of the document.

Class

Document class assigned to the document.

Library

Name of library in which the document is stored.

Access

Shows your access level to the document (the access level of the person viewing these properties).

Attributes

Check boxes show if the document is online, checked out, indexed, published, replicated or if it is a compound document.

If the document is stored in a replicated folder, the library name and server on which the original document and folder reside appears in this field. The original document's ID is also displayed.

User

Name of the user who checked out the document.

Group

Group of the user who checked out the document.

On

Date and time the document was checked out.


CS document properties on the Properties tab

This tab shows properties entered when the document was added to the library. Properties shown depend on the document class. If you have owner or higher access to the document, you can change these values.

Each document must be assigned a document class. Specific document properties are assigned to a document class by your system administrator. Each document property describes the document, its location, versions, and status. Document properties can be single-value or multivalue. They are assigned by your system administrator. These properties determine the number of values you can assign to a document. Single-value properties only allow you to enter single text, integer or date and time values for a document. Multivalue properties are customized and allow you to enter more than one value for a document.

Some document properties may also have associated version properties. Item and version properties include the file name, checkin date, and name of the user who checked in that version. Document security allows you to set and maintain user and group access rights to a document. When you add a document , you assign properties.

You can modify item and version properties for original CS documents that are stored in a replicated folder. However, you must check out and check in the original document from the original source CS library to replicate your changes in other target libraries. If you do not check in your changes, they are never replicated.

For CS document replicas, you can make changes to the version properties. You must check out and check in the replica document to make your version property changes that get replicated back to the source document and other replicas. If you do not check in your changes to the version properties, they are never replicated, and they will be overwritten when the original document is checked out and checked back in. Any changes you make to item properties on a replica are temporary, even if you check in the replica. Item properties on a replica document are always overwritten when the original document is checked out and checked back into the CS library.

See also
View or modify multivalue document properties
View or modify date and time properties
Check in a document
Check out a document


CS document properties on the Security tab

The Security tab displays a document’s current security settings. The first column lists the users and groups who have access rights; the second column lists the specific access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to a document, you see additional fields below the Document Security area that allow you to modify document security .

See also
CS security summary


CS document properties on the Preview tab

Select the Preview tab of the Properties window to preview the first page of the selected document.

See also
Preview first page


CS document properties on the Annotations tab

Select the Annotations tab of the Properties window to list the annotations contained in the document.
The display includes this information:

Column one | The type of annotation
Pg | Page on which the annotation occurs
# | Number of the annotation in order of creation (numbers are reused if you delete annotations; number matches sticky note)
Text | Any text associated with the annotation.
Left | X-axis starting position in inches.
Top | Y-axis starting position in inches
Width | Width of annotation in inches
Hght | Height of annotation in inches
Id | Internal ID number of annotation (corresponds to the number you see on the Common tab of the annotation’s properties)
You can resize any column by dragging the vertical bar between column headings. If you widen columns, a horizontal scroll bar appears at the bottom of the display.

See also
List annotations


CS document properties on the Versions tab

The Versions tab shows you all the versions of the document with their status, such as the version number and checkin date. You can also verify if a specific version is being archived or if it's been indexed.

The following list describes the document properties on the Versions tab.

Version Number

Uniquely identifies the version of the document.

Availability Status

Indicates whether the document version is online or archived.

Reclaim Pending?

Indicates whether the CS library system is in the process of reclaiming this document. Refer to Reclaim a document for more information.

Checked In by User

The name of the user who checked in the version.

Checkin Date

The date the version was checked in.

Checked Out?

Indicates whether the version is currently checked out.

Item ID

Uniquely identifies the document the version belongs to. This number is assigned when a document is first added to the library, and is the same for all versions of the document.

Indexing Status

For CS documents, indicates whether the version is currently indexed. Refer to Index a document for more information.

Permanent?

Identifies if a specific version of the document is made permanent and kept from being automatically archived. If Yes is displayed, the version will be kept online and not archived. The version will be automatically archived if No is displayed.


CS document properties on the Folders Filed In tab

Select the Folders Filed In tab of the Properties window to see a list of the folders the document is filed in.

See also
List folders containing a document


CS document properties on the Published tab

Right click the source document, choose Properties, and click the Published tab. In the grid is a list of source document versions that have been published.

Src Ver

Version number of source document when published.

Output Format

File format of the published document.

Status

Publishing status: Published if the process is complete; In Queue if waiting; In Work if the rendition engine is working on it; In Error if the process never completed. Administrators can delete documents In Queue and In Work. Anyone can delete documents In Error.

Information below the grid describes properties for the published document. Highlight a version of the source document to see information about the associated published document.

Document ID

Document ID assigned to published document.

Version Number

Version number of the published document, which can be different from that of the source document.

Style Template

Name of template used to format the published document. Templates can determine how the published document appears and how the reader is allowed to interact with it.

Deleted when source is deleted

Yes, if the published document is deleted automatically when deleting the source document.

Publish Request Date

Blank if publishing is complete. Otherwise the date and time submitted for publication.

Status description

Provides additional information about the current status. For example, if the status is Error, you can see more about the error here.


IS document properties on the General tab

Select the General tab of the Properties window to view or modify the following properties.

Document ID

The ID number for the document.

Type

The MIME type of the document.

Library

The name of the IBM FileNet library on which the document is stored.

Class

The document class defined for the document.

Created

The date the document was entered into the IBM FileNet system.

Format

The format of the active document. Possible formats can be IMAGE, TEXT, FORM, MIXED or OTHER.

Pages

The number of pages contained in the document.

Note: Multipage TIFF images display as having only one page.

Document status

Active:The default status of a document.Otherwise, if the retention base has been set to Entry Date, a document whose retention period in the IBM FileNet database has not expired.

Closed:When the document's retention base is the Entry Date, the IBM FileNet system changes the status from Active to Closed when the retention period expires.When the retention period is based on the document's Close Date, a user must explicitly close the document.The retention period then starts rather than ends with the Close Date.

Document expiration

The system administrator specifies a disposition for each document class.Click the appropriate button to change a document's disposition.

Archive: When the retention period for the document expires, it is eligible to be archived.

Delete: When the retention period for the document expires, it is eligible to be deleted.

For more information on document disposition, see Archive Expired Documents and Delete Expired Documents .

Archive/Delete Date

Determine the date the document expires and becomes eligible for either archiving or deletion from an IBM FileNet database. You can base this date on either the date the document was entered [image] select Entry Date [image] or on the date the document was closed [image] select Close Date.

When the retention period that was based on a document's entry date expires, the IBM FileNet system changes the document's status from Active to Closed and the document immediately becomes eligible for archiving or deletion.

When the retention period is based on a document's close date, the retention period starts rather than ends with the Close Date and the document is not eligible for archiving or deletion until the retention period expires.

Plus _____ months

You enter the number of months to be added to the Entry Date or Close Date. The system adds the months you specify to the entry or close date then calculates and displays (in the Delete Date field) the actual date that the selected document will expire.


IS document properties on the Properties tab

Select the Properties tab of the Properties window to view or modify system or user properties.

Property

View the user or system properties of the document. A diamond displays next to properties for which you are required to enter a value.

Value

View or modify the value of each property for the document.


IS document properties on the Security tab

Select the Security tab of the Properties window to view or modify the following properties. You edit the permissions fields to change the names of the user or group with the permissions required to perform operations on documents.

The default security for a newly created document is defined by the document class.

Read

The name of the user or group with the permission to retrieve, display, and print the document.

Write

The name of the user or group with the permission to delete the document or modify its index value.The user or group must also have Read permission.

Append/Execute

The name of the user or group with permission to create annotations or delete documents.The user or group must also have Read permission.

Find

Select to display a picklist of users or groups that have permission to read, write, or append/execute the active document.You select from the picklist to change the user or group displayed in the Read, Write, or Append/Execute fields.


IS document properties on the Annotations tab

Select the Annotations tab of the Properties window to list the annotations contained in the document.

Select the Annotations tab of the Properties window to list the annotations contained in the document.

The display includes this information:

Column one | The type of annotation
Pg | Page on which the annotation occurs
# | Number of the annotation (numbers are reused if you delete annotations; number matches sticky note)
Text | Any text associated with the annotation.
Left | X-axis starting position in inches.
Top | Y-axis starting position in inches
Width | Width of annotation in inches
Hght | Height of annotation in inches
Id | Internal ID number of annotation (corresponds to the number you see on the Common tab of the annotation’s properties)

You can resize any column by dragging the vertical bar between column headings. If you widen columns, a horizontal scroll bar appears at the bottom of the display.

See also
List annotations


IS document properties on the Folders Filed In tab

Select the Folders Filed In tab of the Properties window to see a list of the folders the document is filed in.

See also
List folders containing a do cument


IS document properties on the Preview tab

Select the Preview tab of the Properties window to preview the first page of the selected document.

See also
Preview first page


Compound document properties on the General tab

The General tab displays the current settings for the compound document, such as its Document Type, Document ID, and current access rights. You can also view the document attributes and determine if the document is currently online or checked out. If the document is checked out, the user, group, and the date the document was checked out is also displayed on this tab.

Type

Displays the type of document.

ID

Displays the ID number assigned to the document.

Version

Displays the version number of the document.

Class

Displays the document class assigned to the document.

Library

Displays the library in which this document is stored.

Access

Displays the access rights to the document.

Attributes

Check boxes show if the document is online, checked out, indexed, published, replicated or if it is a compound document.

If the document is stored in a replicated folder, the library name and server on which the original document and folder reside appears in this field. The original document's ID is also displayed.

User

Displays name of the user who checked out the document.

Group

Displays the group of the user who checked out the document.

On

Displays the date and time the document was checked out.


Compound document properties on the Properties tab

Each document must be assigned a document class . Specific document properties are assigned to a document class by your system administrator. Each document property describes the document, its location, versions, and status. Document properties can be single-value or multivalue. They are assigned by your system administrator. These properties determine the number of values you can assign to a document. Single-value properties only allow you to enter single text, integer or date and time values for a document. Multivalue properties are customized and allow you to enter more than one value for a document.

Some document properties may also have associated version properties. Document security allows you to set and maintain user and group access rights to a document. When you add a document , you assign properties.

See also
View or modify parent and child document relationships
View or modify multi value document properties
View or modify date and time properties


Compound document properties on the Security tab

The Security tab displays a document’s current security settings. The first column lists the users and groups who have access rights; the second column lists the specific access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to a document, you see additional fields below the Document Security area that allow you to modify document security .

Each component of a compound document has its own access rights.

See also
CS security summary


Compound document properties on the Preview tab

Select the Preview tab of the Properties window to preview the first page of the selected document.

See also
Preview first page


Compound document properties on the Annotations tab

Select the Annotations tab of the Properties window to list the annotations contained in the document.

See also
List annotations


Compound document properties on the Versions tab

The Versions tab shows you all the versions of the compound document with their status, such as the version number and checkin date. You can also verify if a specific version is being archived or if it's been indexed.

Note

If you are viewing the properties for a parent document, you can also verify and view the component hierarchy of any version of the parent document.

The following list describes the document properties on the Versions tab.

Version Number

Uniquely identifies the version of the document.

Availability Status

Indicates whether the document version is online or archived.

Reclaim Pending?

Indicates whether the CS library system is in the process of reclaiming this document. Refer to Reclaim a document for more information.

Checked In by User

The name of the user who checked in the version.

Checkin Date

The date the version was checked in.

Checked Out?

Indicates whether the version is currently checked out.

Item ID

Uniquely identifies the document the version belongs to. This number is assigned when a document is first added to the library, and is the same for all versions of the document.

Indexing Status

For CS documents, indicates whether the version is currently indexed. Refer to Index a document for more information.

Permanent?

Identifies if a specific version of the document is made permanent and kept from being automatically archived. If Yes is displayed, the version will be kept online and not archived. The version will be automatically archived if No is displayed.


Compound document properties on the Folders Filed In tab

The Folders Filed In tab lists the folders in which the document resides in the CS library.

See also
List folders containing a document


Compound document properties on the Published tab

Src Ver

Version number of source document when published.

Output Format

File format of the published document.

Status

Publishing status: Published if the process is complete; In Queue if waiting; In Work if the rendition engine is working on it; In Error if the process never completed. Administrators can delete documents In Queue and In Work. Anyone can delete documents In Error.

Information below the grid describes properties for the published document. Highlight a version of the source document to see information about the associated published document.

Document ID

Document ID assigned to published document.

Version Number

Version number of the published document, which can be different from that of the source document.

Style Template

Name of template used to format the published document. Templates can determine how the published document appears and how the reader is allowed to interact with it.

Deleted when source is deleted

Yes, if the published document is deleted automatically when deleting the source document.

Publish Request Date

Blank if publishing is complete. Otherwise the date and time submitted for publication.

Status description

Provides additional information about the current status. For example, if the status is Error, you can see more about the error here.


Link properties

A link is a connection between components of a compound document. Specifically, a link is an OLE link, which is a reference to another document. Links have properties that identify them as be static or dynamic, as well as the location and properties of the child documents that are linked. Some of the link properties are specific to dynamic links only, such as Property ID, Property Value and Automatically Roll Link Forward. All other properties are common to both dynamic and static links. The distinction made between static and dynamic links refers to the nature of the link the parent document has to the child document. A static link associates the same version of the child document to the parent document in compound document. However, a dynamic link can change over time. A common example is that the parent document links to the most recent version of the child document in a compound document.

Child Document Identifier

This is a read-only field and identifies a specific child document version.

Property ID (Dynamic link property only)

You can modify this field. This field identifies the latest version of the child document to which the parent document is dynamically linked.

Property Value (Dynamic link property only)

You can modify this field. This field displays the version number of the child document.

Uses Relative Path

This is a read-only field. An authoring application like Microsoft Word that was used to create the parent document uses the information displayed in this field to search for the child document after it is copied or checked out from the CS library to your local hard drive. The following six options in the left column can appear in this field:

Not Defined | Not enough information to link the child document is available.
Relative | The child document must be linked so that the relative path between the parent and child document is the same as when the child document was checked into the library.
Absolute | The child document must be linked so that the absolute path between the parent and child document is the same as when the child document was checked into the library.
Both but relative preferred | The child document can be linked using either the relative or absolute path. But the relative path is preferred.
Both but absolute preferred | The child document can be linked using either the relative or absolute path. But the absolute path is preferred.
Custom | Special applications may not fall into the previous categories for linking the child document.

Relative Path

This is a read-only field and specifies the file path of the child document relative to the working directory.

Absolute Path

This is a read-only field and specifies the file path of the child document relative to its root directory.

Link Strength

You can modify this field. It determines the child documents that can be deleted without deleting the parent document. Static links can be either strong or weak. Select the appropriate link strength.

To Part of Child

You can modify this field. It provides information about links that point to the entire child document or a portion of the document. For example, a Word parent document may be linked to an Excel spreadsheet and the link may be pointing to only certain cells in the spreadsheet instead of the entire spreadsheet.

The following three values in the left column can appear in this field:

Unknown | This information is not available for this link.
Part | Only a part of the child document is relevant to the parent document.
Whole | The whole child document is relevant to the parent document.

Child Visibility

You can modify this field. It provides information about the visual appearance to the link in the parent document. The following five values in the left column can appear in this field:

Unknown | This information is not available for this link.
As Icon | The child document appears as an icon in the parent document.
Embedded | All or part of the child document content appears in the parent document.
As Link | The link appears as a hyperlink in the parent document.
Appended | The content of the child document is condensed to form the parent document.

Child Update Mode

You can modify this field. It determines whether the application used for editing the parent document will automatically detect that a child document was modified and update the child document's appearance within the parent document. The following three values in the left column can appear in this field:

Unknown | This information is not available for this link.
Automatic | Changes to the child document will be automatically reflected in the parent document.
Manual | You will have to manually perform a step in order to see the changes to the child document within the parent document.

Role

You can modify this field.

Child Role

You can modify this field.

Parent Role

You can modify this field.

Automatically Roll Link Forward (Dynamic link property only)

You can modify this field during an Add or Check-in process. If you select True, you are indicating the child document is manually linked to a parent document. The next time the compound document is checked in, the manual link will roll forward with the new version.

If you select False, you are indicating the child document is not manually linked to a parent document.


External document properties on the General tab

The General tab displays the current settings for the external document, such as its Document Type, Document ID, and current access rights. You can also view the document attributes and determine if the document is currently online or checked out. If the document is checked out, the user, group, and the date the document was checked out is also displayed on this tab.

Type

Displays the type of document.

ID

Displays the ID number assigned to the document.

Version

Displays the version number of the document.

Class

Displays the document class assigned to the document.

Library

Displays the library in which this document is stored.

Access

Displays the access rights to the document.

Attributes

Displays the current status of the document, such as check out date and indexing status.

User

Displays name of the user who checked out the document.

Group

Displays the group of the user who checked out the document.

On

Displays the date and time the document was checked out.


External document properties on the Properties tab

Each document must be assigned a document class . Specific document properties are assigned to a document class by your system administrator. Each document property describes the document, its location, versions, and status. Document properties can be single-value or multivalue. They are assigned by your system administrator. These properties determine the number of values you can assign to a document. Single-value properties only allow you to enter single text, integer or date and time values for a document. Multivalue properties are customized and allow you to enter more than one value for a document.

Some document properties may also have associated version properties. Document security allows you to set and maintain user and group access rights to a document. When you add an external document , you assign properties.

See also
View or modify multi-value document properties
View or modify date and time properties


External document properties on the Security tab

The Security tab displays a document’s current security settings. The first column lists the users and groups who have access rights; the second column lists the specific access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to a document, you see additional fields below the Document Security area that allow you to modify document security .

See also
CS security summary


External document properties on the Versions tab

The Versions tab shows you all the versions of the document with their status, such as the version number and checkin date. You can also see if a version has been archived or indexed

The following list describes the document properties on the Versions tab.

Version Number

Uniquely identifies the version of the document.

Availability Status

Indicates whether the document version is online or archived.

Reclaim Pending?

Indicates whether the CS library system is in the process of reclaiming this document. Refer to Reclaim a document for more information.

Checked In by User

The name of the user who checked in the version.

Checkin Date

The date the version was checked in.

Checked Out?

Indicates whether the version is currently checked out.

Item ID

Uniquely identifies the document the version belongs to. This number is assigned when a document is first added to the library, and is the same for all versions of the document.

Indexing Status

For CS documents, indicates whether the version is currently indexed. Refer to Index a document for more information.

Permanent?

Identifies if a specific version of the document is made permanent and kept from being automatically archived. If Yes is displayed, the version will be kept online and not archived. The version will be automatically archived if No is displayed.


External document properties on the Folders Filed In tab

The Folders Filed In tab lists the folders in which the document resides in the CS library.

See also
List folders containing a document


CS folder properties on the General tab

The following properties appear on the General tab.

Library

Displays the name that represents the CS library.

Name

Displays a folder name.

Type

Displays a folder type.

ID

Displays a numeric folder ID.

Location

Displays the location of the folder in the path.

Owner

Displays the name of the user who created the folder.

Access

Displays the access rights you have to the folder.

Comment

Displays comments about the folder. You can modify the comments.

If the folder is a replication folder, libraries in which the folder is replicated appears in this section. The first library that is listed is the original library.

Replication libraries

Displays the CS library and server to which this folder is replicated .


CS folder properties on the Security tab

The Security tab displays a folder’s current security settings. The first column lists the users and groups who have access rights; the second column lists the specific access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to a folder, you see additional fields below the Folder Security area that allow you to modify folder security .

See also
CS security summary


IS folder properties on the General tab

The folder properties displayed on the General tab are listed below. The Status, Disposition, Use, and Plus fields work together to determine when a document is considered old and what to do with old documents.

Name

The name assigned to the folder by the user.

Type

Object type, which is "Folder".

ID

A system-assigned folder number, which is unique within the library. IDM Desktop displays only folder names (except on a folder's property page). An application can retrieve folders by name or folder ID.

Created

Folder creation date.

Library

Three-part name of the service that stores the folder.

Location

The folder's path and name.

Status

Active or Closed. IDM Desktop displays both active and closed folders. You cannot file a document in a closed folder.

Automatic unfiling period

Documents are automatically unfiled after the number of months shown here. A value of zero, the default, disables auto-unfiling.

Disposition

Archive or Delete: At the end of the retention period, a folder can be archived or deleted. You cannot retrieve a deleted folder. You can retrieve an archived folder from an archive database. The default is Delete.

Use

Close Date or Entry Date (creation date): Specifies when to start counting the retention period. Entry Date is the default.

When the retention period starts on the Entry Date, the system calculates the archive or delete date at entry. When the retention period starts on the Close Date, the system calculates the archive or delete date only after a user or application closes the folder. If known, the property page displays the archive or delete date. When the archive date or the delete date occurs, the system marks the folder eligible for deletion or archiving.

Plus

Specifies the length of the retention period, in months, from either the Entry Date or Close Date. 996 months is the default.


IS folder properties on the Security tab

The following folder properties appear on the Security tab:

Read

The group whose members can view and open the folder. You can choose only one user or group name.

Write

The group whose members can edit the folder's attributes. You can choose only one user or group name.

Append/Execute

The group whose members can file and unfile documents. You can choose only one user or group name.

Find

Select to display a pick-list of users or groups that have permission to read, write, or append/execute the folder. You select from the pick-list to change the user or group displayed in the Read, Write, or Append/Execute fields.

When created, all three folder access rights are set to the primary group of the user who created the folder. A folder is not visible to you unless you have Read access rights. To delete a folder, you must have all three access rights.


Annotation properties summary

This table shows the properties you can modify to change the appearance of each annotation type.

Annotation Type

Modifiable Properties

Arrowhead Style Color Line Width Font Text Background Border Text
Arrow
Highlight
Pen
Stamp*
Sticky Note
Text Note**

  • Also Transparent and Angle

  • Also Transparent


IS annotation properties on the Common tab

Annotation properties on the Common tab

The Common tab contains general properties for the selected annotation.

Document ID

The ID number of the parent document.

Page number

The page number on which the annotation appears.

Annotation ID

The ID number of the selected annotation.

Entry date

The date the annotation was created.

Modified date

The date the annotation was modified.

Top

The distance in inches from the top edge of the image.

Left

The distance in inches from the left edge of the image.

Height

The height in inches of an annotation window.

Width

The width in inches of an annotation window.

Note

You can edit some of these properties (top, left, for all annotations except the arrow; height, width for pen and text). Unless you need to position an annotation precisely, it is generally easier to move or resize an annotation using the mouse.


IS annotation properties on the Security tab

An annotation has three security access rights: read, write, and append/execute. On an IS system, each user belongs to a primary group. When a user creates an annotation, all three access rights are set to the primary group of the logged-on user.

Read

You can view and print the annotation.

Write

You can modify the annotation properties. You also need Read permission.

Append/Execute

You can delete the annotation. You also need Read and Write permission.

Find

Select this button to display a list of users or groups. You select from the list to change to a different user or group.

Note

If you create an annotation via a web server, all access rights are set to (ANYONE) by default.


CS annotation properties on the Security tab

The Security tab displays an annotation's current security settings. The first column lists the users and groups who have access rights; the second column lists the access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to an annotation, you see additional fields below the Annotation Security area that allow you to modify the annotation security .

See also
CS security summary


IS annotation properties on the Highlight tab

Annotation properties on the Highlight tab

The Highlight tab displays only one setting:

Custom Color

Select the button to specify the color of the highlight.


IS annotation properties on the Text tab

Annotation properties on the Text tab

You can enter or modify text on the Text tab, and you can modify the appearance of the text through the Style tab.


IS annotation properties on the Style tab

Annotation properties on the Style tab

The Style tab for the Text and Stamp annotations contains the following fields.

Font

Select the button to specify the typeface, point size, and style of the text for a Text or Stamp annotation.

Background

Select the color of the background of the text for a Text or Stamp annotation.

Transparent

Select the check box to see through the background color to the displayed document.

Angle

Enter or select the position of the text on the displayed document for a Stamp annotation.The Angle field is not available on the Style tab for the Text annotation.

Border

Select the check box to enable a border for the Text or Stamp annotation text.

Width

Select the width of the border for the text of a Text or Stamp annotation.

Color

Select the color of the border for the text of a Text or Stamp annotation.


IS annotation properties on the Pen tab

Annotation properties on the Pen tab

The Pen tab contains the following fields for the Pen (drawing) annotation.

Custom Color

Select this button to specify a custom color for the Pen (drawing) annotation.

Width

Select the width of the Pen (drawing) annotation.


IS annotation properties on the Arrow tab

Annotation properties on the Arrow tab

The Arrow tab contains the following fields for the Arrow annotation.

Custom Color

Select this button to specify a custom color for the Arrow annotation.

Arrowhead Style

Select the size of the arrowhead or None for no arrowhead.

Width

Select the width of the arrowhead.


IS annotation properties on the Sticky Note tab

Annotation properties on the Sticky Note tab

You can enter or modify text on the Sticky Note tab but not modify the appearance of the text.


IS annotation properties on the Stamp tab

Annotation properties on the Stamp tab

The Stamp tab contains the following fields for the Stamp annotation.

Stamp text

Enter free-style text or select a button to enter date, time, and user name template text.(You can also enter free-style text and template text at the same time.)

Insert Date

Click this button to insert a date (or date template) into the text box.

Insert Time

Click this button to insert the time (or a time template) into the text box.

Insert User Name

Click this button to insert the user name (or a user name template) into the text box.


CS stored search properties on the General tab

CS search properties on the General tab

When saved in a CS library, stored searches and search templates have the same properties. The fields on the General tab identify the search, the user who created it, and the user who last modified it.

Type

Displays the search type assigned to the stored search:, Stored Search, Stored Search Template, or Custom Search.

ID

Displays the ID number assigned to the stored search.

Library

Displays the name of the library in which this search criteria is stored.

Author

Displays the name of the user who created this stored search.

Access

Displays the access rights to the stored search.

Modified

Displays the date and time the stored search was last modified. This date specifies the time when the search criteria was last modified.

Modified By

Displays the name of the user who last modified the stored search. The user can be different from the user who initially created the stored search.

Comment

Displays comments about the stored search.


CS stored search properties on the Security tab

CS search properties on the Security tab

When saved in a CS library, stored searches and search templates have the same properties. The Security tab displays a search’s current security settings. The first column lists the users and groups who have access rights; the second column lists the specific access rights assigned to those users and groups.

If you are an administrator or if you have Owner access rights to a stored search, you see additional fields below the Stored Search Security area that allow you to modify stored search security .

See also
CS security summary


CS stored search properties on the Folders Filed In tab

CS search properties on the Folders Filed In tab

When saved in a CS library, a stored searches and search templates have the same properties. The Folders Filed In tab lists the CS library folders that contain the search. You right-click each folder to perform actions on it such as opening, copying, pasting, deleting, renaming, creating a folder shortcut, and viewing folder properties.


Document formats supported by the Viewer

You can download the latest version of the free Acrobat Reader from the Adobe web site. For more information on how documents are displayed, see How IS documents display and print .

Formats are rendered as shown in the table. V = Viewer, O = Outside In; A = Adobe Acrobat; B = Browser. Also WP = word processing, SS = spreadsheet, DB = database

Rendered by: File Format

Version

O Access

Versions thru 2.0

A O Adobe Acrobat Portable Document Format (PDF)

Versions 2.1, 3.0, 4.0

O Adobe FrameMaker (MIF)

Version 6.0

O Adobe FrameMaker Graphics (FMV)

Version 5.0

O Adobe Illustrator

Versions thru 9.0

O Adobe Photoshop (PSD)

Version 4.0

O AMI/AMI Professional

Versions thru 3.1

O AmiDraw (SDW)

No specific version

O ANSI Text (7 & 8 bit)

All versions

O ANSI, CALS, NIST

Version 3.0

O ASCII Text (7 & 8 bit versions available)

All versions

O AutoCad Interchange (DXF and DWG)

Version 2.5-2.6, 9.0-14.0, 2000i-2002

O Binary Group 3 Fax

All versions

O Bitmap (BMP RLE, ICO, CUR & OS/2 DIB)

Windows

V BMP

O CALS Raster

Type I & Type II

V COLD (with and without background templates)

O Computer Graphics Metafile (CGM)

No specific version

O Corel Draw (CDR with TIFF header)

Versions 2.0 thru 9.0

O Corel Draw (CDR)

Versions 6.0 throu 8.0

O Corel/Novel WordPefect for Windows

Versions thru 10

O Corel/Novell Presentations

Versions thru 10

O DataEase

Version 4.x

O dBASE

Versions thru 5.0

O dBXL

Version 1.3

O DEC WPS-PLUS (DX)

Versions thru 4.0

O DEC WPS-PLUS (WPL)

Versions thru 4.1

O DisplayWrite 2 & 3 (TXT)

All versions

O DisplayWrite 4 & 5

Versions thru 2.0

O DWG -- AutoCAD Native Drawing Format

Versions 12 thru 14

O DXF (Binary and ASCII) AutoCAD Drawing Interchange Format

Versions thru 14

O EMF

Windows Enhanced Metafile

O Enable (WP, SS, DB)

Versions 3.0, 4.0 and 4.5

O Encapsulated PostScript (EPS)

TIFF header only

O Executable (EXE, DLL)

No specific version

O Executable for Windows NT

No specific version

V IBM FileNet banded and tiled

O First Choice (WP, SS, DB)

Versions thru 3.0

O FoxBase

Version 2.1

O FPX - Kodak Flash Pix

No specific version

O Framework (WP, SS, DB)

Version 3.0

O Freelance for OS/2

Versions thru 2.0

O Freelance for Windows

Version thru Millennium Edition 9.6

O GDF - IBM Graphics Data Format

Version 1.0

O GEM Paint (IMG)

No specific version

O Graphics Interchange Format (GIF)

No specific version

O GZIP

No specific format

O Harvard Graphics for DOS

Versions 2.x and 3.x

O Harvard Graphics for Windows

Version 3

O Hewlett Packard Graphics Language (HPGL)

Version 2

B HTML

No specific version

O HTML

Versions thru 3.0

O IBM FFT

All versions

O IBM Revisable Form Text

All versions

O IBM Writing Assistant

Version 1.01

O Ichitaro (JustSystems)

Versions 5.0, 6.0, 8.0, 9.0 and 10.0

O IGES -- Initial Graphics Exchange Specification

Version 5.1

O IMG -- GEM Paint

No specific version

O JFIF (JPEG not in TIFF format

All versions

O JPEG

No specific version

V JPEG in JFIF format, 8-bit grayscale and 24-bit color only

All versions

JPEG 2000 (jp2 file formats)

O

JustSystems Ichitaro

Versions 5.0, 6.0, 8.0, 9.0, 10.0

O JustWrite

Versions thru 3.0

O Kodak Flash Pix (FPX)

No specific version

O Kodak Photo CD (PCD)

Version 1.0

O Legacy

Versions thru 1.1

O Lotus 1-2-3 (DOS & Windows)

Versions thru 5.0

O Lotus 1-2-3 (OS/2)

Versions thru 2.0

O Lotus 1-2-3 Charts (DOS & Windows)

Versions thru 5.0

O Lotus 1-2-3 for SmartSuite

Versions 97 thru Millennium

O Lotus AMI/AMI Professional

Version thru 3.1

O Lotus PIC

No specific version

O Lotus Snapshot

All versions

O Lotus Symphony

Versions 1.0,1.1 and 2.0

O Lotus WordPro for Windows

Versions 96 thru Millennium Edition 9.6, text only

O LZA Self Extracting Compress

No specific version

O LZH Compress

No specific version

O Macintosh PICT1 & PICT2

Bitmap only

O MacPaint for Macintosh

No specific version

O MacWrite II for Macintosh

Version 1.1

O Manuscript (Lotus)

Version 2.0

O MASS11

Versions thru 8.0

O MET -- OS/2 PM Metafile

Version 3.0

O Micrografx Designer (DRW)

Versions thru 3.1

O Micrografx Designer (DSP)

Win 95-Version 6.0

O Micrografx Draw (DRW)

Versions thru 4

O Microsoft Access

Versions thru 2.0

O Microsoft Binder

Version 7.0 thru 97

O Microsoft Excel Charts

Versions 2.x - 7.0

O Microsoft Excel for Windows

Versions 2.2 - 2002

O Microsoft Excel Macintosh

Versions 3.0 thru 98

O Microsoft Fax

See DCX

O Microsoft Multiplan

Version 4.0

O Microsoft Outlook (MSG)

Text only

O Microsoft PowerPoint for Macintosh

Versions 4.0 thru 98

O Microsoft PowerPoint for Windows

Versions 3.9 thru 2002

O Microsoft Project

Version 98 Text only

O Microsoft Rich Text Format (RTF)

All versions

O Microsoft WordPad

All versions

O Microsoft Word for DOS

Versions thru 6.0

O Microsoft Word for Macintosh

Versions 4.0 thru 98

O Microsoft Word for Windows

Versions thru 2002

O Microsoft Works for Windows (WP, SS, DB)

Versions thru 4.0

O Microsoft Works for DOS (WP, SS, DB)

Versions thru 2.0

O Microsoft Works for Macintosh (WP, SS, DB)

Versions thru 2.0

O Microsoft Write

Versions thru 3.0

O MIME (text mail)

No specific version

O Mosaic Twin

Version 2.5

O MultiMate

Versions thru 4.0

V Multipage TIFF

O Navy DIF

All versions

O Nota Bene

Version 3.0

O Novell Perfect Works (WP, SS, Draw)

Version 2.0

O Novell WordPefect

Versions 1.0 thru 3.0

O Office Writer

Versions 4.0 to 6.0

O OS/2 Bitmap

All versions

O OS/2 PM Metafile (MET)

Version 3.0

O Paintshop Pro (PSP)

Versions 5.0 and 5.0.1

O Paintshop Pro (PSP) Win 32 only

Version 6

O Paradox (DOS)

Versions thru 4.0

O Paradox (Windows)

Versions thru 1.0

O PBM -- Portable Bitmap

No specific version

V PC forms, DAM forms

V PC Paintbrush

PCX and DCX

O PCD -- Kodak Photo CD

Version 1.0

O PC-File Letter

Versions thru 5.0

O PC-File+ Letter

Versions thru 3.0

V PCX Paintbrush (PCX)

No specific version

A O PDF -- Portable Document Format

Versions 2.1, 3.0, 4.0 including Japanese

O Perfect Works (Draw)

Novell Version 2.0

O Personal R:BASE

Version 1.0

O PFS:Professional Plan

Version 1.0

O PFS:Write

Versions A, B and C

O PGM -- Portable Graymap

No specific version

O PIC Lotus 1-2-3 picture file

No specific version

O PICT1 & PICT2 (Raster)

Macintosh Standard

O PIF -- IBM Picture Interchange Format

Version 1.0

O Portable Bitmap (PBM)

No specific version

O Portable Graymap (PGM)

No specific version

O Portable Network Graphics (PNG)

Version 1.0

O Portable Pixmap (PPM)

No specific version

O Professional Write for DOS

Versions thru 2.1

O Progressive JPEG

No specific version

O PS -- Postscript

Level 2

O PSD-Adobe Photoshop

Version 4.0

O Q & A for DOS

Version 2.0

O QuattroPro for DOS

Versions thru 5.0

O QuattroPro for Windows

Versions thru 10

O R:BASE

Versions thru 3.1

O R:BASE System V

Version 1.0

O Reflex

Version 2.0

V Report Manager

O Samna Word

Versions thru Samna Word IV+

O SDW Ami Draw

O SmartSuite

See Lotus

O SmartWare II (WP, SS, DB)

Version 1.02

O Snapshot (Lotus)

All versions

O Sprint

Version 1.0

O SRS -- Sun Raster File Format

No specific version

O StarOffice (Win & Unix)

Version 5.2

O Sun Raster (SRS)

No specific version

O SuperCalc 5

Version 4.0

O TGA (TARGA)

Truevision

O TIFF

Versions thru 6

V TIFF 6 images with color

V TIFF banded Group 3, TIFF unbanded Group 3, TIFF unbanded Group 4, Multiple-strip TIFF Group 4, TIFF CCITT Group 3 and Group 4, CCITT Group 3 Fax, CCITT Group 4 Fax, and TIFF raw

O TIFF CCITT Group 3 & 4

Versions thru 6

V TIFF tiled Group 3, TIFF tiled Group 4 ,TIFF tiled raw

O Total Word

Version 1.2

O Truevision TGA (TARGA)

Version 2

O Unicode Text

All versions

O UNIX Compress

No specific version

O UNIX TAR

No specific version

O UUE

No specific version

O
  • Card

Version 2.1

O Visio

Versions 5 & 2002

O Visio (Preview)

Version 4

O Volkswriter 3 & 4

Versions thru 1.0

O VP Planner 3D

Version 1.0

O Wang PC (IWP)

Versions thru 2.6

O Windows Enhanced Metafile WMF

No specific version

O Windows Metafile (WMF)

No specific version

O WML

Version 5.2

V WordFlo

O WordMARC

Versions thru Composer Plus

O WordPerfect for DOS

Versions thru 6.1

O WordPerfect for Macintosh

Versions 1.02 thru 3.0

O WordPerfect for Windows

Versions thru 10.0

O WordPerfect Graphics (WPG and WPG2)

Versions thru 2.0

O WordStar 2000

Versions thru III Plus

O WordStar for DOS

Versions thru 7.0

O WordStar for Windows

Version 1.0

O X-Windows Bitmap (XBM)

X10 Compatible

O X-Windows Dump (XDM)

X10 Compatible

O X-Windows Pixmap XPM

X10 Compatible

O XyWrite

Versions thru III Plus

O ZIP

PKWARE versions through 2.04g


Viewer rendering logic


IS document formats that support annotations

Document formats that support annotations

Document formats that are rendered through Outside In cannot be annotated in the IDM Viewer, but they can be annotated programmatically. This means that you may see annotations listed on the Annotations Properties tab that will not be displayed on the document in IDM Viewer. You can annotate the following document formats:

TIFF G4

TIFF G3

TIFF Raw

Multipage TIFF (printable only through a local printer)

IBM FileNet Banded

IBM FileNet Tiled

PC forms

BMP

PCX

DIB (Windows and PM)

JPEG in JFIF format, 8-bit grayscale and 24-bit color only (not JPEG in TIFF format)

JPEG in TIFF format, as long as they are JFIF compliant

JPEG 2000 (jp2 file format)

COLD (with and without background templates)

WordFlo


Document formats that support content searching

CS libraries support content searching for the following document types:

WYSIWIG documents including word processing documents, desktop publishing documents, presentation graphics, and spreadsheets.

PDF documents generated by Adobe Acrobat.

HTML and tagged ASCII.

ASCII.

For CS 5.3 only, Extensible Markup Language (XML) on well-formed XML documents.


Supported IBM FileNet printer formats

You can print the following document formats on an IS library’s system printer:

  • IBM FileNet image format (tiled and non-tiled, compressed either G3 or G4)

  • TIFF images (tiled and non-tiled, compressed either G3 or G4), but not multipage TIFFs (printable on a local printer only)

  • JPEG color images

  • IBM FileNet COLD documents

  • WorkForce Desktop (WFD) forms

  • Annotations (printed with the document)


IDM Viewer application keyboard shortcuts

IDM Viewer Key | Result
F1 | Help.
Alt + Spacebar | Open control menu.
Ctrl+F6 | Sets focus on Next and Previous MDI window Pane.
Alt + F | Open File menu.
Alt + E | Open Edit menu.
Alt + V | Open View menu.
Alt + I | Open Image menu.
Alt + T | Open Tools menu.
Alt + W | Open Window menu.
Alt + H | Open Help menu.
Alt + F4 | Close the Viewer application.
File |
Ctrl+O | Open a committed document or a local file.
Ctrl+S | Saves annotations on a committed document.
Ctrl+M | Commit – Launches the Entry Wizard
Ctrl+P | Print – Opens the Print dialog
Shift+P | Remote Print – Opens the Remote Print dialog
Edit |
Ctrl+C | Copy an image in native format to the clipboard
F4 | Find the specified text in documents rendered by Outside In
Shift + F4 | Find the next occurrence of specified text in documents rendered by Outside In
Ctrl + F4 | Find the previous occurrence of specified text in documents rendered by Outside In
Shift+Page Up | First Page
Ctrl+Page Up | Previous Page
Ctrl+Page Down | Next Page
Shift+Page Down | Last Page
Ctrl+G | Go to Specific page
Ctrl+V | Only Available in text fields in dialogs for this release
Ctrl+Z | Only Available in text fields in dialogs for this release
Ctrl+X | Only Available in text fields in dialogs for this release
Image |
Ctrl+R | Rotate Document Right
Shift+R | Rotate Page Right
Ctrl+L | Rotate Document Left
Shift+L | Rotate Page Left
Ctrl+U | Rotate Document Upside down
Shift+U | Rotate Page upside down
View |
Ctrl++ | Zoom IN 10%
Ctrl+- | Zoom OUT 10%
Ctrl + W | Scale entire page to fit in window
Ctrl + D | Scale width of image to fit in window
Ctrl + H | Scale length of image to fit in window
Tools |
Ctrl+T | Opens the Customize dialog
Dialog Boxes |
Tab, Shift Tab | Tab and Shift Tab move the focus among the controls of the dialog box. Note that Buttons for activate, Help and Information are not in the tab order.
Arrow Keys | The arrow keys scroll list boxes in appropriate directions. They also perform the same function as Tab and Shift Tab if the focus is not in a list box.
Shift arrow | Shift with any arrow key highlights a block of text.
Delete | Deletes the character to the right of the cursor, or the currently highlighted text.
Backspace | Deletes the character to the left of the cursor.
Home | Scroll to the beginning of a list or line of text..
Ctrl + Home | Scroll to the beginning of a text buffer.
End | Scroll to the end of a list or line of text.
Ctrl + End | Scroll to the end of a text buffer.
Page Up | Scroll one page up in a list or text field..
Page Down | Scroll one page down in a list or text field.
Enter | Confirms the selected or default button, (the one with the thick border).


IS document shortcut menu

You can manage IS documents by right-clicking a document ID and selecting one of the following from the shortcut menu.

Note

The IS document shortcut menu may contain more selections than those shown below. Items with an asterisk can be configured as the default (double-click) action.

IDM View | Launches the IDM Viewer or a configured alternate viewer and opens selected documents.
Open | Launches a registered application and opens selected documents.
Send To | Sends documents or references to the documents via e-mail.
Copy | Copies documents to the Clipboard. To file them in another folder, use the Paste command.
Remove from folder | Removes (Unfiles) documents from the folder.
Delete | Deletes documents from the IDMIS library.
Print | Prints a document using the local printer.
IBM FileNet Print/Fax. | Prints documents using the WorkFlo/Print printer, fax, and other options.
Annotations | Displays a list of annotations for the selected document.
Folders Filed In | Displays a list of folders the selected document is filed in.
Preview | Displays a preview of the selected document.
Create Shortcut | Creates desktop shortcuts for the selected IS documents.
Properties | Allows you to view or modify properties for the selected IS document.


CS document shortcut menu

You can manage CS documents by right-clicking a document ID and selecting one of the following from the shortcut menu.

Note

The CS document shortcut menu may contain more selections than those shown below. Items with an asterisk can be configured as the default (double-click) action.

*IDM View | Launches the IDM Viewer or a configured alternate viewer and opens selected documents.
* Open | Moves the document to local cache, launches the registered application and opens the selected documents.
*Check out | Allows you to check out the selected documents.
Open Checkout | Opens the checked out documents on your local hard drive.
*Checkout and Open | Checks out the documents and opens them in their registered applications.
Check in | Checks in documents.
Cancel Checkout | Cancels the checkout of documents.
*Copy and Open | Copies documents to a specific location and opens them in their registered applications.
*Copy To | Copies documents to a specific location.
Send To | Sends references to the documents as e-mail attachments.
Copy | Copies a document to an CS folder.
Remove from folder | Removes documents from a CS folder.
Delete | Deletes documents from a CS library.
Print | Prints the document.
Publish | Publishes a document.
Archive | Initiates a request to archive the document version.
Permanent | Keeps a specific document version online rather than automatically archiving it.
Reclaim | Removes the document version from its archive repository and makes it available online.
Index | Indexes the document version for content searching.
DeIndex | Removes the indexing information from the document that is required for content searching.
Create Shortcut | Creates desktop shortcuts for the selected CS documents.
*Properties | Allows you to view or modify CS document properties.


Folders shortcut menu

In the IBM FileNet Neighborhood, you can manage folders by right-clicking a folder and selecting one of the following from the shortcut menu.

Note

The Folders shortcut menu may contain more selections than those shown below.

Explore | Opens a folder to see its contents.
Open | Opens a folder to see its contents.
Find | Starts IDM Desktop Find. You can search for specific documents.
Copy | Copies the folder to the clipboard. Use Paste to insert it in the new location. Folders can be copied and pasted between top folders and subfolders located on the same library.
Paste | Inserts the item you have copied into the folder.
Rename | Changes the name of the folder.
Delete | Deletes the folder including its subfolders. Also unfiles any documents in the deleted folder.
Create Shortcut | Allows you to create a desktop shortcut for the selected folder.
Properties | Allows you to view or modify folder properties.


CS stored search shortcut menu

You can manage stored searches by choosing the stored search icon [image] and using the following shortcut menu selections.

Open | Runs the search criteria associated with the stored search.
Show Criteria | Displays the search criteria for a specific stored search.
Send Shortcut | E-mails a shortcut to another user.
Copy | Creates a link to a stored search.
Remove from Folder | Unfiles the search from the folder. This makes the search unusable since you can’t search for a stored search. Do not unfile the only copy of a stored search.
Delete | Deletes a stored search from the folder. You must have Author or Owner access rights to delete a stored search.
Rename | Changes the name of the stored search. You must have Author or Owner access rights to rename a stored search.
Create Shortcut | Allows you to create a desktop shortcut for the selected stored search or template search.
Properties | Allows you to view or modify stored search properties.


External document shortcut menu

You can manage CS documents by right-clicking a document ID and selecting one of the following from the shortcut menu:

Open | Opens the document Property dialog box.
Check out | Allows you to check out the document.
Check in | Checks in a document.
Cancel Checkout | Cancels the checkout of a document.
Send | Sends a shortcut to the document as an e-mail attachment.
Remove from folder | Removes a document from a CS folder.
Delete | Deletes a document from a CS library.
Copy | Copies a document to a CS folder.
Create Shortcut | Allows you to create a desktop shortcut for the selected CS document.
Properties | Allows you to view or modify external document properties.


Compound document shortcut menu

You can manage CS documents by right-clicking a document ID and selecting one of the following from the shortcut menu.

IDM View | Launches the IDM Viewer and opens a compound document.
Open | Moves the document to local cache, launches the registered application and opens the document.
Explore Links | Opens the Explore dialog box and displays the structure of the compound document in a grid. You can work with the components of the compound document. This option only appears for the parent document.
Check out | Allows you to check out the compound document.
Open Checkout | Opens the checked out compound document on your local hard drive.
Checkout and Open | Checks out the compound document and opens it in a registered application.
Check in | Checks in a compound document.
Cancel Checkout | Cancels the checkout of a compound document.
Copy To | Copies a compound document to a specific location.
Copy and Open | Copies a compound document to a specific location and opens it in a registered application.
Send To | Sends a reference to the document as an e-mail attachment.
Copy | Copies a document to an CS folder.
Remove from folder | Removes a document from a CS folder.
Delete | Deletes a compound document from a CS library.
Print | Prints the compound document. You need to choose Explore Links to print the individual components.
Publish | Publishes the parent document in a compound document.
Archive | Initiates a request to archive the document version.
Permanent | Keeps a specific document version online rather than automatically archiving it.
Reclaim | Removes the document version from its archive repository and makes it available online.
Index | Indexes the document version for content searching.
DeIndex | Removes the indexing information from the document that is required for content searching.
Create Shortcut | Allows you to create a desktop shortcut for the selected CS compound document.
Properties | Allows you to view or modify compound document properties.


General_Information

The general information topics include a glossary, information about IBM FileNet, trademark notices, the license agreement and about how to use the IDM Desktop documentation.

The table of contents in the left pane of each page includes a main heading with subtopics. Only one set of subtopics is exposed at any one time. Click a different main heading to see its subtopics.

The words in the color bar above jump to the same main topics shown in the table of contents.


Feedback

Your feedback helps us to provide quality information. Please send any comments that you have about this publication or other IBM FileNet IDM Desktop documentation.

How to send your comments

Send your comments by e-mail to comments@us.ibm.com. Be sure to include the name of the product, the version number of the product, and the name and part number of the book (if applicable). If you are commenting on specific text, include the location of the text (for example, a chapter and section title, a table number, a page number, or a help topic title).


Notices

This information was developed for products and services offered in the U.S.A.

IBM may not offer the products, services, or features discussed in this document in other countries. Consult your local IBM representative for information on the products and services currently available in your area. Any reference to an IBM product, program, or service is not intended to state or imply that only that IBM product, program, or service may be used. Any functionally equivalent product, program, or service that does not infringe any IBM intellectual property right may be used instead. However, it is the user's responsibility to evaluate and verify the operation of any non-IBM product, program, or service.

IBM may have patents or pending patent applications covering subject matter described in this document. The furnishing of this document does not grant you any license to these patents. You can send license inquiries, in writing, to:

IBM Director of Licensing

IBM Corporation

North Castle Drive

Armonk, NY 10504-1785

U.S.A.

For license inquiries regarding double-byte (DBCS) information, contact the IBM Intellectual Property Department in your country or send inquiries, in writing, to:

Intellectual Property Licensing

Legal and Intellectual Property Law

IBM Japan, Ltd.

3-2-12, Roppongi, Minato-ku, Tokyo 106-8711 Japan

The following paragraph does not apply to the United Kingdom or any other country where such provisions are inconsistent with local law: INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS PUBLICATION "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some states do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

This information could include technical inaccuracies or typographical errors. Changes are periodically made to the information herein; these changes will be incorporated in new editions of the publication. IBM may make improvements and/or changes in the product(s) and/or the program(s) described in this publication at any time without notice.

Any references in this information to non-IBM Web sites are provided for convenience only and do not in any manner serve as an endorsement of those Web sites. The materials at those Web sites are not part of the materials for this IBM product and use of those Web sites is at your own risk.

IBM may use or distribute any of the information you supply in any way it believes appropriate without incurring any obligation to you.

Licensees of this program who wish to have information about it for the purpose of enabling: (i) the exchange of information between independently created programs and other programs (including this one) and (ii) the mutual use of the information which has been exchanged, should contact:

IBM Corporation

J46A/G4

555 Bailey Avenue

San Jose, CA 95141-1003

U.S.A.

Such information may be available, subject to appropriate terms and conditions, including in some cases, payment of a fee.

The licensed program described in this document and all licensed material available for it are provided by IBM under terms of the IBM Customer Agreement, IBM International Program License Agreement or any equivalent agreement between us.

Any performance data contained herein was determined in a controlled environment. Therefore, the results obtained in other operating environments may vary significantly. Some measurements may have been made on development-level systems and there is no guarantee that these measurements will be the same on generally available systems. Furthermore, some measurements may have been estimated through extrapolation. Actual results may vary. Users of this document should verify the applicable data for their specific environment.

Information concerning non-IBM products was obtained from the suppliers of those products, their published announcements or other publicly available sources. IBM has not tested those products and cannot confirm the accuracy of performance, compatibility or any other claims related to non-IBM products. Questions on the capabilities of non-IBM products should be addressed to the suppliers of those products.

All statements regarding IBM's future direction or intent are subject to change or withdrawal without notice, and represent goals and objectives only.

This information contains examples of data and reports used in daily business operations. To illustrate them as completely as possible, the examples include the names of individuals, companies, brands, and products. All of these names are fictitious and any similarity to the names and addresses used by an actual business enterprise is entirely coincidental.

COPYRIGHT LICENSE:

This information contains sample application programs in source language, which illustrate programming techniques on various operating platforms. You may copy, modify, and distribute these sample programs in any form without payment to IBM, for the purposes of developing, using, marketing or distributing application programs conforming to the application programming interface for the operating platform for which the sample programs are written. These examples have not been thoroughly tested under all conditions. IBM, therefore, cannot guarantee or imply reliability, serviceability, or function of these programs.

Portions of this product are:

  • Copyright (C) 1991-2, RSA DATA SECURITY, Inc. created 1991. All Rights Reserved.

  • Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler. All Rights Reserved.

  • Copyright (c) 1995-2009 International Business Machines Corporation and others

  • Copyright (C) 1991-2008 Unicode, Inc. All rights reserved.

  • Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

  • Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

  • Copyright (C) 1994-2010 EMC Corporation. All rights reserved.

  • Copyright (C) Snowbound Software Corporation 1993-2006, All rights reserved.

  • Copyright (C) 2002-2010 Rogue Wave Software, Inc. All Rights Reserved.

  • Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc. All Rights Reserved.

  • Copyright (C) Oracle® Outside In Viewer Technology, Copyright © 1992, 2007, Oracle. All Rights Reserved.

Trademarks

IBM, the IBM logo, and ibm.com are trademarks or registered trademarks of International Business Machines Corporation in the United States, other countries, or both. If these and other IBM trademarked terms are marked on their first occurrence in this information with a trademark symbol (® or ™), these symbols indicate U.S. registered or common law trademarks owned by IBM at the time this information was published. Such trademarks may also be registered or common law trademarks in other countries. A current list of IBM trademarks is available on the Web at "Copyright and trademark information" at www.ibm.com/legal/copytrade.shtml.

Adobe, the Adobe logo, PostScript, and the PostScript logo are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States, and/or other countries.

Intel, Intel logo, Intel Inside, Intel Inside logo, Intel Centrino, Intel Centrino logo, Celeron, Intel Xeon, Intel SpeedStep, Itanium, and Pentium are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.

Linux is a trademark of Linus Torvalds in the United States, other countries, or both.

Microsoft, Windows, Windows NT, and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

UNIX is a registered trademark of The Open Group in the United States and other countries.

Other company, product, and service names may be trademarks or service marks of others.


Terms_of_use

Permissions for the use of these publications is granted subject to the following terms and conditions.

Personal Use: You may reproduce these publications for your personal, noncommercial use provided that all proprietary notices are preserved. You may not distribute, display or make derivative work of these publications, or any portion thereof, without the express consent of IBM.

Commercial Use: You may reproduce, distribute and display these publications solely within your enterprise provided that all proprietary notices are preserved. You may not make derivative works of these publications, or reproduce, distribute or display these publications or any portion thereof outside your enterprise, without the express consent of IBM. Except as expressly granted in this permission, no other permissions, licenses or rights are granted, either express or implied, to the publications or any information, data, software or other intellectual property contained therein. IBM reserves the right to withdraw the permissions granted herein whenever, in its discretion, the use of the publications is detrimental to its interest or, as determined by IBM, the above instructions are not being properly followed. You may not download, export or re-export this information except in full compliance with all applicable laws and regulations, including all United States export laws and regulations.

IBM MAKES NO GUARANTEE ABOUT THE CONTENT OF THESE PUBLICATIONS. THE PUBLICATIONS ARE PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


ibm

IBM Web site

About IBM

Privacy

Contact


Access rights

For a CS library, security settings control access rights to libraries, documents, folders, stored searches, and search templates. Five levels define the access rights that can be assigned to users or groups: None, Viewer, Author, Owner, and Admin.

For an IS library, security settings control access rights to documents, folders, and annotations. Three access rights [image] read, write, and append/execute [image] each assigned to one and only one group for an item, constrain what users can do.


Added between

Enter the beginning and ending dates. You must enter both dates, which are start and end dates for the search.


Added by user

This property applies to every CS document. You can select the name of the user who added the document to the library.


All versions in property search

Select this option to search for all versions of a document using the search criteria you entered.


All versions in property search

All versions in CS property search

If not checked, a search searches the version properties of the current versions only.


AND condition

After selecting two or more conditions, you can click this button to specify that all conditions must be met to satisfy the search criteria.


AND/OR specifications

This area shows the relationship between search conditions. The length of the bars indicates which rows have the AND or OR relationships.


Application integration

Working with library documents from desktop applications such as Microsoft Word or PowerPoint.


Apply Commands To list

Click the Apply Commands to arrow to see a list of components to which you can apply different commands. The list contains the following options:

All documents
This is the default option. Use this option to apply the specified command to all components in the compound document and hierarchy. You cannot select this option for a specific document.

Parent document only
Use this option to apply the specified command to the parent document and to skip the components.

Parent and direct child documents
Use this option to apply the specified command to the root parent document and the first-level child documents. All other components are set to Skip.

Parent and child documents as needed
This option lets IDM Desktop determine the commands to be applied to the parent and child documents.


Archive expired documents

When the disposition for a document is Archive, the system administrator can run a special program to archive eligible documents. You can still retrieve an archived document by specifying its associated archive database in a query.


Argument

An argument specifies additional information or an option for the custom tool. For example, if you add a tool that starts Microsoft Word, you can include an argument that specifies the name of a file to open.


Arrow (Tools Menu)

Selects the tool for drawing an arrow on the active page.


Availability Status

A CS document property that indicates whether a document version is online or archived.


Batch

A set of documents, usually belonging to the same document class, that are entered to the library together. In IBM FileNet Capture, a batch is represented as a folder.


Browse

Navigating through the libraries, folders, and documents in the IBM FileNet Neighborhood.


Cache

A temporary storage location on magnetic disk. Each IDM Desktop user has local cache, a configurable amount of reserved space on the local hard drive. An IS server has server cache, reserved space on the server for documents retrieved from optical disk. When you retrieve a document, the document moves from optical disk to server cache to local cache.


Catalog
To add records to a database. For IS, cataloging inserts property records into the property database and location records into the permanent database.


Check in

An action taken on a checked-out document. Checking in a document completes the creation of a new version and concludes the checkout.


Check out

An action taken on a CS document that makes the content available to the user for editing. No other user can modify a checked-out document.


Checked in by user

The name of the user who checked in the version.


Checked out?

Indicates whether the version is currently checked out.


Check-in date

The date the version was checked in.


Checkout list

Lists the documents you have checked out from the CS library.


Checkout Status Column

A [image] appears in this column if the document is currently checked out of the CS library.


Circular compound document

A circular compound document consists of a grandchild document that is also the parent of its parent's parent (grandparent) document.


Clear All

To clear all search conditions prior to starting a new search, click this button. A dialog will ask if you want to save the search criteria.


Command Column

This column displays the different commands you can perform with the document. The commands that appear are dependent on the tasks you want accomplished. They are relevant to the option you selected from the document's shortcut menu.

You access the commands when you click the cell in the Command column that relates to the document you are working with. The Command arrow appears, where you can click specific commands. Click [image] to access additional document options.


Commit, committal

A committed document is one that has been saved to an IS library. The last step in the process of creating an IS document, committal writes the document to optical disk and updates the property database.


components

Component

A compound document is composed of multiple documents called components. Each compound document has one component, called the parent document, which is the document that was added to the library. All other components, called child documents, are linked to the parent directly or indirectly (via links in child documents). Most operations work on all components of a compound document. For example, when you check out a compound document, you can check out all components in one operation.
Although the components are linked, each component has its independent identify as well. It has its own access rights and can be operated on independently.


Compound documents

A compound document is composed of multiple documents called components. Each compound document has one component, called the parent document, which is the document that was added to the library. All other components, called child documents, are linked to the parent directly or indirectly (via links in child documents). Most operations work on all components of a compound document. For example, when you check out a compound document, you can check out all components in one operation.

Although the components are linked, each component has its independent identify as well. It has its own access rights and can be operated on independently.


Content

The data portion of a document, as opposed to the properties that identify and describe the document.


Content Services

Server software and utilities for document management and version control. Formerly known as Panagon Content Services.


Copy

Select this option to copy the document to your local hard drive before it is opened.


Criteria tab

Click the Criteria tab to enter search conditions


CS Replication Services


Custom searches

Searches created by a custom application program.


CVL (controlled vocabulary list)

A list of acceptable values for a property field. The CS system administrator defines the list.


Darker

Darker favors the dark pixel. For example, if the Viewer shows only one of every two pixels, when one pixel is dark and one is light the Viewer displays the dark one.


Date Value Calendar

If the property uses dates, you can display a calendar by clicking the down-arrow.. At the top of the calendar, click the double chevrons to move forward or backward by year. Click the single chevrons to move forward or backward a month. Click the number representing the day. The default is today’s date.

You can also click the tiny up and down bars to the left of the down-arrow. to change a selected portion of the date. For example, select the month (8 in the illustration), then click the top bar to move forward a month. Click the bottom bar to move backward a month.


Default group

Every CS user belongs to a default group. The system administrator assigns this group when defining your user account. At logon time, if you don't specify a group, you log on as a member of this default group.


Default network library

The IS libraries that you see in the Entire IBM FileNet Network are the remote libraries configured for the default network library (an IS library). You can set your default network library in IDM Configure, thereby changing the list of servers you see in the Entire IBM FileNet Network.


Default Workstation Library

Default preferred library

The library that you use most frequently. IDM Desktop prompts you to log on to this library when you perform an operation that requires logon.


Delete Condition

After selecting one or more conditions, click this button to delete the selected conditions.


Delete expired documents

Expired documents are not deleted automatically. To delete expired documents the system administrator runs a special program. An expired document can be retrieved until it is deleted by this program. After the system administrator runs this program, you cannot retrieve an expired document by any means. The program ignores documents eligible for archiving.


Developer files not installed

Developer files are not installed

The Help files cannot be displayed because you did not install the developer files.


Do I need to set any preferences?

The only configuration requirement is this [image] you must configure at least one library before you can use the software. Otherwise, all preferences and customizations are optional and have reasonable defaults so you can use the software as installed. You can set or change preferences and customize your applications at any time.


Docked toolbar

A toolbar can be floating or docked. A toolbar is docked when it is attached to the application window. You can dock the toolbar below the application title bar or to the left, right or bottom edge of the application window. When you drag the toolbar to the edge of the application window, the toolbar outline snaps into place along the length of the application window edge.


DocType

Document type

For IS libraries only, the document type (F_DOCTYPE) indicates the page type of a document. Possible values are IMAGE, FORM, TEXT, MIXED, or OTHER. The document format (F_DOCFORMAT, in IS 4.3.1 and later) indicates the file extension.


 Document

A set of image pages or other electronic files stored in a library and associated with a document ID and a set of properties. A CS document can include multiple versions. See also compound document , external document .


Document classes

Document class

The system administrator defines document classes. Typically, a document class is a broad category like Invoices or Loans. When you add a document to a library, you must choose a document class.
The document class determines:
  • Which user properties apply to the document.
  • For an IS document, the default security and retention.
You can modify the document class of a CS document but not of an IS document.


Document contains

When searching a CS library, you can search for a text string contained in an indexed document.


Document content

A document’s content consists of the file or files stored in the library. Most documents have displayable content that you can view in the IDM Viewer. If you have the registered application installed on your PC, you can also open a library document in the document’s registered application. For instance, you can view a Microsoft Word document (a .doc file) in the IDM Viewer or, if you have Word installed, open the file in Word. Some document types, such as .wav files that play sounds, have undisplayable content. You must open such files in their registered applications.


Document ID

Each document in a library has a document ID that is unique within the library and cannot be modified.

CS document IDs
On a CS library, the document ID (also called the item ID) is a nine-digit number. When searching for CS documents, you can use wildcards (asterisks and question marks) in the search criteria if you do not know the complete document ID.

IS document IDs
On IS systems, document IDs start at 100000. You cannot use wildcard characters when searching for IS document IDs.

Item ID same as Document ID.


Document Properties

A document’s properties are the document ID, entry date, names, account numbers, and other information associated with the document. Except for a few permanent property values such as the document ID, you can modify a document’s properties, including its security settings, if your security settings allow it.


Draw (Tools Menu)

Pen (Tools Menu)

Selects the Pen tool for creating a freehand drawing on the active page.


Dynamic external link

Similar to a dynamic link except the child document is not in the same library as its parent document.


Dynamic link

A dynamic link refers to link that can change over time. The most common example is a parent document that links to the latest version of a child document in a compound document.


Editable

An editable condition is optional. If used, it must be complete to execute the search. If incomplete, it is ignored.

Property condition
The author selects the property and operator for a property condition. The author may supply a value, which becomes the default.

The user cannot change either the property or the operator. The user can enter or select another value or delete the value to drop the condition from the search.

Content condition
The author can choose Words in order or Words any order, can enter search words, and can set the range. All are optional for the author.

The user can change any part of a content search condition or delete it.


Enhance

Enhance determines the shade of gray that represents the combination of pixels. For example, if the Viewer shows only one for every four pixels, when one is light and the other three are dark, the Viewer displays a dark gray.


Equal

The symbol for the equal operator is the equal sign (=). You can use the equal operator in any search condition. It retrieves documents with a property value that matches the comparison value that you enter in the search condition. In SQL, a condition using the = operator looks like this:
number = 8
You must use the = operator in a key condition when the index field is a menu field. In a filter test, you can use either the = operator or the <> (not equal to) operator with menu fields.


EVL (existing value list)

A list of acceptable values for a property field. When entering a value, you can enter a value or choose a value from a list of the previously entered values.


External document

An external document has properties but no content. An external item can be an item such as artwork, a video tape, or an electronic document stored outside the library


File Path Column

This column displays the current location on your local hard drive where documents can be copied or checked out. You can change the file location in this column. You can click the cell in the File Path column that relates to the document you want to work with. Click [image] to navigate to a different file location.
This column is read–only during the Add, Checkin and Cancel Checkout processes.


 IBM FileNet Content Services (CS)

Server software and utilities for document management and version control. Formerly known as Mezzanine.


 IBM FileNet Image Services (IS)

Server software and utilities for imaging, document storage and retrieval. Formerly known as FileNet IMS.


IBM FileNet imaging formats

When you add a document to an IS library, the system property F_DOCTYPE stores the document type. The five possible IS document types are IMAGE, FORM, TEXT, MIXED, and OTHER.

IMAGE, FORM, TEXT, and MIXED types are IBM FileNet imaging formats supported natively by the IDM Viewer. Most OTHER-type documents are supported by an IE plugin or the Viewer's Outside In capabilities. For example, a Microsoft Word document becomes an OTHER-type document displayed in the Viewer by Outside In.

IBM FileNet imaging formats include IBM FileNet proprietary banded and tiled images, TIFF images, multipage TIFF images, BMP images, JPEG images, JPEG 2000 (jp2 file format) and DIB images. The document property F_DOCTYPE is set to IMAGE for these image formats. IBM FileNet imaging formats also include IBM FileNet forms (F_DOCTYPE is FORM), COLD documents without background images and fax journals (F_DOCTYPE is TEXT), and COLD documents with background images (F_DOCTYPE is MIXED).


 IBM FileNet Neighborhood

The IBM FileNet Neighborhood is similar to the Network Neighborhood. The IBM FileNet Neighborhood offers an Explorer-style view of libraries, folders, and the documents filed in folders. By default, the IBM FileNet Neighborhood opens as a single-pane My Computer view; choose Explore from the shortcut menu to open a two-pane Explorer view. As in any Explorer window, the left pane (tree view) shows the navigation path and open items. The right pane (list view) shows the items in the most recently opened library or folder. You can customize the right pane to display documents as large or small icons, in a list of document IDs, or in a more detailed list with selected document properties. In the IBM FileNet Neighborhood, you use Windows methods for working with documents and folders. For example, right-click on a document, then select Properties to display the document properties.


Find Count button

Click the Find Count button if you want to know how many documents satisfy the search criteria. You might use this to see if your search criteria need more conditions to narrow the search and return fewer documents.


Find More button

Click the Find More button to find the next set of documents that met the search criteria. Find More appears only if configured. You use it to return smaller sets of matches. After looking through the first set, click Find More to see the next set.


Find Now button

After completing search criteria, click Find Now to start the search.


Floating toolbar

A toolbar can be floating or docked. When floating, a toolbar is a separate window, not attached to the application window, that can be moved and resized.


folder names

 Folder name

At any level, an IS folder name can have up to 18 characters (spaces and special characters are not allowed) at each level and up to 8 levels, and cannot exceed 152 characters in all. A CS folder name can have up to 32 characters (spaces and special characters are allowed) at any level, and any number of levels.


folder_Folder_popup

Folder

A folder is a container. A folder can contain subfolders and documents. A CS folder can also contain stored searches and search templates.


folder_tree

You organize folders in a library into a hierarchy called a folder tree. A folder tree can be up to eight levels deep for an IS library. A CS library does not limit the number of levels. You see the first level of folders, called root folders, when you log on to a library in the IBM FileNet Neighborhood.

The library stores each folder's name, which also specifies its location in the tree folder. For example, a folder at the third level of the hierarchy has a three-level name such as /accounts/vendor/repairs.


Form fields and special characters in Word

The Viewer does not display form fields and special characters in Microsoft Word documents. Microsoft Word documents containing form fields and special characters should be opened in Word.


Grace period

The number of days remaining before an IS user's password expires.


Greater than, after

The symbol for the greater than operator is >. It specifies that the value of the property stored in the IBM FileNet library must be greater than the comparison value that you enter in the search condition. It excludes documents where the property value matches the comparison value.
For example, if you enter a condition such as
name > Brown
you get all values that follow Brown alphabetically (in ASCII order), but you will not get the value Brown.

When you search on a date property in an IBM FileNet Image Services library, the greater than operator appears in grid view as "after."


Greater than or equal to, on or after

The symbol >= represents the greater than or equal to operator. It specifies that the value of the property stored in the IBM FileNet library must be greater than or equal to the comparison value.
For example, if you enter a condition such as
name >= Brown
you get the name Brown and all names that follow Brown alphabetically (in ASCII order).

When you search on a date property in an IS library, the greater than or equal to operator appears in grid view as "on or after."


Grid and Text view

Click this button to enter your search conditions in the grid format. Below the grid is a display of the text equivalent.


Grid view

Click this button to display a grid in which you click individual cells to enter search criteria.


Group

A group of one or more users. The system administrator creates user and group accounts. A user can belong to any number of groups. Membership in groups determines a user's access rights.

For IS users, a user's access rights determine what the user can do with folders, documents, and annotations.
For CS, the access rights determine what the user can do with folders, documents, versions, and properties. The system administrator assigns each user to both a group and a default group. A user logs on as a member of one group. This membership determines the access rights for the session. Once you are logged on you cannot change the group name in the current session. The only way to change the group is to log off and then log on with a different group name.


Host machine

The name of the computer that runs the CS library software. A host can be configured with multiple libraries.


Include IS Subfolders

When searching in IS libraries, click this button to also include all folders below the top level folder. Otherwise, the search will look only in the folder you specify. The button is not available when searching in a CS library.


Include Properties

Click this button to show only the properties associated with selected document classes. A dialog appears so you can check the appropriate document classes.


 Index (or indexing)

To insert content in a database for subsequent searching. (In Capture, indexing means property entry.)


Indexing Status

For CS documents, indicates whether the version is currently indexed. Refer to Index a document for more information.


Item ID Column

This column displays the document ID for the document you are processing.


Key Condition column

Click the empty cell in this column to select a key condition.


Less than, before

The symbol for the less than operator is <. It specifies that the value of the property stored in the IBM FileNet library must be less than the comparison value that you enter in the search condition. It excludes documents where the property value matches the comparison value. That is, if you enter a condition such as
name < Brown
you will get all values that precede Brown alphabetically (in ASCII order), but you will not get the value Brown.
When you search on a date property in an IS library, the less than operator appears in grid view as "before."


Less than or equal to, on or before

The symbol for the less than or equal to operator is <=. It specifies that the value of the property stored in the IBM FileNet library must be less than or equal to the comparison value that you enter in the search condition.
For example, if you enter a condition such as
name <= Brown
you will get the value Brown and all values that precede Brown alphabetically (in ASCII order).
When you search on a date property in an IS library, the less than or equal to operator appears in grid view as "on or before."


Library

A library is a document management system. Both IBM FileNet Image Services systems (IS) and IBM FileNet Content Services systems (CS) are called libraries.

An optical disk storage library is a jukebox for optical disks.


Lighter

Lighter favors the light pixel. For example, if the Viewer shows only one of every two pixels, when one pixel is dark and one is light the Viewer displays the light one.


Like

With the LIKE operator you can use wildcard characters in a search condition to test a text property.
To match one or more characters, use * or %. For example
Last_name LIKE Br*
finds all documents in which the index field Last_name is Br or begins with Br.
To match one character, use ? or _. For example
Last_name LIKE Brow_
finds all documents in which the index field Last_name has exactly five letters beginning with Brow.
You cannot use the LIKE operator to test dates, numeric values, or menu fields, or in a key condition. You can use more than one wildcard in a test.
If you are using Advanced Find to search for CS documents based on item ID and using the LIKE operator, use the ? or _ wildcard to pad your search value to nine characters.


Link

A link is a connection between components of a compound document. Specifically, a link is an OLE link, which is a reference to another document. A link can be static or dynamic, and weak or strong.

A static link links a parent document to a particular version of a child document. A dynamic link links a parent document to the current version of a child document.

A strong link means that you cannot delete the parent without deleting the child, and vice versa. A weak link means you can delete components independently.


Look in box

Specify the library you want to search by selecting its name from the drop down list.


Managers

Server software components, such as Image Services and Content Services


Miscellaneous

I only get a single-paned window when I double-click the IBM FileNet Neighborhood desktop icon. How do I open the IBM FileNet Neighborhood in Explorer?

To follow the online help procedures, you need to be viewing the IBM FileNet Neighborhood in Explorer. If you double-click the IBM FileNet Neighborhood icon on your desktop, the IBM FileNet Neighborhood window opens in a My Computer view instead of an Explorer view.

To access the IBM FileNet Neighborhood in Explorer, do one of the following:

Open Explorer, and then click IBM FileNet Neighborhood.

Right-click the IBM FileNet Neighborhood icon, then click Explore.


Name

An identifier for a library, system component (such as a printer), folder, or other object. For a CS document, the Name is the document title. For an IS document, the name can be the document ID or a selected property.


Name Column

Name or Title Column

This column displays the name or title of the document you are processing or using. You can highlight a specific document in this column and access the shortcut menu for the document, and then select menu options. You can access document information, such as document properties or link properties from the shortcut menu.


network library

Network libraries

Libraries known to the default network library are called network libraries. Network libraries appear in the Entire IBM FileNet Network. You can access the Entire IBM FileNet Network from the IBM FileNet Neighborhood or from the IDM Viewer. You cannot access a network library from IDM Find.


New Search button

Click New Search to clear the current search criteria and start a new search. A dialog asks if you want to save the current criteria.


None (Tools Menu)

Switches from an annotation cursor to the selection cursor.


Normal

Normal displays the image without any changes to the image.


Not equal

The symbol for the not equal to operator is < >. It cannot be used in a key condition. It retrieves documents whose property values do not match the comparison value that you enter in the search condition.

Tip
The < > operator performs a sequential search even when the field is a retrieval key. Do not expect speedy results when using the < > operator in a query that has only one condition. For best results, also specify a folder name or a key condition.


Not like

With the NOT LIKE operator you can use wildcard characters in a search condition to test a text property. You can use more than one wildcard in a test.

To match one or more characters, use * or %. For example
Last_name NOT LIKE Br*
finds all documents in which the index field Last_name is not Br and does not begin with Br.
To match one character, use ? or _. For example
Last_name NOT LIKE Brow_
finds all documents in which the index field Last_name is anything other than five letters beginning with Brow.

If you are using Advanced Find to search for CS documents based on item ID and using the NOT LIKE operator, use the _ or ? wildcard to pad your search value to nine characters.

The NOT LIKE operator performs a sequential search even when the field is a retrieval key. Do not expect speedy results when using the NOT LIKE operator. For best results, combine the condition with a folder name condition or a key condition.


Object

Term reserved for programmatic interface documentation. Refers to items, such as document and folder.


OLE

OLE (Object Linking and Embedding)

OLE is a feature that allows you to share information between documents, mail messages, spreadsheets, and other OLE-compliant containers. A container contains a linked object, displayed in the document as an icon or a picture, that is a reference to another document, spreadsheet, or object.


Open Document (File menu)

Loads an IBM FileNet document. Displays a document that is stored in an IBM FileNet library. Find the desired document using the Search feature.


Operator column
Click the first empty cell to display a list of operators you can select.


OR condition

After selecting two or more conditions, you can click this button to specify that the search criteria will be satisfied if any of the selected conditions is true.


Order column

On CS libraries, you can search for one or more words found in the document (if it has been indexed). Click the first empty cell in this column to specify whether the words must be in order.


Original document

An original document is stored in a source library. This document is copied to replicated folders in participating libraries in Replication Services.


Original library

An original library contains the source folders and documents that are replicated to participating libraries in Replication Services.


Page length

Scales the image so it fits top-to-bottom in the window.


Parent document

A parent document is at the top level of a compound document link structure; it always has links to one or more child documents, and possibly to links in those child documents, and so on.


Password

IS passwords can range in length from 6 to 16 characters, but only the first eight characters are checked. CS passwords can range in length from 1 to 32 characters. Your network administrator can assign a password of eight characters maximum for logging on to an IS library, or of 32 characters maximum for logging on to a CS library. In addition, all passwords are case-sensitive. If you do not have a password, leave the password field blank.


Permanent?

Identifies if a specific version of the document is made permanent and kept from being automatically archived. If Yes is displayed, the version will be kept online and not archived. The version will be automatically archived if No is displayed.


Preferred library

Preferred libraries appear in the IBM FileNet Neighborhood. You can add an IBM FileNet library to the IBM FileNet Neighborhood using the IDM Configure application.


Prefetching

Prefetching is the act of determining which document you are likely to view next and placing it in your local cache before you need to view it. (The software makes the decisions.) You configure whether to use prefetching and several variables that affect how prefetching works in IDM Configure.


Print (File Menu)

Allows you to print a document. Prints the displayed document using the current printer settings.


Properties

Information associated with libraries, folders, documents, stored searches, search templates, and annotations.


Properties Tool (Edit Menu)

Properties (Edit Menu)

Displays the properties of the active document.


Property administration

Server application (formerly called Database Maintenance on IS libraries) used by system administrator to define and manage optical disk families, document property fields, and document classes. Also used to run administrative applications.


Property column

Click the first empty cell in this column to display a list of properties you can select.


Property database/repository

Storage location for document and folder properties (formerly index database in IMS)


Publish

Publishing a document is the process of making another copy of a document available in a CS library. You do this to make the document available to a different audience, to present it in a different format (e.g., PDF format instead of Word format), to place it in a different folder, or some combination of these.


Range column

Click this column to set the number of characters allowed between words.


Read Only

A read-only condition is included in the search as-is.

Property condition
The author selects the property, operator, and value.
The user can see the condition but cannot change it in any way.

Content condition
The author chooses Words in order or Words any order, enters the search words, and sets the range.
The user can see the condition but cannot change it in any way.


Reclaim Pending?

Indicates whether the CS library system is in the process of reclaiming this document. Refer to Reclaim a document for more information.


Registered application

The application specified in the registry for the document extension. For example, Microsoft Word is the registered applications for files with the .doc extension.


Rendition engine

Software added to a CS server that publishes a document in a different format. For example, the software might publish a Word document in PDF format.


Replicated document

This document is filed in a replicated folder. It is a copy of an original document.


Replicated folder

This folder resides in a target library in Replication Services. Replicated documents are filed in this folder.


Replication

CS Replication Services is an optional server feature that automatically copies documents and their properties to specific library systems.


Repository

A permanent storage location.


Required

A required condition must be complete to execute the search.

Property condition
The author selects the property and operator for a property condition. The author may supply a value, which becomes the default.

The user cannot change either the property or the operator. The user can enter or select another value.

Content condition
The author can choose Words in order or Words any order, can enter search words, and can set the range. All are optional for the author.

The user can change any part of a content search condition but cannot delete it.


Results options tab

Click the Results options tab to format the search results.


Rules for entering and displaying dates (Y2K Compliance)

When you enter two-digit dates in IDM Desktop applications, the dates are handled as follows:
Year Entered Result Note
00<=yy<=29 (20)yy 20 is added implicitly
30<=yy<=99 Yy No change; assume it is 19yy
This does not apply to custom applications; those applications provide their own date handling.


Save (File Menu)

Save Annotations (File Menu)

Saves new, modified, and deleted annotations for the active page.


Scale

Scaling enlarges or reduces images. The result of scaling an image depends on the original page size, the number of dots in the image, the resolution of the monitor, the amount of fine detail, and in some cases, the size of the window.


Search all versions

Search all CS versions

When searching in CS libraries, click this button to search all versions of documents, not just the current version. The button is unavailable when searching in IS libraries.


Search for stored searches

Search for stored searches (CS)

When searching in CS libraries, this button toggles between searching for searches (depressed) and searching for documents (not selected). The button is unavailable when searching in IS libraries.


 search template

A search template is a search that has the user review, modify, and complete search conditions before executing the search. The author creates a search template by defining search criteria in the Search Template Designer of Advanced Find. Depending on the property view, you may leave the property value or character range value fields blank.

When authoring, you select the Preview mode in the Search Template Designer to review and complete the search criteria, then you can execute the search to find documents that match the search criteria. You can save a template search to a CS library or your local file system.


Search template designer

Click this button to design a search template. A search template is like a stored search, except that some of the conditions are left incomplete so they can be completed at run time.


Search template options

If using the search template designer, this button becomes available for you to choose options.


Search template preview

The Search Template Designer does not have a Find Now button. To test and execute a search template, click the designer's Preview button.


Select folder

Click this button to specify a folder as the starting point for a search.


Select row buttons

Click the gray button to the left of any row to select it. You select rows to delete them or to assign AND or OR relationships. To select contiguous rows, select the first row, then hold down Shift while selecting the last row. To select non-contiguous rows (for deletion only), hold down Ctrl while selecting rows.


Services

Server software components (see also Managers)


Show AND/OR Conditions

The template author can show or hide the ANDs and ORs that link property conditions.

The user cannot edit ANDs and ORs.


Show Content Search Character Range

The template author can show or hide the Range field.

If shown, the range defined by the template author becomes the default and the user can enter another number.


Show Look in

The template author can show or hide the Look in drop-down list.

When the Look in drop-down list is shown, the library and folder settings defined in the template become the default. The user can select another library of the same type but the template offers only those libraries that support the properties used in the template. The user cannot select another folder on any library.

When the Look in drop-down list is hidden, the user cannot select another library.


Show Maximum Returned

The template author can show or hide the Maximum returned field.
If shown, the user can change the maximum before executing the search.


Show Operators

The template author can show or hide the operators used in property conditions.
The user cannot change operators.


Simple/Advanced toggle

Click this button to switch between Simple Find and Advanced Find.


Software not installed

Software is not installed

Application integration cannot be installed on a web server.


Stamp (Tools Menu)

Selects the tool for selecting and adding a stamp to the active page.


Static external link

Similar to the static link except the child document is not stored in the same library as its parent document. Not supported in this release.


Static link

A static link refers to a parent document always linking to the same version of the child document in a compound document.


Status Messages

Displays the current status of your document. You can click a specific row and see the status of your document.


Sticky Note (Tools Menu)

Selects the tool for adding a sticky note to the active page.


Stop words

Words in CS documents that are not indexed or searched for. These are words such as and, the, of, for, etc. Your system administrator may also specify words commonly used in your industry.


Stored search

You create a stored search by saving the search criteria you used to find documents along with the formatting you defined for the search results. Open a stored search to execute the search and display the results.


Stretch to page

Sizes an image to the window size without maintaining aspect ratio.


Strong link

A child document that cannot be deleted without first deleting the parent document.


Style template

Defines how a published document appears and how you interact with it. The system administrator can define one or more style templates for each output format.


subfolder

Subfolders

A folder can contain any number of subfolders, and those subfolders can contain subfolders, and so on. When you include an IS folder in a search, you can check Include subfolders to search all of that folder's subfolders at all lower levels.


Target libraries

Target libraries are participating libraries in Replication Services. These libraries contain replicated folders that store documents copied from the original library.


Text (Tools Menu)

Selects the tool for creating a text note on the active page.


Text view

Click this button to display a text box where you can enter search conditions using an SQL-like query string. For IS libraries, the key condition is still available in grid form. For CS libraries, the content search is still available in grid form.


Title contains

A CS document has a title. You can enter up to 78 characters when searching a CS 5.2 library and up to 254 characters when searching a CS 5.3 library. In addition, you may use the ? and * wildcards in the search criteria if you do not know the complete title. For example, enter "Eng*" to find document titles that start with "Eng".


UNC link

A UNC link only indicates that the parent document has a link to a child document. The child document is not stored in the CS library but is accessible via the Univeral Naming Convention (UNC) that specifies a file location with a string of the format: \\servername\dir\subdir\file.
This link allows you to navigate to the child document without having to open the content of the parent document.


UNC link properties

UNC
This field indicates the parent document has a link to a child document that is not stored in the CS library but is accessible via the Universal Naming Convention (UNC) that specifies a file location with a string of the format: \\servername\dir\subdir\file.


Open File menu

Open File (File Menu)

Opens a file that is stored on a local or network drive. Choose All Files in the File Format box to display all files.


Find Document (File Menu)

Displays the Find window where you can specify a folder name and the properties of the document you want.


Fax (File Menu)

Converts the displayed document into fax format, then faxes it to the Fax number via an IBM FileNet facsimile server.


Zoom In (View Menu)

This menu magnifies the displayed page by 10%.


Zoom Out (View Menu)

Reduces the magnification of the active image by 10%.


Zoom Normal (100%) (View Menu)

Displays the page at 100% magnification.


Magnifier (View Menu)

Magnifies an area of the image in a separate window. Choose Magnifier, then drag a rectangle around the area you want to magnify.


Rotate Left (Image Menu)

Rotates the displayed page 90 degrees to the left.


Rotate Right (Image Menu)

Rotates the displayed page 90 degrees to the right.


Rotate Upside-down (Image Menu)

Rotates the displayed page 180 degrees.


Page Length (View Menu)

Scales the page to fit in the window top-to-bottom.


Page Width (View Menu)

Scales the page to fit in the window side-to-side.


Whole Page (View Menu)

Scales the page to fit in the window both top-to-bottom and side-to-side.


Glossary B

Glossary

B
batch
A set of documents, usually belonging to the same document class, that are entered to the library together using software such as IBM FileNet Capture.
browse
Navigating through the libraries, folders, and documents in the IBM FileNet Neighborhood.


Glossary C

Glossary

C
cache
A temporary storage location on magnetic disk. Each IDM Desktop user has local cache, a configurable amount of reserved space on the local hard drive. An IS server has server cache, reserved space on the server for documents retrieved from optical disk. When you retrieve a document, the document moves from optical disk to server cache to local cache.
catalog
To add records to a database. For IS, cataloging inserts property records into the property database and location records into the permanent database.
check in
An action taken on a checked-out document. Checking in a document completes the creation of a new version and concludes the checkout.
check out
An action taken on a CS document that makes the content available to the user for editing. No other user can modify a checked-out document.
checked In by user
The name of the user who checked in the version.
checked out?
Indicates whether the version is currently checked out.
checkin date
The date the version was checked in.
checkout list
Lists the documents you have checked out from the CS library.
circular compound document
A circular compound document consists of a grandchild document that is also the parent of its parent's parent (grandparent) document.
commit, committal
A committed document is one that has been saved to an IS library. The last step in the process of creating an IS document, committal writes the document to optical disk and updates the property database.
component
A compound document is composed of multiple documents called components. Each compound document has one component, called the parent document, which is the document that was added to the library. All other components, called child documents, are linked to the parent directly or indirectly (via links in child documents). Most operations work on all components of a compound document. For example, when you check out a compound document, you can check out all components in one operation.
Although the components are linked, each component has its independent identify as well. It has its own access rights and can be operated on independently.
compound document
A compound document is composed of multiple documents called components. Each compound document has one component, called the parent document, which is the document that was added to the library. All other components, called child documents, are linked to the parent directly or indirectly (via links in child documents). Most operations work on all components of a compound document. For example, when you check out a compound document, you can check out all components in one operation.
Although the components are linked, each component has its independent identify as well. It has its own access rights and can be operated on independently.
Content Services (CS)
Server software and utilities for document management and version control. Formerly known as Panagon Content Services.
content
The data portion of a document, as opposed to the properties that identify and describe the document.
CVL (controlled vocabulary list)
A list of acceptable values for a property field. The CS system administrator defines the list.


Glossary D

Glossary

D
default group
Every CS user belongs to a default group. The system administrator assigns this group when defining your user account. At logon time, if you don't specify a group, you log on as a member of this default group.
default network library
The default network library is an IS library. (If you have only one IS library, it is the default network library.) Libraries known to the default network library appear in the Entire IBM FileNet Network. You access the Entire IBM FileNet Network from the IBM FileNet Neighborhood.
default preferred library
The library that you use most frequently. IDM Desktop prompts you to log on to this library when you perform an operation that requires logon.
docked toolbar
A toolbar can be floating or docked. A toolbar is docked when it is attached to the application window. You can dock the toolbar below the application title bar or to the left, right or bottom edge of the application window. When you drag the toolbar to the edge of the application window, the toolbar outline snaps into place along the length of the application window edge.
DocType
This is an obsolete term for CS document class.
document type
For IS libraries only, the document type (F_DOCTYPE) indicates the page type of a document. Possible values are IMAGE, FORM, TEXT, MIXED, or OTHER. The document format (F_DOCFORMAT, in IS 4.3.1 and later) indicates the file extension.
document
A set of image pages or an electronic file stored in a library and associated with a document ID and a set of properties. A CS document can include multiple versions. See also compound document , external document .
document class
A category for documents in an object store or library. Every document belongs to a document class such as Purchase Orders..
The document class determines:
  • Which user properties apply to the document. User properties are values such as account numbers and names.
  • For an IS document, the default access rights. These determine who can see, modify, add annotations to, and delete the document. (Access rights for a CS document are derived from the user profile of the user who adds the document.)
  • For an IS document, disposition properties. For documents in the IS library, these determine when the document becomes eligible for disposal by archiving or deletion.
You can modify the document class of a CS document but not of an IS document.
document ID (item ID)
Each document in a library has a document ID that is unique within the library and cannot be modified.
  • A CS document ID is a nine-digit number. When searching for document IDs, you can use wildcards, ? and *, in the search condition.
  • IS document IDs begin at 100000. You cannot use wildcards when searching for IS document IDs.
dynamic link
A dynamic link refers to link that can change over time. The most common example is a parent document that links to the latest version of a child document in a compound document.
dynamic external link
Similar to a dynamic link except the child document is not in the same library as its parent document.


Glossary E

Glossary

E

external document
A document with properties but no content. An external item can be an item such as artwork, a video tape, or an electronic document stored outside the library.
EVL (existing value list)
A list of acceptable values for a property field. You can enter a value or choose a value from a list of the previously entered values.


Glossary F

Glossary

F

floating toolbar
A toolbar can be floating or docked. When floating, a toolbar is a separate window, not attached to the application window, that can be moved and resized.
folder
A container for documents and subfolders.
folder name
At any level, an IS folder name can have up to 18 characters (no spaces are allowed), and a CS folder name can have up to 32 characters (any valid Windows folder name is allowed). For any library, a folder path and name cannot exceed 152 characters in all.


Glossary G

Glossary

G
grace period
The number of days remaining before an IS user's password expires.
group
An account that includes one or more users. The system administrator creates user and group accounts. A user can belong to any number of groups. Membership in groups determines a user's access rights.
On IS libraries, access rights determine what users can do with folders, documents, and annotations.
On CS libraries, access rights determine what users can do with folders, documents, versions, and properties. The system administrator assigns each user to both a group and a default group. A user logs on as a member of one group. This membership determines the access rights for the session. Once you are logged on you cannot change the group name in the current session. The only way to change the group is to log off and then log on with a different group name.


Glossary H

Glossary

H
host machine
The name of the computer that runs the CS library software. A host can be configured with multiple libraries.


Glossary I

Glossary

I
IBM FileNet Content Services (CS)
Server software and utilities for document management and version control. Formerly known as Mezzanine.
IBM FileNet Image Services (IS)
Server software and utilities for imaging, document storage and retrieval. Formerly known as IBM FileNet IMS.
IBM FileNet imaging formats
IBM FileNet imaging formats are supported natively by the IDM Viewer. These formats include IBM FileNet proprietary banded and tiled images, TIFF images, multipage TIFF images, BMP images, JPEG images, and DIB images. The document property F_DOCTYPE is set to IMAGE for all of these image formats. IBM FileNet imaging formats also include IBM FileNet forms (F_DOCTYPE is FORM), COLD documents without background images and fax journals (F_DOCTYPE is TEXT), and COLD documents with background images DOCTYPE is MIXED). Finally, IBM FileNet imaging formats include support for ASCII text documents.
IBM FileNet Neighborhood
The IBM FileNet Neighborhood is similar to the Network Neighborhood. The IBM FileNet Neighborhood offers an Explorer-style view of libraries, folders, and the documents filed in folders. By default, the IBM FileNet Neighborhood opens as a single-pane My Computer view; choose Explore from the shortcut menu to open a two-pane Explorer view. As in any Explorer window, the left pane (tree view) shows the navigation path and open items. The right pane (list view) shows the items in the most recently opened library or folder. You can customize the right pane to display documents as large or small icons, in a list of document IDs, or in a more detailed list with selected document properties. In the IBM FileNet Neighborhood, you use Windows methods for working with documents and folders. For example, right-click on a document, then select Properties to display the document properties.
Image Services (IS)
Server software and utilities for imaging, document storage and retrieval. Formerly known as Panagon Imaging Services.
index (content)
To store the text-based content of a document in a database for content-based retrievals. (In Capture, indexing means property entry.)
indexing status
For CS documents, indicates whether the version is currently indexed for content search. Refer to Index a document for more information.
item ID (Document ID)
See document ID.


Glossary J

Glossary

J
No glossary terms at this time.


Glossary K

Glossary

K
No glossary terms at this time.


Glossary L

Glossary

L
library
A library is a document management system. Both IBM FileNet Image Services systems and IBM FileNet Content Services systems are called libraries.
An optical disk storage library is another type of library. It is always identified as an optical disk storage library.
link
A link is a connection between components of a compound document. Specifically, a link is an OLE link, which is a reference to another document. A link can be static or dynamic, and weak or strong.
A static link links a parent document to a particular version of a child document. A dynamic link links a parent document to the current version of a child document.
A strong link means that you cannot delete the parent without deleting the child, and vice versa. A weak link means you can delete components independently.


Glossary M

Glossary

M
managers
Server software components, such as Property Services and IBM FileNet Content Services.
manual link
In addition to establishing an OLE link to a document to create a compound document, you can also manually link to another document to create a compound document. The manually linked document can located in or outside of CS library. You can only link a document during an add or check in process.


Glossary N

Glossary

N
name
An identifier for a library, system component (such as a printer), folder, or other object. For a CS document, the Name is the document title. For a CS document, the name can be the document ID or a selected property.
network library
Libraries known to the default network library are called network libraries. Network libraries appear in the Entire IBM FileNet Network. You can access the Entire IBM FileNet Network from the IBM FileNet Neighborhood or from the IDM Viewer. You cannot access it from IDM Find.


Glossary O

Glossary

O
object
Term reserved for programmatic interface documentation. Refers to items, such as document and folder.
OLE (Object Linking and Embedding)
OLE is a feature that allows you to share information between documents, mail messages, spreadsheets, and other OLE-compliant containers. A container contains a linked object, called a link for short, which is displayed in the document as an icon or an picture, that is a reference to another document, spreadsheet, or object.
original document
An original document is stored in a source library. This document is copied to replicated folders in participating libraries in Replication Services.
original library
An original library contains the source folders and documents that are replicated to participating libraries in Replication Services.


Glossary P

Glossary

P
P8 Image Manager
A suite of IBM FileNet products that work together, formerly called Panagon. P8 Image Manager includes Image Services (IS), Content Services (CS), IDM Desktop, Web Services and Open Client, Process, Capture, and more. See the IBM Web site for the latest product offerings.
parent document
A parent document is at the top level of a compound document link structure; it always has links to one or more child documents, and possibly to links in those child documents, and so on.
password
IS library passwords can range in length from 6 to 16 characters, but only the first eight characters are checked. CS library passwords can range in length from 1 to 32 characters. Your network administrator can assign a password of eight characters maximum for logging on to an IS library, or of 32 characters maximum for logging on to a CS library. In addition, all passwords are case-sensitive. If you do not have a password, leave the password field blank.
permanent?
Identifies if a specific version of the document is made permanent and kept from being automatically archived. If Yes is displayed, the version will be kept online and not archived. The version will be automatically archived if No is displayed.
preferred library
Preferred libraries appear in the IBM FileNet Neighborhood. You can add an IBM FileNet library to the IBM FileNet Neighborhood using the IDM Configure application.
prefetching
Prefetching is the act of determining which document you are likely to view next and placing it in your local cache before you need to view it. You configure whether to use prefetching and several variables that affect how prefetching works in IDM Configure.
properties
Information associated with items libraries, folders, documents, annotations, and searches.
Property Administration
Server application (formerly called Database Maintenance on IS libraries) used by system administrator to define and manage optical disk families, document property fields, and document classes. Also used to run administrative applications.
property database/repository
Storage location for document and folder properties (formerly index database in IMS).
publish
Publishing a document is the process of making another copy of a document available in a CS library. You do this to make the document available to a different audience, to present it in a different format (e.g., PDF format instead of Word format), to place it in a different folder, or some combination of these.


Glossary Q

Glossary

Q
No glossary terms at this time.


Glossary R

Glossary

R
registered application
The application specified in the registry for the document extension. For example, Microsoft Word is the registered applications for files with the .doc extension.
rendition engine
Software added to a CS server that publishes a document in a different format. For example, the software might publish a Word document in PDF format.
replicated folder
This folder resides in a target library in Replication Services. Replicated documents are filed in this folder.
replicated document
This document is filed in a replicated folder. It is a copy of an original document.
replication
DS Replication Services is an optional server feature that automatically copies documents and their properties to specific library systems.
repository
A permanent storage location.


Glossary S

Glossary

S
search template
An executable file created in IDM Find. Execution usually prompts the user to enter or change values and then displays a list of the documents that meet the search criteria.
security
The rules that allow and limit access to computers and data.
services
Server software components (see also Managers).
static link
A static link refers to a parent document always linking to the same version of the child document in a compound document.
stored search
An executable file created in IDM Find. Execution displays a list of the documents that meet the search criteria.
strong link
A child document that cannot be deleted without first deleting the parent document.
style template
Defines how a published document appears and how you interact with it. The system administrator can define one or more style templates for each output format.


Glossary T

Glossary

T
target libraries
Target libraries are participating libraries in Replication Services. These libraries contain replicated folders that store documents copied from the original library.
tree view
A hierarchical list of objects typically shown in the left pane (as in an Explorer window) with a list view in the right pane. Selecting a node in the tree view displays content related to the selected node in the right pane.


Glossary U

Glossary

U
user name
Your user name identifies you to the IBM FileNet system. A CS user name can contain a maximum of 39 characters; an IS user name can contain a maximum of 19 characters. This name is assigned by your network administrator, the person who controls access rights to the IBM FileNet library and, for CS libraries, access to specific documents. For IS libraries, the user name is case sensitive.


Glossary V

Glossary

V
version
A specific draft of a document stored in the CS library. Each time a document is checked out and checked in, the library creates and stores a new version of the document.
version number
Uniquely identifies the version of the document.
virtual folder
A folder that does not exist. WorkForce Desktop allows users to assign multilevel names to folders. Because of this, a user can assign a name like /aaaa/bbbb to a folder without first creating the /aaaa folder. This nonexistent folder /aaaa is a virtual folder. To build the folder tree, IDM Desktop displays virtual folders as needed to provide access to subfolders.
A virtual folder has no properties, cannot contain documents, but always has at least one subfolder. You can create subfolders below a virtual folder.


Glossary W

Glossary

W
weak link
A child document that can be deleted without deleting the parent document. This link is created by default.


Glossary X

Glossary

X
No glossary terms at this time.


Glossary Y

Glossary

Y
No glossary terms at this time.


Glossary Z

Glossary

Z
No glossary terms at this time.


URL link

A URL link only indicates that the parent document has a link to a child document. The child document is not stored in the CS library but is accessible via the URL.
This link allows you to navigate to the child document without having to open the content of the parent document.


URL link properties

URL
This field indicates the parent document has a link to a child document that is not stored in the CS library but is accessible via the URL.


User name

Your user name identifies you to the IBM FileNet system. A CS user name can contain a maximum of 39 characters; an IS user name can contain a maximum of 19 characters. This name is assigned by your network administrator, the person who controls access rights to the IBM FileNet library and, for CS libraries, access to specific documents. For IS libraries, the user name is case sensitive.


Validation Symbols

Each time you change the document, such as changing the commands or document versions, IDM Desktop validates the modifications in the dialog box. Click the symbols on the left side of the grid to review status information.

The document is ready to be processed.
The document has been processed successfully.
Warning: the document can be processed, but you may need to resolve some document issues, such as the wrong file path for a child document.
The document was processed with some problems.
Processing failed. You can continue processing the other documents or stop the process.
The document is disabled.


Value column

Click the Value column to list the possible values (after clicking the down arrow to open the drop-down list), to display a calendar (click the down-arrow), or place your cursor in the field so you can type text. The property determines the kind of data accepted in this column.


Ver Column

This column displays the version of the document you are processing . You can click the cell in the Ver column that relates to the document you want to work with. The Ver arrow appears, where you can select a specific document version. This list is not always available. It depends on the operation you are performing.
The version number that appears in bold represents the document version that is currently linked in the compound document. If you change the document version number, the link is updated during the checkin.


Version

A specific draft of a document stored in the CS library. Each time a document is checked out and checked in, the library creates and stores a new version of the document.


Version number

Uniquely identifies the version of the document.


View

Select this option to view the document once you find it.


Virtual folder

A virtual folder is an IS folder that does not exist. Because WorkForce Desktop allows users to assign multilevel names to folders, a user can assign a name like /aaaa/bbbb to a folder without first creating the /aaaa folder. This nonexistent folder /aaaa is a virtual folder. To build the folder tree, IDM Desktop displays virtual folders as needed to complete all paths to subfolders.

A virtual folder has no properties, cannot contain documents, but always has at least one subfolder. You can create subfolders below a virtual folder.


Weak link

A child document that can be deleted without deleting the parent document. This link is created by default.


When do preferences take effect?

If you change the preferences while your application is open, you may need to exit and then restart the application to ensure the preference changes take effect.


Where are my preferences stored?

Preferences, shortcuts, and customizations are stored locally on each PC. Using IDM Configure, you can set preferences on one PC, export those preferences to a file then import that file on other PCs. A preferences file includes the preferences you set in Configure, including the libraries and the property columns defined for those libraries in the IBM FileNet Neighborhood. It does not include preferences that set local paths.
You might also want to keep a copy of your exported preferences as a backup.

See also
Apply preferences to users
Preferences summary
Preferences in IDM Configure
Export preferences
Import preferences


Whole Page

Scales the image to fit in the window.


Words or Phrases column

Click the first empty cell in this column to enter the words you want to search for.


Working directory

The working directory is the location an application uses as the default directory when opening or saving files.